llvm-toolchain-19 (1:19.1.0-4ubuntu1) oracular; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Sep 2024 16:46:10 +0200

llvm-toolchain-19 (1:19.1.0-4) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Adjust the workaround for apt.llvm.org version upgrades
    https://github.com/llvm/llvm-project/issues/109276
  * Ensure that at least 1 CPU is used for build
    Thanks to Santiago Vila for the patch
    (Closes: #1082360)

  [ Matthias Klose ]
  * Don't relax versioned shlibs dependencies for snapshot builds and
    prerelease versions.
  * libllvm19: No symlinks in the llvm-19 subdir. Closes: #1081192, #1082495.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Sep 2024 16:36:31 +0200

llvm-toolchain-19 (1:19.1.0-3) unstable; urgency=medium

  * Fix typo in dh_makeshlibs calls.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Sep 2024 17:26:29 +0200

llvm-toolchain-19 (1:19.1.0-2) unstable; urgency=medium

  * Call dh_makeshlibs with the version of the first upstream
    release (1:19.1.0). Looking back at the 1.18 release cycle,
    these libraries didn't see any instability in the ABIs.
  * debian/qualify-clang.sh: Fix typo.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Sep 2024 10:29:19 +0200

llvm-toolchain-19 (1:19.1.0-1) unstable; urgency=medium

  * New upstream release 19.1.0.

  [ Matthias Klose ]
  * debian/qualify-clang.sh: Skip llvmlibc test, if libllvmlibc-dev is not
    available.
  * Build-depend on llvm-spirv-19.

  [ YunQiang Su ]
  * also pass -mxgot in LDFLAGS.
  * d/p/mips-mlir-xgot.diff: Pass -mxgot for mlir.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Sep 2024 18:04:21 +0200

llvm-toolchain-19 (1:19.1.0~++rc4-5) unstable; urgency=medium

  * Move the libLLVM.so.1 symlink into llvm-19-dev. Closes: #1081192.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2024 11:20:16 +0200

llvm-toolchain-19 (1:19.1.0~++rc4-4) unstable; urgency=medium

  [ Matthias Klose ]
  * Consolidate disabling CMake's package validation checks a bit.
  * debian/qualify-clang.sh: Skip OpenMP test, if libomp-dev is not available.
  * Disable CMake's package validation check for libLLVM.so.1.
  * Limit lldb autopkg test to the lldb architectures.
  * Generate debian/tests/* files.
  * Disable the usage-wrapper/memory tracking by default.
  * Replace LLDB_DISABLE_ARCHS macro with LLDB_ARCHS macro.
  * Remove unused kfreebsd patches, and remove references to kfreebsd and s390.
  * Remove references to alpha, hppa, powerpcspe and sh4.
  * Fix usage-wrapper build dependency.

  [ Aurelien Jarno ]
  * Enable lldb on riscv64.
  * Enable lldb autopkgtest on riscv64.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Sep 2024 17:36:43 +0200

llvm-toolchain-19 (1:19.1.0~++rc4-2) unstable; urgency=medium

  * Disable z3 again for Ubuntu, and make the libz3-dev (build) dependency
    conditional.
  * Use -mxgot on mips64el.
  * Disable tests on mips64el, they do timeout.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Sep 2024 15:16:40 +0200

llvm-toolchain-19 (1:19.1.0~++rc4-1) unstable; urgency=medium

  * New release candidate.

  [ Matthias Klose ]
  * Also explicitly link with -latomic on mips64el.
  * Disable openmp on loong64 (ld: cannot find -lomptarget.rtl.host).
  * Build without z3 on sh4 (ftbfs).
  * Also configure with -DLLVM_EXPERIMENTAL_TARGETS_TO_BUILD="M68k;Xtensa".
  * debian/tests/*: s/18/19/.
  * debian/qualify-clang.sh: Don't check for libclang-cpp.so.$VERSION symlink.
  * libllvm19: Restore the symlink /usr/lib/llvm-19/lib/libLLVM.so.1, apparently
    CMake's LLVMExports.cmake requires it. But why?

  [ Samuel Thibault ]
  * Add hurd-amd64 support.

  [ Sylvestre Ledru ]
  * Remove the cmake dependency on libLibcTableGenUtil.a
    see https://github.com/llvm/llvm-project/issues/99819
  * New snapshot release

 -- Matthias Klose <doko@debian.org>  Tue, 03 Sep 2024 21:48:12 +0200

llvm-toolchain-19 (1:19.1.0~++rc3-2) unstable; urgency=medium

  * Fix binary-indep build.
  * Disable openmp on mips64el (ld: cannot find -lomptarget.rtl.host).
  * Disable memory tracking on the Hurd and some ports architectures.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Aug 2024 08:10:14 +0200

llvm-toolchain-19 (1:19.1.0~++rc3-1) unstable; urgency=medium

  * Add a .gitignore file with all toplevel upstream files and directories.
  * Add some memory tracking, getting some information on memory hogs.
  * Don't require g++-multilib on s390x for newer Ubuntu releases.
  * Factor-out ocaml architectures.
  * Don't try to install xray and profile headers on armel and armhf.
  * Disable ocaml on armhf, requires ocamlopt.
  * Factor-out omp architectures.
  * Disable openmp on riscv64 (ld: cannot find -lomptarget.rtl.host).
  * Factor-out flang architectures.
  * Disable flang on mips64el (currently not supported).
  * Don't try to install hwasan_symbolize on x32.
  * Don't try to install xray and profile headers on x32.
  * Fix installation of the shared libllvm and libclang-cpp libraries
    under their soname. Closes: #1072200.
  * Drop some of the unnecessary libllvm symlinks.
  * debian/orig-tar.sh: Don't include .git/.github metadata.
  * debian/rules. Call again dh_ocaml. Closes: #1078234.
  * debian/rules: Don't create a stamp for the override_dh_auto_install target.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Aug 2024 19:32:59 +0200

llvm-toolchain-19 (1:19.1.0~++rc3-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * ld.lld: When no package-metadata option is given, fall-back
    to the envvar ELF_PACKAGE_METADATA.

  [ Emanuele Rocca ]
  * Enable bolt on arm64, now supported upstream.

  [ Sylvestre Ledru ]
  * remove llvm-cgdata - see 9e90c40564e21dc5f1a12e08cfdf29305aaf9f50
  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 20 Aug 2024 19:52:02 +0200

llvm-toolchain-19 (1:19.1.0~++rc2-1~exp1) experimental; urgency=medium

  * New testing release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 05 Aug 2024 15:25:06 +0200

llvm-toolchain-19 (1:19.1.0~++20240724103243+7af27be6633a-1~exp1) experimental; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Disable LLVM testsuite on x32
  * Install liborc_rt-x86_64.a on x32
  * Install hwasan_symbolize on x32

  [ Norbert Lange ]
  * build lldb with Intel PT support on x86, amd64

  [ Sylvestre Ledru ]
  * Prepare upload to 19
  * Adjust the clang-X-doc path after the change
    d7dd778cde84110e38521a6b55dfeb4e1c649ec2
  * bring back clang-nvlink-wrapper
    following upstream commit: 37d0568a6593adfe791c1327d99731050540e97a
  * ship llvm-cgdata

  [ Matthias Klose ]
  * Pass --package-metadata on distros with supporting linkers (starting
    with Debian trixie and Ubuntu noble).
    The package metadata is constructed from the environment variables
    ELF_PACKAGE_METADATA.
    Setting NO_PKG_METADATA=1 disables the generation of the package metadata.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 28 Jul 2024 21:39:57 +0200

llvm-toolchain-snapshot (1:19~++20240529093513+2cfea14a57ad-1~exp1) experimental; urgency=medium

  * experimental New snapshot release
  * after upstream 330d8983d25d08580fc1642fea48b2473f47a9da
    adjust the RUNTIMES build to include offload (was openmp/libomptarget)
  * try to build with LLVM_LIBC_GPU_BUILD
  * Move openmp from PROJECTS to RUNTIMES
    Should fix:
    https://github.com/llvm/llvm-project/issues/90707
  * Also ship libc++.modules.json in libc++-19-dev-wasm32
  * Install libLibcTableGenUtil and rpc files in llvmlibc
  * Ship zos_wrappers/builtins.h in libclang-common-19-dev
  * Disable openmp on i386 - wasn't officially supported
  * Disable the cmake check for LibcTableGenUtil. Closes upstream issue #92359
  * Ship usr/lib/llvm-@LLVM_VERSION@/lib/libCUF*.a in libflang
  * Ship reduce-chunk-list in llvm

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 29 May 2024 09:36:25 +0200

llvm-toolchain-snapshot (1:19~++20240421021844+e095d978ba47-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Make libclang-common-19-dev architecture dependent.
  * Add python3-pexpect in the build dep for lldb.
  * Fix sanitizer build on 32bit time_t64 architectures.
  * Refresh the 23-strlcpy_strlcat_warning_removed patch.
  * Build-depend on llvm-spirv-18 instead of llvm-spirv-17.
  * Add a stage1 profile to disable curl, grpc and spirv.

  [ Sylvestre Ledru ]
  * New snapshot release
  * Also install libMLIRExecutionEngineShared.so
  * Remove lang-to-external-fc to match upstream change in
    4841d70a4b7d7cd8c492c16a9da339ec75bca135

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 21 Apr 2024 14:21:37 +0200

llvm-toolchain-snapshot (1:19~++20240304085905+c7fdd8c11e54-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * New snapshot release
  * hwasan_symbolize is now built also on i386
  * Update of the libomp symbols
  * Also install usr/lib/llvm-19/lib/libLLVM.so.1
    and usr/lib/llvm-19/lib/libLLVM.so.19.0
  * Install clang-installapi as part of clang-tools
  * Disable the install of libomp in sub arch
    Following 1977404d20ab29ff78a58d8c0f1f4c5e7aef6b16

  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 04 Mar 2024 09:00:56 +0100

llvm-toolchain-snapshot (1:19~++20240125092523+41fe98a6e7e5-1~exp1) experimental; urgency=medium

  * branch of 19
  * refresh libomp5 symbol list
  * For the usage of -DLIBCXXABI_USE_LLVM_UNWINDER=OFF when we don't build unwind
    https://github.com/llvm/llvm-project/issues/77846
  * remove the unconditionnaly defined -DLIBUNWIND_USE_COMPILER_RT=ON
  * Also pass -DLIBCXXABI_USE_LLVM_UNWINDER:BOOL=OFF to libcxx-wasm32-wasi builds

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 25 Jan 2024 14:51:10 +0100

llvm-toolchain-18 (1:18.1.0~rc4-1) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

  [ Sylvestre Ledru ]
  * New snapshot release
  * add -DLIBCXX_INSTALL_MODULES=ON to install libc++ C++-20 modules
    see https://discourse.llvm.org/t/libc-c-23-module-installation-support/77061/1
  * Add a new package libllvmlibc-18-dev to ship LLVM libc (experimental for now)
    (amd64, arm64 and armhf)
  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

  [ Sylvestre Ledru ]
  * New snapshot release
  * add -DLIBCXX_INSTALL_MODULES=ON to install libc++ C++-20 modules
    see https://discourse.llvm.org/t/libc-c-23-module-installation-support/77061/1
  * Add a new package libllvmlibc-18-dev to ship LLVM libc (experimental for now)
    (amd64, arm64 and armhf)
  * Also install usr/lib/llvm-19/lib/libLLVM.so.1
    and usr/lib/llvm-19/lib/libLLVM.so.18.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Feb 2024 11:08:41 +0100

llvm-toolchain-18 (1:18.1.0~rc2-4) unstable; urgency=medium

  * Fix 32bit builds, exclude i386, don't build clang-rt there
  * Revert gold linker on mips64el
  * Disable stack protector on mips64el
  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

  [ Sylvestre Ledru ]
  * add -DLIBCXX_INSTALL_MODULES=ON
    see https://discourse.llvm.org/t/libc-c-23-module-installation-support/77061/1
    Ship libc++-18-dev /usr/lib/llvm-18/lib/libc++.modules.json /usr/lib/llvm-18/include/c++/v1/std.compat.cppm
    /usr/lib/llvm-18/include/c++/v1/std.cppm
  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

  [ Sylvestre Ledru ]
  * add -DLIBCXX_INSTALL_MODULES=ON to install libc++ C++-20 modules
    see https://discourse.llvm.org/t/libc-c-23-module-installation-support/77061/1
  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

  [ Sylvestre Ledru ]
  * add -DLIBCXX_INSTALL_MODULES=ON to install libc++ C++-20 modules
    see https://discourse.llvm.org/t/libc-c-23-module-installation-support/77061/1
  * Add a new package libllvmlibc-18-dev to ship LLVM libc (experimental for now)
  * Fix 32bit builds, exclude i386, don't build clang-rt there
  * Revert gold linker on mips64el
  * Disable stack protector on mips64el
  * Fix 32bit builds, exclude i386, don't build clang-rt there
  * Revert gold linker on mips64el
  * Disable stack protector on mips64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Feb 2024 17:58:05 +0100

llvm-toolchain-18 (1:18.1.0~rc2-3) unstable; urgency=medium

  * Add abi=+time64,+lfs only on 64bits system

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 11 Feb 2024 14:29:31 +0100

llvm-toolchain-18 (1:18.1.0~rc2-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Try gold linker on mips64el
  * Add also lfs on top of time64, to fix FTBFS on 32bit

  [ Sylvestre Ledru ]
  * add new symbols in libomp5

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Feb 2024 16:38:35 +0100

llvm-toolchain-18 (1:18.1.0~rc2-1) unstable; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 07 Feb 2024 21:15:53 +0100

llvm-toolchain-18 (1:18.1.0~rc1-3) unstable; urgency=medium

  * Fix previus upload, time64 is effective only in one specific place of
    rules file
  * Fix some test using still clang-17
  * Switch testing to 18 line
  * Fix an underlinking on qualify-clang.sh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Feb 2024 15:05:08 +0100

llvm-toolchain-18 (1:18.1.0~rc1-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Use ABI time64 to avoid a transition for a new package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Feb 2024 08:26:26 +0100

llvm-toolchain-18 (1:18.1.0~rc1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Avoid hello build-dep getting pulled in on buildds.

  [ Gianfranco Costamagna ]
  * Fixup rc versioning, and go for sid

  [ Sylvestre Ledru ]
  * hwasan_symbolize is now built also on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jan 2024 10:36:07 +0100

llvm-toolchain-18 (1:18.1.0-rc1-1~exp1) experimental; urgency=medium

  * First RC

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Jan 2024 09:01:06 +0100

llvm-toolchain-18 (1:18.1.0~++20240126095841+0991d3c7b53d-1~exp1) experimental; urgency=medium

  * Branching of 18
    note that it is normal that the versionning starts from 18.1
    See https://discourse.llvm.org/t/rfc-name-the-first-release-from-a-branch-n-1-0-instead-of-n-0-0/75384
  * refresh libomp5 symbol list
  * For the usage of -DLIBCXXABI_USE_LLVM_UNWINDER=OFF when we don't build unwind
    https://github.com/llvm/llvm-project/issues/77846
  * remove the unconditionnaly defined -DLIBUNWIND_USE_COMPILER_RT=ON
  * Also pass -DLIBCXXABI_USE_LLVM_UNWINDER:BOOL=OFF to libcxx-wasm32-wasi builds

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 26 Jan 2024 09:44:56 +0100

llvm-toolchain-snapshot (1:18~++20231211102647+75193b192ad9-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Set the cpu defaults for the ARM32 architectures:
    - armel: arm926ej-s. Addresses: #1056115.
    - armhf: cortex-a8.
    Thanks to Arnd Bergmann and Ard Biesheuvel for the fixes.
  * Apply the proposed fix for D158491, build failure on mips64el, still
    unreviewed upstream. Addresses: #1056116.

  [ Sylvestre Ledru ]
  * New snapshot release
  * Fix a libc++ conflicts (Closes: #1057899)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 11 Dec 2023 10:26:59 +0100

llvm-toolchain-snapshot (1:18~++20231203063627+9f78edbd20ed-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * replace python3-recommonmark by myst-parser
    to follow upstream change b7ff03206d668cd5a620a9d4e1b22ea112ed56e3
    And disable generation of the doc on old distro
  * Ship tblgen-to-irdl as part of mlir-tools
  * Rename lldb-vscode => lldb-dap
  * Ship tblgen-to-irdl as part of mlir-tools
  * Remove __tgt_rtl_deinit_plugin & __tgt_rtl_deinit_device symbols from
    openmp https://github.com/llvm/llvm-project/pull/73557

  [ Matthias Klose ]
  * Limit the number of parallel processes based on the available memory
    and the packages to be built (flang has some memory hogs).
  * Also install liborc_rt*.a on ppc64 and ppc64el.
  * Fix stripping build flags on Ubuntu/ppc64el.
  * libclang1-18: Only encode the major version in the soname. See #1056126.
  * Restore the patch for D148945, searching /usr/lib/llvm-18/lib by default.
    Addresses: #1056580.
  * Also use the free swap to determine the number of parallel processes.
  * Set the cpu defaults for the ARM32 architectures:
    - armel: arm9e. Closes: #1056115.
    - armhf: cortex-a7.

  [ John Paul Adrian Glaubitz ]
  * Don't install *clang_rt* on sparc and sparc64

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 03 Dec 2023 18:38:51 +0100

llvm-toolchain-17 (1:17.0.3-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Consolidate the build flags for the wasm builds.
  * Disable the clc and wasm builds when not building binary indep packages.
  * Limit the parallel links to 2 on riscv64.
  * d/rules: Be less noisy when building without grpc.
  * Build-depend on libncurses-dev instead of libncurses5-dev.
  * Use a stamps subdirectory for all build stamps.
  * Factor-out the calls to dh_listpackages.
  * d/rules/preconfigure: Print info about build environment.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Oct 2023 08:10:51 +0200

llvm-toolchain-snapshot (1:18~++20230818040015+c931f2e6fd0c-1~exp2) UNRELEASED; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Disable wasm support on powerpc and powerpcspe
  * Remove powerpc from BINUTILS_GOLD_ARCHS again

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 30 Aug 2023 11:49:01 +0200

llvm-toolchain-snapshot (1:18~++20230818040015+c931f2e6fd0c-1~exp1) experimental; urgency=medium

  * snapshot is now 18
  * Remove llvm-remark-size-diff & llvm-tapi-diff from llvm-X.Y-dev
  * Remove lldb-disable-swig-error.diff - no longer necessary

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 Aug 2023 16:00:36 +0200

llvm-toolchain-snapshot (1:18~++20230725115106+b6847edfc235-1~exp1) experimental; urgency=medium

  * snapshot is now 18

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 25 Jul 2023 23:52:42 +0200

llvm-toolchain-17 (1:17.0.6-6) UNRELEASED; urgency=medium

  [ chenli ]
  * Enable flang on loong64

  [ Sylvestre Ledru ]
  * try to enable sccache on 'my' s390x machines

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Jan 2024 13:29:35 +0100

llvm-toolchain-17 (1:17.0.6-5) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Revert "Enable COMPILER_RT_BUILD_BUILTINS for armel"
  * Fix i386 FTBFS resulting from COMPILER_RT_DEFAULT_TARGET_ONLY
    (Closes: #1060440)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 11 Jan 2024 14:15:09 +0100

llvm-toolchain-17 (1:17.0.6-4) unstable; urgency=medium

  * debian/qualify-clang.sh: remove the compiler-rt test of i386
    use libclang-rt-17-dev:i386 instead

  [ Matthias Klose ]
  * libclang1-17: Remove the full version symlinks.

  [ Faidon Liambotis ]
  * Enable COMPILER_RT_DEFAULT_TARGET_ONLY for all archs
  * Enable COMPILER_RT_BUILD_BUILTINS for armel
  * Drop two unreferenced debian/patches
  * Mark documentation packages as Multi-Arch: foreign
  * Convert libclang-common-*-dev to Arch: all/M-A: foreign

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 09 Jan 2024 13:03:56 +0100

llvm-toolchain-17 (1:17.0.6-3) unstable; urgency=medium

  * Cherry pick the wasm fix from 16
    (Closes: #1057838)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 15 Dec 2023 18:51:57 +0100

llvm-toolchain-17 (1:17.0.6-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Add new cmake-clang-test to spot issues such as
    Debian bug #1057151
  * Fix cmake file (Closes: #1057151)
  * Drop sed command, useless now

  [ Matthias Klose ]
  * Also use the free swap to determine the number of parallel processes.
  * libclang1-17: Hard-code the last full versions for the symlinks.
  * Also use the free swap to determine the number of parallel processes.
  * Set the cpu defaults for the ARM32 architectures:
    - armel: arm926ej-s. Closes: #1056115.
    - armhf: cortex-a8.
    Thanks to Arnd Bergmann and Ard Biesheuvel for the fixes.
  * Apply the proposed fix for D158491, build failure on mips64el, still
    unreviewed upstream. Addresses: #1056116.

  [ Sylvestre Ledru ]
  * Move the symlink /usr/lib/*/libc++experimental.a from libc++abi-17-dev
    to libc++-17-dev
  * Remove some old break/replaces from 16
  * Fix the EmitBackendOutput test in debian/qualify-clang.sh
  * Also add back /usr/lib/llvm-17/lib/libclang-17.so.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Dec 2023 09:49:04 +0100

llvm-toolchain-17 (1:17.0.6-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Further limit the number of parallel processes
  * Don't build-depend on llvm-spirv-17 on armel and mipsel (LLVM 17 is not
    yet built on these architectures).
  * Fix stripping build flags on Ubuntu/ppc64el.
  * libclang1-17: Only encode the major version in the soname. Closes: #1056126.
  * libclang1-17: Provide a symlink for the last soname with the full version.
  * Restore the patch for D148945, searching /usr/lib/llvm-17/lib by default.
    Closes: #1056580.

  [ Sylvestre Ledru ]
  * New upstream release
  * Add a symlink for libc++experimental.a to /usr/lib/*/libc++experimental.a
    to fix https://github.com/llvm/llvm-project/issues/72753
  * try to relax the wasi-libc dep declaration for apt.llvm.org
  * add a check that, if we are going to build wasm, wasi-libc is installed
    on the system

  [ John Paul Adrian Glaubitz ]
  * Don't install *clang_rt* on sparc and sparc64

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 28 Nov 2023 11:43:43 +0100

llvm-toolchain-17 (1:17.0.5-1) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Don't run chrpath for libclang on sparc and sparc64

  [ Matthias Klose ]
  * Build-depend on llvm-spirv-17.

  [ Sylvestre Ledru ]
  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 14 Nov 2023 11:27:22 +0100

llvm-toolchain-17 (1:17.0.2-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 03 Oct 2023 09:18:45 +0200

llvm-toolchain-17 (1:17.0.1-1~exp2) experimental; urgency=medium

  * Also remove omp from cmake file (Closes: #1052533)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Sep 2023 11:24:39 +0200

llvm-toolchain-17 (1:17.0.1-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 19 Sep 2023 10:43:02 +0200

llvm-toolchain-17 (1:17.0.0~+rc4-1~exp6) experimental; urgency=medium

  * Enable again python3-lldb on bionic (apt.llvm.org)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 18 Sep 2023 11:22:37 +0200

llvm-toolchain-17 (1:17.0.0~+rc4-1~exp5) experimental; urgency=medium

  * debian/patches/D158066.patch:
    - cherry-pick change from 1:16.0.6-11
  * Make sure at least spirv 17 is used, FTBFS with older version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Sep 2023 08:51:38 +0200

llvm-toolchain-17 (1:17.0.0~+rc4-1~exp4) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Don't depend on spirv, the version 16 is too old to work

  [ Sylvestre Ledru ]
  * Also ignore "-mbranch-protection=standard" (used on arm64)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 08 Sep 2023 13:49:38 +0200

llvm-toolchain-17 (1:17.0.0~+rc4-1~exp3) experimental; urgency=medium

  * Update control file
  * Fixup build failures from 16 branch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Sep 2023 23:04:28 +0200

llvm-toolchain-17 (1:17.0.0~+rc4-1~exp2) experimental; urgency=medium

  * Strip -fcf-protection for wasm build - new flag added in dpkg 1.22
  * Explicitly depend on libcurl4-openssl-dev
    Thanks to Samuel Henrique for the fix

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 06 Sep 2023 22:44:15 +0200

llvm-toolchain-17 (1:17.0.0~+rc4-1~exp1) experimental; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Disable wasm support on powerpc and powerpcspe
  * Remove powerpc from BINUTILS_GOLD_ARCHS again

  [ Sylvestre Ledru ]
  * new upstream release
  * Disable python3-lldb on mips64el to unbreak the build

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Sep 2023 14:30:50 +0200

llvm-toolchain-17 (1:17.0.0~+rc3-1~exp1) experimental; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 22 Aug 2023 19:22:57 +0200

llvm-toolchain-17 (1:17.0.0~+rc2-1~exp2) UNRELEASED; urgency=medium

  * debian/tests/control: update gcc to 10 => 13

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Aug 2023 10:07:19 +0200

llvm-toolchain-17 (1:17.0.0~+rc2-1~exp1) experimental; urgency=medium

  * New snapshot release:
  * Fix the libclang-rt-17-dev: ships
    /usr/lib[...]/wasi/libclang_rt.builtins-wasm*.a, already in
    libclang-rt-17-dev-wasm* (closes: #1041388)
  * Also install llvm-debuginfod in llvm-X.Y
  * Fix for real the libclang-rt-17-dev issue

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 15 Aug 2023 19:25:12 +0000

llvm-toolchain-snapshot (1:17~++20230723074821+3ebe606592fb-1~exp1) UNRELEASED; urgency=medium

  * experimental New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 23 Jul 2023 19:48:42 +0200

llvm-toolchain-snapshot (1:17~++20230709044550+c54ff51be9c1-1~exp1) experimental; urgency=medium

  * Install usr/lib/llvm-17/lib/clang/17/include/llvm_libc_wrappers/*.h
    in libclang-common-X.Y-dev
  * fix the libclang & libomp5 symbol files
  * Add new symbol to libclang1:
    clang_CXXMethod_isExplicit
    clang_createIndexWithOptions
    clang_getBinaryOperatorKindSpelling
    clang_getCursorBinaryOperatorKind
    clang_getCursorUnaryOperatorKind
    clang_getUnaryOperatorKindSpelling

  [ Samuel Thibault ]
  * Fix hurd build by fixing Linux-specific lines.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 09 Jul 2023 15:15:34 +0200

llvm-toolchain-snapshot (1:17~++20230701095046+dc6c8b8d1e35-1~exp1) experimental; urgency=medium

  * llvm-debuginfod not installed anymore
    https://github.com/llvm/llvm-project/commit/8ac330bde40e9e0a0b2d0708ba6c7888fb1ce225
  * New snapshot release
  * Yet a new element (omp) to disable in cmake detection. Upstream #62622
  * remove some mlir example (libMyExtensionCh*.a)
  * Try to pass MAKE_C_COMPILER_LAUNCHER and CMAKE_CXX_COMPILER_LAUNCHER
    in CLANG_BOOTSTRAP_PASSTHROUGH for sccache in stage2
  * Disable python3-lldb-17 for buster (it has been this way for a while)
  * Try to workaround issue 63613

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 04 Jul 2023 13:16:48 +0200

llvm-toolchain-snapshot (1:17~++20230128060150+75153adeda1a-1~exp1) experimental; urgency=medium

  * Snapshot is now 17
  * ship libHLFIRTransforms & libHLFIRDialect in libflang
  * Also install liborc_rt-x86_64.a in libclang-rt
  * Adjust some path since upstream changed the path from
    /usr/lib/llvm-16/lib/clang/16.0.0/ to
    /usr/lib/llvm-16/lib/clang/16/
  * Workaround some missing files on buster
  * Replace LLVM_CONFIG by LLVM_CMAKE_DIR
  * Bring back -DBUILTINS_CMAKE_ARGS & -DRUNTIMES_CMAKE_ARGS options
    https://github.com/llvm/llvm-project/issues/59097
  * unbreak a symlink to fix to libclang
  * Add a symlink /usr/lib/x86_64-linux-gnu/{libclang-16.so.16.0.0 => libclang-16.so.1}
    Expected by program like the firefox build system
  * ship amdgpu-arch & nvptx-arch in clang-tools
  * ship llvm-omp-kernel-replay in libomp-X.Y-dev
  * Disable flang on s390x. Seems that it is breaking
  * compiler-rt: Only build liborc on amd64, i386 & arm64
  * Don't build omptarget on i386

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 28 Jan 2023 18:07:40 +0100

llvm-toolchain-16 (1:16.0.6-18) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Upload to sid

  [ Sylvestre Ledru ]
  * Change the logic to disable SPIRV. Disable it on most of the versions because
    it needs llvm-spirv-16.
    Enabled on trixie/sid, Ubuntu Mantic
    FAILED: spirv-mesa3d-.spv /build/source/libclc/build/spirv-mesa3d-.spv
    cd /build/source/libclc/build && /usr/bin/llvm-spirv-15
       --spirv-max-version=1.1 -o spirv-mesa3d-.spv builtins.link.spirv-mesa3d-.bc
    Unknown attribute kind (86) (Producer: 'LLVM16.0.6' Reader: 'LLVM 15.0.6')
  * For Ubuntu bionic, improve the deactivation of lldb python

  [ Steve Langasek ]
  * Add noble as supported Ubuntu release

  [ John Paul Adrian Glaubitz ]
  * Don't run chrpath for libclang on sparc and sparc64

  [ Sylvestre Ledru ]

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 11 Nov 2023 09:57:35 +0100

llvm-toolchain-16 (1:16.0.6-17exp1) experimental; urgency=medium

  * Fixup the move from all to any
  * Update debian/README documentation

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Oct 2023 12:38:21 +0200

llvm-toolchain-16 (1:16.0.6-17) unstable; urgency=medium

  * Try to fix the wasm path detection (Closes: #1052002)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 19 Oct 2023 22:37:29 +0200

llvm-toolchain-16 (1:16.0.6-16) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Make libclang-common-16-dev arch:any (Closes: #1041455)
    It was arch:all because all the code isn't arch dependant
    However, it causes issues for cross build.
    So, back to any and libclang-common-@LLVM_VERSION@-dev (= ${binary:Version})
    instead of source

  [ Sylvestre Ledru ]
  * Bring back old version of spirv - necessary for apt.llvm.org

  [ Alexandre Detiste ]
  * Remove python-six as dep

  [ Li Chen ]
  * Add support for loongarch64 (Closes: #1053658)
  * Cherry-pick upstream patch D142688 to fix the build failure on loong64
    (Closes: #1053655)

  [ Matthias Klose ]
  * Disable the clc and wasm builds when not building binary indep packages.
  * Limit the parallel links to 2 on riscv64.
  * d/rules: Be less noisy when building without grpc.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 08 Oct 2023 09:11:38 +0200

llvm-toolchain-16 (1:16.0.6-15) unstable; urgency=medium

  * Second attempt to refresh D158066.patch (Closes: #1049362)
    (SIMD compatibility headers on ppc64el)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Sep 2023 15:40:42 +0200

llvm-toolchain-16 (1:16.0.6-14) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * On bionic & buster, for apt.llvm.org, pass -DLLVM_ENABLE_ZSTD=OFF
    as libzstd is too old

  [ Gianfranco Costamagna ]
  * Add i386 and mips64el to spirv architectures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 10 Sep 2023 08:14:36 +0200

llvm-toolchain-16 (1:16.0.6-13) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Also runtime-depend on {libzstd,zlib1g}-dev, from Paravoid (Closes:
    #1047718)

  [ Sylvestre Ledru ]
  * Strip -fcf-protection for wasm build - new flag added in dpkg 1.22

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 07 Sep 2023 13:01:14 +0200

llvm-toolchain-16 (1:16.0.6-12) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Disable wasm support on powerpc and powerpcspe
  * Remove powerpc from BINUTILS_GOLD_ARCHS again

  [ Sylvestre Ledru ]
  * Disable python3-lldb on mips64el to unbreak the build

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 03 Sep 2023 14:06:19 +0200

llvm-toolchain-16 (1:16.0.6-11) unstable; urgency=medium

  * debian/patches/D158066.patch:
    - upstream fix for Debian bug: #1049362
  * Also build-depend on libzstd-dev (Closes: #1047718)
  * Explicitly depend on libcurl4-openssl-dev, since nss is being removed.
    (Closes: #1043552)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Aug 2023 10:19:13 +0200

llvm-toolchain-16 (1:16.0.6-10) unstable; urgency=medium

  * update test to depend on libstdc++-13-dev
  * Also ignore mlir test on armel, hang

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Aug 2023 11:01:06 +0200

llvm-toolchain-16 (1:16.0.6-9) unstable; urgency=medium

  * Really enable spirv, and disable spirv on mips* since it's not yet
    bootstrapped. Thanks <tjaalton> for the patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Aug 2023 14:20:06 +0200

llvm-toolchain-16 (1:16.0.6-8) unstable; urgency=medium

  * Make sure flang-16 depends on libflang-16-dev (Closes: #1041202)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Aug 2023 09:30:36 +0200

llvm-toolchain-16 (1:16.0.6-7) unstable; urgency=medium

  * Use spirv-16 to build llvm. This should fix libclc-16 content
    and fix mesa build
  * Don't reduce parallel builds anymore on riscv64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Aug 2023 09:10:31 +0200

llvm-toolchain-16 (1:16.0.6-6) unstable; urgency=medium

  * Do the delete of wasi in libclang-rt regardless (Closes: #1041834)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 24 Jul 2023 08:29:14 +0200

llvm-toolchain-16 (1:16.0.6-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * Fix hurd build by fixing Linux-specific lines.
  * Fix wasi-libc build-deps on i386 !linux-i386

  [ Sylvestre Ledru ]
  * set -DCMAKE_SYSTEM_NAME=Generic to build wasm to fix upstream #63799

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 11 Jul 2023 22:28:59 +0200

llvm-toolchain-16 (1:16.0.6-4) unstable; urgency=medium

  * lldb-16: lldb no longer depend on llvm-dev (Closes: #1039490)
  * Unbreak the libclang links (Closes: #1040205)
    And add tests to make sure we don't regress
  * Fix the libclang-16.so symbol file
  * Remove broken symlinks (closes: #857680)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 09 Jul 2023 15:08:24 +0200

llvm-toolchain-16 (1:16.0.6-3) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Only pass -Bno-symbolic if it exists

  [ Gianfranco Costamagna ]
  * Revert LIBCXXABI_ARM_EHABI => _LIBCXXABI_ARM_EHABI change,
    FTBFS on arm*.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Jun 2023 08:58:16 +0200

llvm-toolchain-16 (1:16.0.6-2) unstable; urgency=medium

  * Remove debian/NEWS to fix debian-news-entry-has-unknown-version
  * Fix libomp-16-doc: documentation-package-not-architecture-independent
  * Fix llvm-16-dev: depends-on-obsolete-package Depends: libtinfo-dev => libncurses-dev
  * Enable Xtensa experimental backend (Closes: #1033911)
  * Fix the path /usr/lib/llvm-16/lib/clang/16/ (Closes: #1036623)
  * Refresh the list of symbol of libclang1-16
  * Refresh the list of symbol for libomp.so.5
  * Add symbols files for libomptarget.rtl* and libomptarget.so

  [ Gianfranco Costamagna ]
  * Try to unbreak HURD
  * Add back powerpc to gold architectures
  * Use bfd linker on p*pc*

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 14 Jun 2023 08:06:04 +0200

llvm-toolchain-16 (1:16.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 14 Jun 2023 08:06:04 +0200

llvm-toolchain-16 (1:16.0.5-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Add patch from llvm-15 (Graham Inggs) to update Ubuntu releases names
    to include Ubuntu mantic

  [ Sylvestre Ledru ]
  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 11 Jun 2023 13:15:48 +0200

llvm-toolchain-16 (1:16.0.5-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 03 Jun 2023 12:00:55 +0200

llvm-toolchain-16 (1:16.0.4-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 17 May 2023 09:25:29 +0200

llvm-toolchain-16 (1:16.0.3-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 03 May 2023 10:38:19 +0200

llvm-toolchain-16 (1:16.0.2-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 22 Apr 2023 22:57:25 +0200

llvm-toolchain-16 (1:16.0.1-1~exp2) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * cherry pick changes from snapshot for sccache

  [ Gianfranco Costamagna ]
  * Use parallel=2 on riscv64
  * Add omptarget again to optional interfaces (Closes: #1033933)
  * Adapt test when llvm is built without Z3 support (error message changed)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Apr 2023 14:09:36 +0200

llvm-toolchain-16 (1:16.0.1-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 05 Apr 2023 13:25:21 +0200

llvm-toolchain-16 (1:16.0.0-1~exp5) experimental; urgency=medium

  * Don't ship liborc on armel too
  * Install ASAN symbolize on riscv64
  * Limit parallel building to 3 on riscv64, should speed up extremely slow builds due to too many concurrent threads

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Mar 2023 08:53:13 +0200

llvm-toolchain-16 (1:16.0.0-1~exp4) experimental; urgency=medium

  * Use 16 for wasm libs instead of 16.0.0
    https://github.com/llvm/llvm-project/issues/61550

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 22 Mar 2023 23:36:45 +0100

llvm-toolchain-16 (1:16.0.0-1~exp3) experimental; urgency=medium

  * Revert gold linker on riscv64, FTBFS

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Mar 2023 11:27:33 +0100

llvm-toolchain-16 (1:16.0.0-1~exp2) experimental; urgency=medium

  [ Matthias Klose <doko@ubuntu.com> ]
  * Install liborc_rt-armhf.a on armhf.
  * Don't ship gdb scripts for ompd on armhf.
  * Don't run MLIR tests on armhf, timeouts on the buildds.

  [ Gianfranco Costamagna ]
  * Try to use gold linker on riscv64, to see if the build goes to
    the end successfully

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Mar 2023 09:41:39 +0100

llvm-toolchain-16 (1:16.0.0-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 18 Mar 2023 21:41:44 +0100

llvm-toolchain-16 (1:16.0.0~+rc4-1~exp1) experimental; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 11 Mar 2023 10:50:01 +0100

llvm-toolchain-16 (1:16.0.0~+rc3-1~exp1) experimental; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 22 Feb 2023 09:22:05 +0100

llvm-toolchain-16 (1:16.0.0~+rc2-1~exp1) experimental; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 08 Feb 2023 19:40:52 +0100

llvm-toolchain-16 (1:16.0.0~+rc1-1~exp1) experimental; urgency=medium

  * First rc of 16
  * Branching of 16 (snapshot is now 17)
  * ship libHLFIRTransforms & libHLFIRDialect in libflang
  * Also install liborc_rt-x86_64.a in libclang-rt
  * Adjust some path since upstream changed the path from
    /usr/lib/llvm-16/lib/clang/16.0.0/ to
    /usr/lib/llvm-16/lib/clang/16/
  * Workaround some missing files on buster
  * Replace LLVM_CONFIG by LLVM_CMAKE_DIR
  * Bring back -DBUILTINS_CMAKE_ARGS & -DRUNTIMES_CMAKE_ARGS options
    https://github.com/llvm/llvm-project/issues/59097
  * unbreak a symlink to fix to libclang
  * Add a symlink /usr/lib/x86_64-linux-gnu/{libclang-16.so.16.0.0 => libclang-16.so.1}
    Expected by program like the firefox build system
  * ship amdgpu-arch & nvptx-arch in clang-tools
  * ship llvm-omp-kernel-replay in libomp-X.Y-dev
  * Disable flang on s390x. Seems that it is breaking
  * compiler-rt: Only build liborc on amd64, i386 & arm64
  * Don't build omptarget on i386

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Nov 2022 10:16:49 +0100

llvm-toolchain-16 (1:16~++20230115053056+df5fc4504b86-1~exp2) UNRELEASED; urgency=medium

  * Don't build omptarget on armhf either

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 30 Jan 2023 10:09:21 +0100

llvm-toolchain-snapshot (1:16~++20221111053703+a77a02aa5794-1~exp1) experimental; urgency=medium

  * New snapshot release
  * mlir: Disable test on i386 because of
    https://github.com/llvm/llvm-project/issues/58357
  * Install llvm-debuginfo-analyzer in llvm-X.Y
  * Install clang-include-cleaner in clang-tools-X.Y
  * Build of openmp: use PROJECTS instead of RUNTIMES
    See https://github.com/llvm/llvm-project/issues/58219
  * Install usr/lib/llvm-16/include/__libunwind_config.h
    usr/lib/llvm-16/include/libunwind.h
    usr/lib/llvm-16/include/mach-o/compact_unwind_encoding.h
    usr/lib/llvm-16/include/unwind.h
    usr/lib/llvm-16/include/unwind_arm_ehabi.h
    usr/lib/llvm-16/include/unwind_itanium.h
    in libunwind-X.Y-dev
  * Install llvm-bat-dump in bolt-X.Y
  * disable-openmpd.diff: Disable the test of openmpd
    because of https://github.com/llvm/llvm-project/issues/58941

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 11 Nov 2022 17:43:40 +0100

llvm-toolchain-snapshot (1:16~++20220830053930+25fdcb8e6ce3-1~exp1) experimental; urgency=medium

  * Main is now 16. A branch for 15 has been created
  * clang doesn't have a specific SONAME anymore.
    See https://reviews.llvm.org/D129160 for the rational
  * Install clang-tblgen in clang-tools-X.Y
  * For apt.llvm.org on stretch, from snapshot, also use libc++ for the
    build. It adds a dependency on libc++. It might be extended in
    the future for for now, it is Debian/stretch only
  * Remove clang-offload-wrapper & clang-nvlink-wrapper like upstream
  * Set CLANG_FORCE_MATCHING_LIBCLANG_SOVERSION to make sure that version of
    libclang == clang. this to simplify the packaging, the coinstability
    and to have more consistency.
  * Install usr/lib/llvm-@LLVM_VERSION@/share/gdb/python/ompd/ in libomp-16-dev
  * Remove ompt-multiplex.h from libomp
  * Install llvm-remarkutil in llvm-X.Y
  * Don't build libclc-16 as it needs a more recent version of llvm-spirv

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Aug 2022 17:40:55 +0200

llvm-toolchain-snapshot (1:16~++20220731055325+02b3a358926e-1~exp1) experimental; urgency=medium

  * Main is now 16. A branch for 15 has been created
  * clang doesn't have a specific SONAME anymore.
    See https://reviews.llvm.org/D129160 for the rational

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 27 Jul 2022 21:36:27 +0200

llvm-toolchain-15 (1:15.0.7-6) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Only pass -Bno-symbolic if it exists

  [ Gianfranco Costamagna ]
  * Revert LIBCXXABI_ARM_EHABI => _LIBCXXABI_ARM_EHABI change,
    FTBFS on arm*.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 26 Jun 2023 10:13:40 +0200

llvm-toolchain-15 (1:15.0.7-5) unstable; urgency=medium

  [ Graham Inggs ]
  * debian/patches/ubuntu-releases.patch: Update the list of
    Ubuntu release names

  [ Gianfranco Costamagna ]
  * Add powerpc to GOLD architectures
  * Cherry-pick upstream fix for newer cmake-related build failure
  * Cherry-pick upstream fix for HIP search path depending on os-release (Closes: #1037452)

  [ Steve Langasek ]
  * debian/rules: disable -Wl,-Bsymbolic-functions for libomp.  LP: #2016471.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Jun 2023 20:04:59 +0200

llvm-toolchain-15 (1:15.0.7-5~exp2) experimental; urgency=medium

  * Also apply the workaround of issue #62621 for focal
    and to include libpolly-15-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Jun 2023 11:52:14 +0200

llvm-toolchain-15 (1:15.0.7-5~exp1) experimental; urgency=medium

  * Remove old code to manage Debian stretch
  * Force the replacement of new Ubuntu packages introduced in
    https://bugs.launchpad.net/ubuntu/+source/llvm-toolchain-15/+bug/2008755
  * Adjust LIBCXXABI_ARM_EHABI => _LIBCXXABI_ARM_EHABI
    Issue: https://github.com/llvm/llvm-project/issues/59240

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 04 Jun 2023 11:35:54 +0200

llvm-toolchain-15 (1:15.0.7-4) unstable; urgency=medium

  * Fix debian/libclang1-15.symbols soname
  * Remove build artifacts if any

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 15 Mar 2023 21:45:46 +0100

llvm-toolchain-15 (1:15.0.7-3) unstable; urgency=medium

  * Disable the flang autopkgtests on unsupported architectures

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 Mar 2023 11:19:54 +0100

llvm-toolchain-15 (1:15.0.7-2) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Yeah, we would like to have this version in bookworm
    (Closes: #1032316)
  * Adjust some lintian overrides
  * Disable flang on s390x. Seems that it is breaking

  [ Gianfranco Costamagna ]
  * Update print lldb python patch, following what was done
    in automake for newer python

  [ Samuel Thibault ]
  * Fix disabling amdgpu on non-Linux.

  [ John Paul Adrian Glaubitz ]
  * Don't run chrpath for libclang on powerpc and powerpcspe

  [ Faidon Liambotis ]
  * Update the wasm-sysroot-usr.diff patch to restore functionality that was
    accidentally dropped when the patch was forward-ported from 14 to 15. This
    resolves an issue in which clang++ builds would fail if libc++-15-dev was
    installed alongside libc++-15-dev-wasm32. (Closes: #1029010, #1032317)

  [ Cordell Bloor ]
  * Backport support for HIP in /usr and add Debian paths
    for rocm-device-libs to search list (Closes: #1031808)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 15 Jan 2023 10:54:41 +0100

llvm-toolchain-15 (1:15.0.7-1~exp1) UNRELEASED; urgency=medium

  * experimental New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 13 Jan 2023 15:12:11 +0100

llvm-toolchain-15 (1:15.0.7-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 08 Jan 2023 12:31:57 +0100

llvm-toolchain-15 (1:15.0.6-5~exp3) experimental; urgency=medium

  * Don't always build flang

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 07 Jan 2023 23:46:18 +0100

llvm-toolchain-15 (1:15.0.6-5~exp2) experimental; urgency=medium

  * Restrict flang on 64bits archs:
    (amd64 arm64 mips64el ppc64el kfreebsd-amd64 s390x ppc64 sparc64 riscv64)
    See: https://github.com/llvm/llvm-project/issues/59845

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 06 Jan 2023 13:19:48 +0100

llvm-toolchain-15 (1:15.0.6~++20230102020141+088f33605d8a-1~exp1) UNRELEASED; urgency=medium

  * experimental New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 02 Jan 2023 14:01:53 +0100

llvm-toolchain-15 (1:15.0.6-5~exp1) experimental; urgency=medium

  * Add flang-15 and libraries support
  * Several changes coming from the branch -14:
  * wasm support significantly improved with several packages:
    - libc++-15-dev-wasm32
    - libc++abi-15-dev-wasm32
    - libclang-rt-15-dev-wasm32
    - libclang-rt-15-dev-wasm64
    It is now as easy as:
    $ apt install clang-15 lld-15 libclang-rt-15-dev-wasm32 wasi-libc
    $ clang-15 --target=wasm32-wasi helloworld.c -o helloworld.wasm
    Many thanks to Faidon Liambotis
  * libclang-common-15-dev split into different packages:
    - libclang-rt-15-dev
    - libpolly-15-dev
    - libclang-rt-15-dev-wasm32
    - libclang-rt-15-dev-wasm64

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 03 Jan 2023 00:40:25 +0100

llvm-toolchain-15 (1:15.0.6-4) unstable; urgency=medium

  * link-grpc.diff: add the detection of other libs necessary for
    grpc (Closes: #1025530)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 01 Jan 2023 15:46:39 +0100

llvm-toolchain-15 (1:15.0.6-3) unstable; urgency=medium

  * Build on spirv-15 for riscv64 too.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Nov 2022 16:15:42 +0100

llvm-toolchain-15 (1:15.0.6-2) unstable; urgency=medium

  * Fix build on riscv64 by disabling WASM for now.
  * Explicitly depend on spirv-14 for riscv64, to bootstrap spirv there.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Nov 2022 15:31:52 +0100

llvm-toolchain-15 (1:15.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 29 Nov 2022 15:25:58 +0100

llvm-toolchain-15 (1:15.0.5-5) unstable; urgency=medium

  * Add riscv64 to spirv-15 supported list, now that the bootstrap is
    finished.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Nov 2022 12:41:35 +0100

llvm-toolchain-15 (1:15.0.5-4) unstable; urgency=medium

  * Explicitly depend on spirv-14 for riscv64, to bootstrap spirv there.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Nov 2022 10:58:27 +0100

llvm-toolchain-15 (1:15.0.5-3) unstable; urgency=medium

  * Depend again on spirv-15 for mips64el.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 20 Nov 2022 06:54:23 +0100

llvm-toolchain-15 (1:15.0.5-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Add libomp target library to mips64el (Closes: #1023101)
  * Explicitly depend on spirv-14 for mips64el, to ease bootstrapping
    on buildds (this should be dropped once we build a spirv-15 in archive)
  * Cherry-pick two upstream patches to unblock mesa build on arm* (Closes:
    #1022577)

  [ Sylvestre Ledru ]
  * store the sccache results in /tmp/buildd/source/sccache-stats.json

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 19 Nov 2022 23:25:04 +0100

llvm-toolchain-15 (1:15.0.5-1) unstable; urgency=medium

  * New upstream release
  * Remove the swig patches (applied upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 16 Nov 2022 09:11:01 +0100

llvm-toolchain-15 (1:15.0.4-1) unstable; urgency=medium

  [ Jordan Justen ]
  * d/rules: Rename LLVM_SPIR_VERSION to LLVM_SPIRV_VERSION
  * d/rules: Call bash to use 'command -v' to locate llvm-spirv executable
  * debian: Bump llvm-spirv to 15 to match the llvm version
  * d/rules: Set LLVM_SPIRV with cmake for libclc
  * d/patches: Drop libclc-llvm-spirv.diff now that we are setting LLVM_SPIRV
  * d/rules: Restore building libclc .bc output without spir-v support
  * d/rules: Check for previous version of llvm-spirv as well
  * d/control: Add llvm-spirv-14 as an alternative to llvm-spirv-15

  [ Sylvestre Ledru ]
  * New upstream release (Closes: #1023455)
  * Cherry-pick patches to fix the FTBFS with swig + lldb (Closes: #1023444)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 02 Nov 2022 08:50:23 +0100

llvm-toolchain-15 (1:15.0.3-2) unstable; urgency=medium

  * Cherry-pick upstream fix to unbreak mips (closes: #1022169)
    Thanks to YunQiang Su for the patch
    https://reviews.llvm.org/D135553

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 28 Oct 2022 10:25:45 +0200

llvm-toolchain-15 (1:15.0.3-1) unstable; urgency=medium

  * Upload to unstable now that autopkgtest is green

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 23 Oct 2022 10:34:58 +0200

llvm-toolchain-15 (1:15.0.3-1~exp2) experimental; urgency=medium

  * Fix autopkgtest (remove move stuff from the cmake search)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 21 Oct 2022 23:53:23 +0200

llvm-toolchain-15 (1:15.0.3-1~exp1) experimental; urgency=medium

  * New stable release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 18 Oct 2022 14:04:32 +0200

llvm-toolchain-15 (1:15.0.2-2~exp6) experimental; urgency=medium

  * Disable LTO for now
  * don't search for llvm-bolt, merge-fdata, etc in cmake
    https://github.com/llvm/llvm-project/issues/58317

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 12 Oct 2022 16:19:03 +0200

llvm-toolchain-15 (1:15.0.2-2~exp5) experimental; urgency=medium

  * Only enable LTO for some archs

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 11 Oct 2022 09:15:56 +0200

llvm-toolchain-15 (1:15.0.2-2~exp4) experimental; urgency=medium

  * Only ship libbolt_rt_hugify.a & libbolt_rt_instr.a on amd64
  * fix the cmake detection with libmlir

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 09 Oct 2022 20:09:46 +0200

llvm-toolchain-15 (1:15.0.2-2~exp3) experimental; urgency=medium

  * Build using LTO - better performances of the llvm-toolchain
    binaires
  * Build libfuzzer with C++ 17 ot unbreak it

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 08 Oct 2022 15:06:37 +0200

llvm-toolchain-15 (1:15.0.2-2~exp2) experimental; urgency=medium

  * Fix a typo to silent lintian (Closes: #1018770)
  * Fix some hardcoded paths (Closes: #1020847)
  * Suggest wasi-libc for clang

  [ Witold Baryluk ]
  * Allow libunwind-dev to be coinstallable (Closes: #1004112)

  [ Faidon Liambotis ]
  * Add better support for the WebAssembly (wasm32/wasm64) targets:
    - Ship compiler-rt for the wasm32 and wasm64 targets. (Closes: #1010932)
    - Add patch wasm-compiler-rt-default.diff to default to compiler-rt for
      these targets. libgcc does not currently exist for WebAssembly in neither
      Debian nor upstream, and therefore compiler-rt is the only option.
    - Add patch wasm-sysroot-usr.diff to support a system-installed (i.e. shipped
      in /usr) wasi-libc. (Closes: #1020746)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 06 Oct 2022 17:04:24 +0200

llvm-toolchain-15 (1:15.0.2-2~exp1) experimental; urgency=medium

  * Ship bolt

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 04 Oct 2022 15:21:19 +0200

llvm-toolchain-15 (1:15.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 04 Oct 2022 12:46:25 +0200

llvm-toolchain-15 (1:15.0.1-1) unstable; urgency=medium

  * Upload to unstable now that we have removed 12 from the archive

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 04 Oct 2022 09:24:55 +0200

llvm-toolchain-15 (1:15.0.1-1~exp2) experimental; urgency=medium

  * Unbreak the clang symlink. See
    https://github.com/llvm/llvm-project/issues/57857

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 21 Sep 2022 00:20:54 +0200

llvm-toolchain-15 (1:15.0.1-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 20 Sep 2022 08:55:01 +0200

llvm-toolchain-15 (1:15.0.0-2) experimental; urgency=medium

  * Fix build on ppc64 and riscv64 (Closes: #1019582)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Sep 2022 17:58:08 +0200

llvm-toolchain-15 (1:15.0.0-1~exp1) experimental; urgency=medium

  * New stable release
  * syscall-mips64el-def.diff: fix the call to undeclared function 'syscall';
    on mips

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Sep 2022 09:13:19 +0200

llvm-toolchain-15 (1:15.0.0~+rc3-1~exp2) experimental; urgency=medium

  * Update of the build dep from llvm-spirv => llvm-spirv-14
    as it is now versioned. It should build libclc

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 31 Aug 2022 17:10:33 +0200

llvm-toolchain-15 (1:15.0.0~+rc3-1~exp1) experimental; urgency=medium

  * New snapshot release
  * For Debian Stretch for apt.llvm.org, use clang-14 to build
    itself as gcc 7 isn't available

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 25 Aug 2022 13:32:14 +0200

llvm-toolchain-15 (1:15.0.0~+rc2-1~exp1) experimental; urgency=medium

  * Second testing release of 15

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 09 Aug 2022 17:47:53 +0200

llvm-toolchain-15 (1:15.0.0~+rc1-1~exp1) experimental; urgency=medium

  * First testing release of 15
  * Remove 'debian/patches/revert-openmp-path.diff'
    applied upstream

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 01 Aug 2022 09:30:39 +0200

llvm-toolchain-15 (1:15~++20220727091640+d77882e66779-1~exp1) experimental; urgency=medium

  * main is now 16. Creating a branch for 15.
  * clang doesn't have a specific SONAME anymore.
    See https://reviews.llvm.org/D129160 for the rational

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 27 Jul 2022 09:27:50 +0200

llvm-toolchain-snapshot (1:15~++20220724113059+7feab85df8e8-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Force the SSE2 on amd64 for compiler-rt/builtin:
    https://reviews.llvm.org/D107082#3626632
  * Ship llvm-debuginfod & llvm-dwarfutil in llvm-X.Y
  * Install usr/lib/llvm-15/lib/libomptarget.so.15 in libomp5-15
    And libomptarget.rtl.amdgpu.so.15, libomptarget.rtl.cuda.so.15 and
    libomptarget.rtl.x86_64.so.15
  * Add usr/lib/llvm-15/lib/libomptarget.devicertl.a to libomp-X-dev
    only for [amd64 ppc64el arm64]
  * On Debian Buster, unwind fails to link because pthread & dl aren't found.
    Force the declaration as it is probably the case for every Debian & Ubuntu anyway.
    See unwind-force-pthread-dl.diff & https://github.com/llvm/llvm-project/issues/55629
  * Install llvm-driver-template.cpp.in in llvm-X.Y-dev
  * Remove debian/patches/x86-fuzzer.patch (done differently upstream)
  * Install UnicodeNameMappingGenerator in llvm-X.Y-tools
  * Disable libclc when spir is below 14
    Explicit load/store type does not match pointee type of pointer operand (Producer: 'LLVM15.0.0' Reader: 'LLVM 13.0.1')
  * Add the option -DLLVM_ENABLE_CURL=ON
    See https://github.com/llvm/llvm-project/issues/55289
  * Install new binary clang-offload-packager in
    clang-tools-15

  [ John Paul Adrian Glaubitz ]
  * Enable GRPC build dependency only on supported targets
  * Disable compiler-rt built-ins on x32
  * Limit parallel link jobs for all stages on sparc and sparc64
  * Built compiler-rt for default target only on sparc and sparc64
  * Drop sparc64-specific patch D98574.patch
  * Drop sparc64-specific patch D98575.patch

  [ Roman Lebedev ]
  * Install new binary tblgen-lsp-server into mlir-15-tools

  [ Michael Biebl ]
  * Add support for systemd-binfmt (Closes: #1012370)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 24 Jul 2022 14:25:19 +0200

llvm-toolchain-snapshot (1:15~++20220309105819+8bef17ed59aa-1~exp1) experimental; urgency=medium

  * Try to unbreak the build (issue #54242)
    MLIR undef issue
  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 09 Mar 2022 22:58:29 +0100

llvm-toolchain-snapshot (1:15~++20220202093833+1a3137dc8451-1~exp1) experimental; urgency=medium

  * Install new llvm-remark-size-diff in llvm-X.Y
  * Install clang-pseudo in clang-tools-X.Y
  * mlir: use the cmake option to avoid installing object files
    MLIR_INSTALL_AGGREGATE_OBJECTS
    Closes upstream #53134
  * Build clangd with GRPC support
    Thanks to Sam McCall for the patch
  * snapshot is now 15. 14 is in it own branch now
  * Ship clang-linker-wrapper in clang-tools-X.Y

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 13 Feb 2022 23:25:57 +0100

llvm-toolchain-14 (1:14.0.6-11) UNRELEASED; urgency=medium

  [ Sylvestre Ledru ]
  * Update SV to 4.6.2
  * Disable libc++-$(LLVM_VERSION)-dev-wasm32 on old Debian & Ubuntu:
    bionic buster focal bullseye jammy
    either wasi-libc isn't available or too old or we face bug
    https://sourceware.org/bugzilla/show_bug.cgi?id=27558
  * adjust the lintian override format with the []
  * hardcode a bit less sccache usage

  [ Gianfranco Costamagna ]
  * Fix riscv64 build by adding spirv again (from @paravoid)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 15 Jan 2023 09:40:55 +0100

llvm-toolchain-14 (1:14.0.6-10) unstable; urgency=medium

  * Upload to unstable
  * Add missing epoch (Closes: #1027699)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 01 Jan 2023 15:42:15 +0100

llvm-toolchain-14 (1:14.0.6-10~exp6) experimental; urgency=medium

  * Move libPolly in libpolly-X.Y-dev for real

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 01 Jan 2023 15:42:04 +0100

llvm-toolchain-14 (1:14.0.6-10~exp5) experimental; urgency=medium

  * Create a libpolly-X.Y-dev package
  * Fix the libclang-rt-14-dev-wasm64 description

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Dec 2022 12:35:04 +0100

llvm-toolchain-14 (1:14.0.6-10~exp4) experimental; urgency=medium

  * Move the compiler-rt content into a new package called
    libclang-rt-X.Y-dev (including polly)
  * the wasm targets are shipped into libclang-rt-14-dev-wasm32
    and libclang-rt-14-dev-wasm64
  * libclang-common-X.Y-dev arch moved to all
    then ${binary:Version} => ${source:Version}
    to avoid not-binnmuable-any-depends-all
  * link-grpc.diff: add the detection of other libs necessary for
    grpc (Closes: #1025529)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 21 Dec 2022 13:48:40 +0100

llvm-toolchain-14 (1:14.0.6-10~exp3) experimental; urgency=medium

  * Transform debian/control into debian/control.in (preparation for
    flang support)
  * Do not install wasm-libc if doesn't exist

  [ Faidon Liambotis ]
  * Try to unbreak the builds with wasm

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 19 Dec 2022 11:09:58 +0100

llvm-toolchain-14 (1:14.0.6-10~exp1) experimental; urgency=medium

  * More WebAssembly (wasm32/wasm64) work:
    - Update patch wasm-sysroot-usr to stop including /usr/include when
      building for the non-OS (unknown) wasm targets, to avoid inadvertently
      including the host's (glibc) headers.
    - Re-enable builds on all architectures, previously disabled for
      arm64 armel mips64el mipsel ppc64el armhf in 1:14.0.6-4, due to an FTBFS
      related to the /usr/include issue above.
    - Update patch wasm-sysroot-usr to adjust system include paths for C++
      headers as well.
    - Build libc++ and libc++abi for wasm32-wasi, generating two new binary
      packages, and introducing a build dependency on wasi-libc.
    - Misc code organization fixes to debian/rules.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 18 Nov 2022 08:21:02 +0200

llvm-toolchain-14 (1:14.0.6-9) unstable; urgency=medium

  * Cherry-pick upstream commit c081bf4098c729afacf20303cc9df62bf13c3362
    to fix chromium failure in basic_string (Closes: #1025394)
  * Disable the MLIR testsuite run because of a freeze
    (Closes: #1024154)
    See https://github.com/llvm/llvm-project/issues/58357
  * Disable wasm on riscv64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Dec 2022 09:03:06 +0100

llvm-toolchain-14 (1:14.0.6-8) unstable; urgency=medium

  * Fix the lldb swig issues (closes: #1023444)
  * Enable LLVM_USE_RELATIVE_PATHS_IN_DEBUG_INFO to help with caching
  * Adjust to protobuf 3.21 (Closes: #1023533)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 04 Nov 2022 19:36:56 +0100

llvm-toolchain-14 (1:14.0.6-7) unstable; urgency=medium

  * Disable the cmake search for all binaries
    (cmake_import_check_files_for.*/bin/). Dunno why it regressed
    but we wasted too much time on this.
  * disable sccache on bionic

  [ Jordan Justen ]
  * d/rules: Call bash to use 'command -v' to location llvm-spirv executable
  * d/rules: Set LLVM_SPIRV with cmake for libclc
  * d/patches: Drop libclc-llvm-spirv.diff now that we are setting LLVM_SPIRV
  * d/rules: Check for llvm-spirv with version suffix

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 27 Oct 2022 12:47:19 +0200

llvm-toolchain-14 (1:14.0.6-6) unstable; urgency=medium

  * Unbreak the cmake detection (Closes: #1021857, #1022414)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 23 Oct 2022 16:07:45 +0200

llvm-toolchain-14 (1:14.0.6-5) unstable; urgency=medium

  * Update of the build dep llvm-spirv => llvm-spirv-14

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 11 Oct 2022 08:39:18 +0200

llvm-toolchain-14 (1:14.0.6-4) unstable; urgency=medium

  * fix the cmake detection with libmlir
  * Don't build wasm target on arm64 armel mips64el mipsel ppc64el armhf
    for now

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 10 Oct 2022 13:47:25 +0200

llvm-toolchain-14 (1:14.0.6-3) unstable; urgency=medium

  * Fix a typo to silent lintian (Closes: #1018770)
  * Fix some hardcoded paths (Closes: #1020847)
  * Suggest wasi-libc for clang

  [ Witold Baryluk ]
  * Allow libunwind-dev to be coinstallable (Closes: #1004112)

  [ Faidon Liambotis ]
  * Add better support for the WebAssembly (wasm32/wasm64) targets:
    - Ship compiler-rt for the wasm32 and wasm64 targets. (Closes: #1010932)
    - Add patch wasm-compiler-rt-default.diff to default to compiler-rt for
      these targets. libgcc does not currently exist for WebAssembly in neither
      Debian nor upstream, and therefore compiler-rt is the only option.
    - Add patch wasm-sysroot-usr.diff to support a system-installed (i.e. shipped
      in /usr) wasi-libc. (Closes: #1020746)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Aug 2022 16:10:33 +0200

llvm-toolchain-14 (1:14.0.6-2) unstable; urgency=medium

  [ Sam McCall ]
  * Add conventional symlink to libc++ headers in /usr/include/c++/v1
    See https://salsa.debian.org/pkg-llvm-team/llvm-toolchain/-/merge_requests/95
    for more information

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 23 Jul 2022 23:01:02 +0200

llvm-toolchain-14 (1:14.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 25 Jun 2022 09:56:23 +0200

llvm-toolchain-14 (1:14.0.5-1) unstable; urgency=medium

  * New upstream release
  * Only install grpc files libclang-X.Y-dev when grpc built
  * Remove cv-insn-support.patch (applied upstream)

  [ John Paul Adrian Glaubitz ]
  * Disable compiler-rt built-ins on x32

  [ Michael Biebl ]
  * Add support for systemd-binfmt (Closes: #1012368)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 11 Jun 2022 09:09:03 +0200

llvm-toolchain-14 (1:14.0.4-4) unstable; urgency=medium

  * autopkgtest: Restrict debian/qualify-clang.sh on
    amd64 arm64 i386

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 03 Jun 2022 10:52:10 +0200

llvm-toolchain-14 (1:14.0.4-3) unstable; urgency=medium

  * Fix GRPC installation path and files

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 31 May 2022 12:09:28 +0200

llvm-toolchain-14 (1:14.0.4-2) unstable; urgency=low

  * Add breaks/replaces for grpc binaries being placed in another package in Ubuntu
  * Fix GRPC installation for ports architectures
  * Add support for Ubuntu kinetic
  * rules: take some patches from Ubuntu to save extra space during build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 29 May 2022 12:53:47 +0200

llvm-toolchain-14 (1:14.0.4-1) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Enable GRPC build dependency only on supported targets

  [ Sylvestre Ledru ]
  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 25 May 2022 08:49:20 +0200

llvm-toolchain-14 (1:14.0.3-2) unstable; urgency=medium

  * Fix an autopkgtest on arm (Closes:# 1010716)
    Thanks to Pino Toscano for the patch
  * Fix the search path for hip (Closes: #1010467)
  * Add the option -DLLVM_ENABLE_CURL=ON
    See https://github.com/llvm/llvm-project/issues/55289
    (LP: #1971743)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 09 May 2022 20:40:39 +0200

llvm-toolchain-14 (1:14.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 29 Apr 2022 09:23:16 +0200

llvm-toolchain-14 (1:14.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 27 Apr 2022 08:36:00 +0200

llvm-toolchain-14 (1:14.0.1-1) unstable; urgency=medium

  * New upstream release
    Fixes the ABI issues

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 13 Apr 2022 09:33:24 +0200

llvm-toolchain-14 (1:14.0.0-1) unstable; urgency=medium

  * New stable release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 23 Mar 2022 08:41:26 +0100

llvm-toolchain-14 (1:14.0.0~+rc4-1) unstable; urgency=medium

  * New snapshot release (rc3 isn't a thing)
  * Add an ugly workaround for Ubuntu jammy (some python files are installed in local/lib)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 11 Mar 2022 18:28:07 +0100

llvm-toolchain-14 (1:14.0.0~+rc2-1~exp1) unstable; urgency=medium

  * New snapshot release
  * Also path LD_LIBRARY_PATH for install
    when cmake binary backport like on bionic s390x (for apt.llvm.org)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 04 Mar 2022 20:06:44 +0100

llvm-toolchain-14 (1:14.0.0~+rc1-1) unstable; urgency=medium

  * First testing release of 14
  * Upload to unstable
  Changes for 13:
  * mlir: use the cmake option to avoid installing object files
    MLIR_INSTALL_AGGREGATE_OBJECTS
    Closes upstream #53134
  * Build clangd with GRPC support
    Thanks to Sam McCall for the patch
  * Revert e80c52986e1bb3afa6a92c58b1cb897877923a66 to be able to build on stretch

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 10 Feb 2022 09:25:26 +0100

llvm-toolchain-14 (1:14~++20220202101403+91632c8ac97f-1~exp1) experimental; urgency=medium

  * snapshot = 15, first 14 package
  * Ship clang-linker-wrapper in clang-tools-X.Y

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 02 Feb 2022 22:14:13 +0100

llvm-toolchain-14 (1:14~++20220128082735+c962b3fdf8dd-1~exp1) UNRELEASED; urgency=medium

  * snapshot = 15, first 14 package
  * Ship clang-linker-wrapper in clang-tools-X.Y

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 28 Jan 2022 08:27:53 +0100

llvm-toolchain-snapshot (1:14~++20220123085548+413684313d9d-1~exp2) experimental; urgency=medium

  * Hide some symbols for omp/arm* and other archs

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 24 Jan 2022 13:56:35 +0100

llvm-toolchain-snapshot (1:14~++20220123085548+413684313d9d-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * Ugly workaround to enable scan-build on runtimes
    debian/patches/use-scan-build-runtimes.diff
  * Python 2 => 3 to unbreak the 'scanbuild_py_makefile.txt' test
  * Enable CLANG_DEFAULT_PIE_ON_LINUX
  * Lower the debhelper dep to 10 for debian stretch
  * Rename ocaml-nox => ocaml-base
  * Update of the ocaml doc path to catch a different path

  [ Samuel Thibault ]
  * Explicitly link against -latomic on hurd-i386 as well.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 23 Jan 2022 20:48:09 +0100


llvm-toolchain-snapshot (1:14~++20220107114130+3a604fdbcd5f-1~exp1) experimental; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 07 Jan 2022 23:58:01 +0100

llvm-toolchain-snapshot (1:14~++20211230084136+a96fe1bf3b32-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Build and ship MLIR as 3 new packages (libmlir-14-dev, libmlir-14
    and mlir-14-tools)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 29 Dec 2021 21:08:20 +0100

llvm-toolchain-snapshot (1:14~++20211221121559+9e3ae8d296aa-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Remove some old mach lld libraries. Remove upstream in 9e3552523ebd3385487e01e3e7af37b8c0efaf57
    liblldReaderWriter.a liblldDriver.a liblldYAML.a liblldCore.a liblldMachOOld.a
  * Also install llvm-debuginfod-find in llvm-14

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 03 Dec 2021 13:19:39 +0100

llvm-toolchain-snapshot (1:14~++20211113111058+6a40854ce507-1~exp1) experimental; urgency=medium

  * experimental New snapshot release
  * Adjust the libomp5 symbols

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 13 Nov 2021 23:15:48 +0100

llvm-toolchain-snapshot (1:14~++20211113102219+b5ff187b7b51-1~exp1) experimental; urgency=medium

  * Remove the triple patch. it is causing the library search path to fail.
    Add a test in debian/qualify-clang.sh to verify we don't regress
  * Fix the "all" build
  * Disable LIBCXX_USE_COMPILER_RT on s390x, armel and x32 as it fails. See bug 52022
  * Adjust the libomp_start_tool visibility on armhf
  * Be more flexible to install libomptarget-*.bc
    (ex: libomptarget-new-nvptx-*.bc are new)
  * Force the i386 triple -DLLVM_HOST_TRIPLE=i386-linux-gnu
    Sometimes, on i386, the library detection is failing (often on z3
    or ffi)
    'Could NOT find Z3:'
  * Add '-DCMAKE_FIND_DEBUG_MODE=true' to help with debugging
  * Disable the build of libclc on old Ubuntu (Groovy & focal)
    as llvm-spir is too old on these version.
    See bug #52200
  * Adjust the sphinx build as the makefile have been removed
  * If lua is available on the system at built time, a lua lldb binding
    was created. It was leading to some build failures depending
    on the package installed on the build system.
    Force the deactivation of the lua build when lldb is built.
  * libomp: add new symbols
    - GOMP_5.0.1
    - GOMP_alloc
    - GOMP_free
    - __kmpc_aligned_alloc
    - __kmpc_atomic_bool_1_cas
    - __kmpc_atomic_bool_1_cas_cpt
    - __kmpc_atomic_bool_2_cas
    - __kmpc_atomic_bool_2_cas_cpt
    - __kmpc_atomic_bool_4_cas
    - __kmpc_atomic_bool_4_cas_cpt
    - __kmpc_atomic_bool_8_cas
    - __kmpc_atomic_bool_8_cas_cpt
    - __kmpc_atomic_float10_max
    - __kmpc_atomic_float10_max_cpt
    - __kmpc_atomic_float10_min
    - __kmpc_atomic_float10_min_cpt
    - __kmpc_atomic_val_1_cas
    - __kmpc_atomic_val_1_cas_cpt
    - __kmpc_atomic_val_2_cas
    - __kmpc_atomic_val_2_cas_cpt
    - __kmpc_atomic_val_4_cas
    - __kmpc_atomic_val_4_cas_cpt
    - __kmpc_atomic_val_8_cas
    - __kmpc_atomic_val_8_cas_cpt
    - omp_aligned_alloc
    - omp_aligned_calloc
  * Install llvm-tli-checker in llvm-X.Y

  [ Erik Maciejewski ]
  * Merge migration to 2stage runtimes build 13 => 14

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 13 Nov 2021 10:26:41 +0100

llvm-toolchain-snapshot (1:14~++20211111061527+d56b171ee965-1~exp1) experimental; urgency=medium

  * Remove the triple patch. it is causing the library search path to fail.
    Add a test in debian/qualify-clang.sh to verify we don't regress
  * Fix the "all" build
  * Disable LIBCXX_USE_COMPILER_RT on s390x, armel and x32 as it fails. See bug 52022
  * Adjust the libomp_start_tool visibility on armhf
  * Be more flexible to install libomptarget-*.bc
    (ex: libomptarget-new-nvptx-*.bc are new)
  * Force the i386 triple -DLLVM_HOST_TRIPLE=i386-linux-gnu
    Sometimes, on i386, the library detection is failing (often on z3
    or ffi)
    'Could NOT find Z3:'
  * Add '-DCMAKE_FIND_DEBUG_MODE=true' to help with debugging
  * Disable the build of libclc on old Ubuntu (Groovy & focal)
    as llvm-spir is too old on these version.
    See bug #52200
  * Adjust the sphinx build as the makefile have been removed
  * If lua is available on the system at built time, a lua lldb binding
    was created. It was leading to some build failures depending
    on the package installed on the build system.
    Force the deactivation of the lua build when lldb is built.
  * libomp: add new symbols
    - GOMP_5.0.1
    - GOMP_alloc
    - GOMP_free
    - __kmpc_aligned_alloc
    - __kmpc_atomic_bool_1_cas
    - __kmpc_atomic_bool_1_cas_cpt
    - __kmpc_atomic_bool_2_cas
    - __kmpc_atomic_bool_2_cas_cpt
    - __kmpc_atomic_bool_4_cas
    - __kmpc_atomic_bool_4_cas_cpt
    - __kmpc_atomic_bool_8_cas
    - __kmpc_atomic_bool_8_cas_cpt
    - __kmpc_atomic_float10_max
    - __kmpc_atomic_float10_max_cpt
    - __kmpc_atomic_float10_min
    - __kmpc_atomic_float10_min_cpt
    - __kmpc_atomic_val_1_cas
    - __kmpc_atomic_val_1_cas_cpt
    - __kmpc_atomic_val_2_cas
    - __kmpc_atomic_val_2_cas_cpt
    - __kmpc_atomic_val_4_cas
    - __kmpc_atomic_val_4_cas_cpt
    - __kmpc_atomic_val_8_cas
    - __kmpc_atomic_val_8_cas_cpt
    - omp_aligned_alloc
    - omp_aligned_calloc

  [ Erik Maciejewski ]
  * Merge migration to 2stage runtimes build 13 => 14

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 11 Nov 2021 18:19:57 +0100

llvm-toolchain-snapshot (1:14~++20210926041028+6063e6b499c7-1~exp1) experimental; urgency=medium

  * experimental New snapshot release
  * Bring back the libc++/libc++abi options

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 26 Sep 2021 16:14:44 +0200

llvm-toolchain-snapshot (1:14~++20210924122635+4a57f5d1e1c5-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * experimental New snapshot release
  * remove "scan-build-py-force-utf-8-opening.diff"
    merged upstream
  * Also install libomptarget-nvptx in libomp-X.Y-dev next to amdgcn
  * Add -DLLVM_ENABLE_PER_TARGET_RUNTIME_DIR=OFF. it was turn on by default
    in https://reviews.llvm.org/D107799
    It was causing the second cmake (stage2) build to fail on z3 or libffi.
    Sign that the compiler didn't work correctly.
  * libcxxabi: Unbreak the CI by adding a silly symlink to _config_site
    Far from perfect but it should be fixed by the runtime move:
    https://reviews.llvm.org/D89013#3017317
  * New symbols in libomp5-14:
    - __kmpc_end_scope
    - __kmpc_scope
    - libomp_start_tool
    (and remove some old missing symbols)

  [ John Paul Adrian Glaubitz ]
  * Disable libunwind on m68k, sparc64 and x32

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 24 Sep 2021 12:31:05 +0200

llvm-toolchain-snapshot (1:14~++20210924092749+e325ebb9c70b-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * experimental New snapshot release
  * remove "scan-build-py-force-utf-8-opening.diff"
    merged upstream
  * Also install libomptarget-nvptx in libomp-X.Y-dev next to amdgcn
  * the libc++* & libunwind builds are installed in directory with triple
  * remove the libc++ & libc++abi tasks as they are part of the process now
  * Add -DLLVM_ENABLE_PER_TARGET_RUNTIME_DIR=OFF. it was turn on by default
    in https://reviews.llvm.org/D107799
    It was causing the second cmake (stage2) build to fail on z3 or libffi.
    Sign that the compiler didn't work correctly.
  * libcxxabi: Unbreak the CI by adding a silly symlink to _config_site
    Far from perfect but it should be fixed by the runtime move:
    https://reviews.llvm.org/D89013#3017317

  [ John Paul Adrian Glaubitz ]
  * Disable libunwind on m68k, sparc64 and x32

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 24 Sep 2021 23:09:21 +0200

llvm-toolchain-snapshot (1:14~++20210831081106+387a8dea7234-1~exp1) UNRELEASED; urgency=medium

  [ Sylvestre Ledru ]
  * experimental New snapshot release
  * remove "scan-build-py-force-utf-8-opening.diff"
    merged upstream
  * Also install libomptarget-nvptx in libomp-X.Y-dev next to amdgcn

  [ John Paul Adrian Glaubitz ]
  * Disable libunwind on m68k, sparc64 and x32

  [ Sylvestre Ledru ]
  * experimental New snapshot release
  * experimental New snapshot release
  * experimental New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 31 Aug 2021 08:15:00 +0200

llvm-toolchain-snapshot (1:14~++20210827020436+15b2a8e7faf6-1~exp2) UNRELEASED; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Disable libunwind-X.Y{-dev} packages on sparc and sparc64

  [ Sylvestre Ledru ]
  * Ship clang-repl as part of clang-tools-XX
    See https://reviews.llvm.org/D106813
  * Ship clang-nvlink-wrapper as part of clang-tools-XX
    See https://reviews.llvm.org/D108291
  * debuginfo-tests has been renamed to cross-project-tests

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 31 Aug 2021 22:17:35 +0200

llvm-toolchain-snapshot (1:14~++20210827071740+3ec634e65a02-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * experimental New snapshot release
  * remove "scan-build-py-force-utf-8-opening.diff"
    merged upstream
  * Also install libomptarget-nvptx in libomp-X.Y-dev next to amdgcn
  * Upload the various changes from 12 & 13
  * remove "scan-build-py-force-utf-8-opening.diff"
    merged upstream
  * Also install libomptarget-nvptx in libomp-X.Y-dev next to amdgcn

  [ John Paul Adrian Glaubitz ]
  * Disable libunwind on m68k, sparc64 and x32

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 27 Aug 2021 21:56:14 +0200

llvm-toolchain-snapshot (1:14~++20210827020436+15b2a8e7faf6-1~exp2) UNRELEASED; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Disable libunwind-X.Y{-dev} packages on sparc and sparc64

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 29 Aug 2021 21:28:50 +0200

llvm-toolchain-13 (1:13.0.0~+rc2-1) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Disable libunwind on m68k, sparc64 and x32

  [ Gianfranco Costamagna ]
  * integration-test-suite-test: fix build by using 13 as default version

  [ Sylvestre Ledru ]
  * New testing release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 27 Aug 2021 09:43:28 +0200

llvm-toolchain-snapshot (1:14~++20210715093511+afc760ef3527-1~exp2) unstable; urgency=medium

  * revert the s390 as it is probably fixed
  * Rename some lld libs. Following 7a6482216ff02f81ed02ff4936f1b22d4b5a9a6c
    lldMachO=>lldMachOOld and lldMachO2=>lldMach
  * scan-build-py - Force the file open in utf-8. Fails on -14 on bionic
    otherwise

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 06 Aug 2021 08:40:58 +0200

llvm-toolchain-13 (1:13.0.1-9) UNRELEASED; urgency=medium

  * d/rules: Don't send an empty string to cmake when llvm-spirv is not found

 -- Jordan Justen <jljusten@debian.org>  Fri, 28 Oct 2022 10:17:57 -0700

llvm-toolchain-13 (1:13.0.1-8) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Disable the build of libclc on old Ubuntu (Groovy & focal)
    as llvm-spir is too old on these version.
    See bug #52200

  [ Jordan Justen ]
  * d/rules: Call bash to use 'command -v' to location llvm-spirv executable
  * d/rules: Set LLVM_SPIRV with cmake for libclc
  * d/patches: Drop libclc-llvm-spirv.diff now that we are setting LLVM_SPIRV
  * d/rules: Check for llvm-spirv with version suffix

 -- Jordan Justen <jljusten@debian.org>  Wed, 26 Oct 2022 10:13:59 -0700

llvm-toolchain-13 (1:13.0.1-7) unstable; urgency=medium

  [ Michael Biebl ]
  * Add support for systemd-binfmt (Closes: #1012367)

  [ Sam McCall ]
  * Add conventional symlink to libc++ headers in /usr/include/c++/v1
    See https://salsa.debian.org/pkg-llvm-team/llvm-toolchain/-/merge_requests/95
    for more information

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Jul 2022 15:10:20 +0200

llvm-toolchain-13 (1:13.0.1-6) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Disable compiler-rt built-ins on x32

  [ Gianfranco Costamagna ]
  * Enable grpc on riscv64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Jun 2022 15:30:38 +0200

llvm-toolchain-13 (1:13.0.1-5) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Enable GRPC build dependency only on supported targets
  * Exclude lib{Monitoring,RemoteIndex}*Proto.a on m68k and sparc64

  [ Gianfranco Costamagna ]
  * fix grpc architectures, avoiding to install them where not available
  * Break/Replaces the Ubuntu library that moved GRPC binaries into the wrong location
  * newline/tab fix in rules
  * fix GRPC installation in port architectures
  * Add patches from Upstream/Ubuntu to:
    - Backport upstream patches to allow building EFI images for Ubuntu Core
       for arm64 (LP: #1960300)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 May 2022 09:30:17 +0200

llvm-toolchain-13 (1:13.0.1-4) unstable; urgency=medium

  * Backport D115098 for Rust 1.59 (Closes: #1010150)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 09 May 2022 20:47:26 +0200

llvm-toolchain-13 (1:13.0.1-3) unstable; urgency=medium

  * Fix a typo in an header (closes: #1005195)

  * Also install usr/lib/llvm-@LLVM_VERSION@/lib/libRemoteIndexProto.a
    usr/lib/llvm-@LLVM_VERSION@/lib/libRemoteIndexServiceProto.a
    usr/lib/llvm-@LLVM_VERSION@/lib/libMonitoringServiceProto.a
    in libclang-X.Y-dev
    (Closes: #1005666)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 08 Feb 2022 21:39:18 +0100

llvm-toolchain-13 (1:13.0.1-2) unstable; urgency=medium

  * mlir: use the cmake option to avoid installing object files
    MLIR_INSTALL_AGGREGATE_OBJECTS
    Closes upstream #53134
  * Build clangd with GRPC support
    Thanks to Sam McCall for the patch

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 05 Jan 2022 23:21:56 +0100

llvm-toolchain-13 (1:13.0.1-1) unstable; urgency=medium

  * New stable release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 03 Feb 2022 10:21:56 +0100

llvm-toolchain-13 (1:13.0.1~+rc3-1~exp1) experimental; urgency=medium

  [ Samuel Thibault ]
  * Explicitly link against -latomic on all ports, not only the Linux ones.
  * Stop hardcoding -DCMAKE_SYSTEM_NAME=Linux as cmake parameter, as it breaks
    stage2 builds on non-Linux architectures

  [ Pino Toscano ]
  * debian/rules: Disable 64bit runtime build on hurd-i386 (Closes: #1003081).

  [ Sylvestre Ledru ]
  * New rc
  * Lower the debhelper dep to 10 for debian stretch
  * Rename ocaml-nox => ocaml-base (Closes: #1002609)
  * Remove Build-Conflicts: ocaml

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 13 Jan 2022 21:17:23 +0100

llvm-toolchain-13 (1:13.0.1~+rc1-1~exp4) experimental; urgency=medium

  * Fix the cmake file with the mlir introducing

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 06 Jan 2022 14:30:59 +0100

llvm-toolchain-13 (1:13.0.1~+rc1-1~exp3) experimental; urgency=medium

  * Build and ship MLIR as 3 new packages (libmlir-13-dev, libmlir-13
    and mlir-13-tools)
  * Install bfd plugins in
    /usr/lib/bfd-plugins/LLVMgold-@LLVM_VERSION@.so

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 31 Dec 2021 12:22:38 +0100

llvm-toolchain-13 (1:13.0.1~+rc1-1~exp2) experimental; urgency=medium

  * Bring back the dependency clang => llvm-13-linker-tools
  * Unbreak llvm-toolchain-13 on buster.
    -fuse-ld=gold wasn't passed to compiler-rt. it was using bfd.
    And binutils shipping in buster has a bug preventing this to work:
    https://github.com/llvm/llvm-project/issues/42339
  * Remove AVR from LLVM_EXPERIMENTAL_TARGETS_TO_BUILD. stable since 11
    https://releases.llvm.org/11.0.0/docs/ReleaseNotes.html#changes-to-the-avr-target
  * Use the version suffix when calling wasm-ld => wasm-ld-13
    https://bugzilla.mozilla.org/show_bug.cgi?id=1747145
  * Fix run-clang-tidy symlink. it moved from /usr/lib/llvm-13/share/clang/run-clang-tidy
    to /usr/lib/llvm-13/bin/run-clang-tidy
    (Closes: #1001748)
  * Install LLVMgold in usr/lib/bfd-plugins to help various tools to understand the
    format (Closes: #919020)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 16 Dec 2021 14:28:09 +0100

llvm-toolchain-13 (1:13.0.1~+rc1-1~exp1) experimental; urgency=medium

  * New testing release
  * Use parallel + -4 for the xz tarballs compression to make it faster
  * Add manpages for git-clang-format & run-clang-tidy
  * Add back -DLLVM_VERSION_SUFFIX=. Useless for 13 but necessary for snapshot
    Otherwise, it adds "git" to the libs

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 11 Nov 2021 22:45:25 +0100

llvm-toolchain-13 (1:13.0.0-9) unstable; urgency=medium

  * Upload to unstable (all green on exp)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 08 Nov 2021 14:09:25 +0100

llvm-toolchain-13 (1:13.0.0-9~exp2) experimental; urgency=medium

  * patch compiler-rt build to add option to disable scudo standalone allocator
    as it is not always supported by all debian baseline arch profiles
  * add COMPILER_RT_BUILD_SCUDO_STANDALONE=OFF to armel build in debian/rules
    since the baseline armv5t arch profile is not supported

 -- Erik Maciejewski <mr.emacski@gmail.com>  Fri, 05 Nov 2021 16:38:43 -0700

llvm-toolchain-13 (1:13.0.0-9~exp1) experimental; urgency=medium

  * Merge migration to 2stage runtimes build 12 => 13
  * Adjust openmp runtime quilt patches from branch 12 for changes in upstream
    (llvmorg-13.0.0) sources

 -- Erik Maciejewski <mr.emacski@gmail.com>  Wed, 03 Nov 2021 20:03:56 -0700

llvm-toolchain-13 (1:13.0.0-8) unstable; urgency=medium

  * Disable lldb on mipsel and mips64el as it isn't supported
    See https://reviews.llvm.org/D102872
    (Closes: #997011)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 23 Oct 2021 10:33:56 +0200

llvm-toolchain-13 (1:13.0.0-7) unstable; urgency=medium

  * Remove omp-device-info from LLVMExports.cmake (Closes: #996551)
    For real this time
  * Fix the link issue (hopefully on all archs) (Closes: #995827)
    customs LDFLAGS were not passed to the stage2
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Update to compat 11.
    oldstable has 12
    bionic has 11

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 20 Oct 2021 07:36:28 +0200

llvm-toolchain-13 (1:13.0.0-6) unstable; urgency=medium

  * Remove omp-device-info from LLVMExports.cmake (Closes: #996551)
  * Fix a atomic issue. Thanks to YunQiang Su for the patch
    Partial fix for #995827
  * Bring back the llvm manpages (Closes: #995684)
    Were generated at the wrong place

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 15 Oct 2021 10:45:30 +0200

llvm-toolchain-13 (1:13.0.0-5) unstable; urgency=medium

  *  Restrict the dependency on libunwind-13-dev from Package: libc++-13-dev
     on amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64
     (Closes: #996462)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 14 Oct 2021 12:33:15 +0200

llvm-toolchain-13 (1:13.0.0-4) unstable; urgency=medium

  * Instead of using llvm-* to install binaries in llvm-X.Y
    list all the binaries one by one.
    It will prevent "llvm-omp-device-info" to be installed in
    llvm-X.Y which caused an explicit dependency on libomp
    which caused llvm-X.Y to be NOT coinstallable anymore
  * Move llvm-omp-device-info-X.Y from llvm-X to libompX-dev
    Fixes upstream #52162

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 13 Oct 2021 13:29:51 +0200

llvm-toolchain-13 (1:13.0.0-3) unstable; urgency=medium

  * libc++-13-dev should depends on libunwind-13-dev
    (Closes: #995810)
  * Disable a tsan and two lldb tests on i386

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 06 Oct 2021 12:52:10 +0200

llvm-toolchain-13 (1:13.0.0-2) unstable; urgency=medium

  * Fix the libclang detection in cmake
    (Closes: #994827)
  * Adjust the testsuite after various changes
    (rpass, libclang, polly lib, etc)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 03 Oct 2021 22:38:18 +0200

llvm-toolchain-13 (1:13.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 01 Oct 2021 09:08:08 +0200

llvm-toolchain-13 (1:13.0.0~+rc4-1) unstable; urgency=medium

  * New testing release
  * Ship clang-repl
    See https://reviews.llvm.org/D106813
  * Replace make by ninja for the build process
    It is now more tested than make by upstream
    And it is supposed to be faster
    Removed openmp/bootstrap-with-openmp-version-export-missing.diff
    as it seems that the ninja move fixed it

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 18 Sep 2021 19:30:47 +0200

llvm-toolchain-13 (1:13.0.0~+rc3-1) unstable; urgency=medium

  * New testing release
  * Remove debian/patches/disable-no-omit-leaf.diff
    as it is fixed upstream

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 11 Sep 2021 09:48:23 +0200

llvm-toolchain-13 (1:13.0.0~+rc2-3) unstable; urgency=medium

  * compiler-rt scudo, don't add the option
    -mno-omit-leaf-frame-pointer when building on
    armel & armhf

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 02 Sep 2021 21:35:26 +0200

llvm-toolchain-13 (1:13.0.0~+rc2-2) unstable; urgency=medium

  * Build with -DCMAKE_POSITION_INDEPENDENT_CODE=ON to libc++ and libc++abi
  * The changes from 12.0.1-7

  [ John Paul Adrian Glaubitz ]
  * Disable libunwind-X.Y{-dev} packages on sparc and sparc64

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 29 Aug 2021 14:52:16 +0200

llvm-toolchain-13 (1:13.0.0~+rc2-2) UNRELEASED; urgency=medium

  * Build with -DCMAKE_POSITION_INDEPENDENT_CODE=ON to libc++ and libc++abi

  [ John Paul Adrian Glaubitz ]
  * Disable libunwind-X.Y{-dev} packages on sparc and sparc64

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 29 Aug 2021 14:52:16 +0200

llvm-toolchain-13 (1:13.0.0~+rc1-2) unstable; urgency=medium

  * clang-soname-extract-version.diff: improve the upstream declaration
  * Fix the libclang links

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 19 Aug 2021 18:13:56 +0200

llvm-toolchain-13 (1:13.0.0~+rc1-1) unstable; urgency=medium

  * Upload to Unstable
  * Add symbol clang_CompileCommand_getNumMappedSources to libclang
  * Add a new variable called SONAME_CLANG as
    clang soname has started with llvm-toolchain-13.
    it is normal that 13 is what is seen in 14 or later version as
    it is bumped only with abi changes

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Aug 2021 16:00:12 +0200

llvm-toolchain-13 (1:13.0.0~+rc1-1~exp1) unstable; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 03 Aug 2021 09:36:26 +0200

llvm-toolchain-13 (1:13~++20210731010128+6eaf46beb462-1~exp1) experimental; urgency=medium

  * Branching of snapshot into 13
  * Adjust libclang:
    - upstream decided to make it stable starting from 13, with the soname
    - for now, I am not planning to rename libclang1-13 to libclang13 as it will
      cause too much churn for a small gain as we will keep libllvm (while
      losing the capability to have different versions in parallel installed)
      See upstream c7b3a91017d26266d7556b1ac7c49b06f0109b91

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 20 Jul 2021 09:40:58 +0200

llvm-toolchain-snapshot (1:13~++20210715093511+afc760ef3527-1~exp1) experimental; urgency=medium

  * Refresh the lib of symbols in libomp
  * As scan-build-py is installed by default ( https://reviews.llvm.org/D104138 )
    update of the code
  * Revert "Revert D94333.diff as it breaks the ci
    https://reviews.llvm.org/D94333#2829043"
  * Install usr/lib/llvm-13/lib/cmake/openmp/FindOpenMPTarget.cmake
    in libomp-13-dev.install
  * Revert of D103865 for causing bug 51026

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 15 Jul 2021 21:46:58 +0200

llvm-toolchain-snapshot (1:13~++20210622112436+600074980410-1~exp1) UNRELEASED; urgency=medium

  * Refresh the lib of symbols in libomp
  * As scan-build-py is installed by default ( https://reviews.llvm.org/D104138 )
    update of the code
  * Fix the path to analyze-{cc,c++} for scan-build-py with
    --intercept-first (scan-build-py-fix-analyze-path.diff)
  * experimental New snapshot release
  * experimental New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 22 Jun 2021 23:28:47 +0200

llvm-toolchain-snapshot (1:13~++20210620054946+4c44b02d87bc-1~exp1) experimental; urgency=medium

  * Enable lld on s390x
  * remove libomptarget from openmp. done by upstream
    in f2f88f3e7a110b2d4d9da446e45f0dba040e62b2
    but install /usr/lib/llvm-13/lib/libomptarget-amdgcn-*.bc
    Only install these files on amd64, ppc64el & arm64
    See openmp/libomptarget/deviceRTLs/amdgcn/CMakeLists.txt
  * Revert D94333.diff as it breaks the ci
    https://reviews.llvm.org/D94333#2829043

  [ John Paul Adrian Glaubitz ]
  * Disable OpenMP on m68k

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 08 May 2021 13:12:43 +0200

llvm-toolchain-snapshot (1:13~++20210418105309+a0898f0cecc7-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * New snapshot release
  * "run-clang-tidy" install it
  * Only enable libomp-13-doc on supported archs
  * Verify that /proc is mounted. It makes some unexpected issues when
    building from a chroot without /proc
  * Fix the __config_site include issue
  * Revert D95727 for causing bug 49818

  [ John Paul Adrian Glaubitz ]
  * Add upstream patch D98574 to fix clang macro definitions on sparc64
  * Add upstream patch D98575 to fix 32-bit compiler-rt build on sparc64
  * Enable building the new experimental M68k backend
  * Set LLVM_HOST_TRIPLE to x86_64-linux-gnux32 on x32
  * Set LLVM_DEFAULT_TARGET_TRIPLE to x86_64-linux-gnux32 on x32

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 18 Apr 2021 11:00:31 +0200

llvm-toolchain-snapshot (1:13~++20210129063721+010b176cdefb-1~exp2) experimental; urgency=medium

  * Enable OpenMP offload capabilities for NVDIA GPUs
    See https://bugzilla.redhat.com/show_bug.cgi?id=1922914

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 01 Feb 2021 09:04:16 +0100

llvm-toolchain-snapshot (1:13~++20201124100523+245052ac3080-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * New branch (12 => 13)
  * Workaround a static_assert on https://bugs.llvm.org/show_bug.cgi?id=48259
    "static assertion failed: Recycler allocation size is less than object size!"
  * Also install usr/lib/llvm-12/bin/ld64.lld.darwinnew & usr/bin/ld64.lld.darwinnew-12
  * Also install usr/lib/llvm-12/lib/libomptarget.so.12 in libomp5-12

  [ Gianfranco Costamagna ]
  * Add upstream patch D92052 to fix a gcn offload compiler issue with gcc (Closes: #975692)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 27 Jan 2021 16:02:16 +0100

llvm-toolchain-12 (1:12.0.1-20) unstable; urgency=medium

  * Also install usr/lib/llvm-@LLVM_VERSION@/lib/libRemoteIndexProto.a
    usr/lib/llvm-@LLVM_VERSION@/lib/libRemoteIndexServiceProto.a
    in libclang-X.Y-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 13 Feb 2022 14:04:40 +0100

llvm-toolchain-12 (1:12.0.1-19) unstable; urgency=medium

  * Build clangd with GRPC support
    Thanks to Sam McCall for the patch

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 29 Jan 2022 10:17:38 +0100

llvm-toolchain-12 (1:12.0.1-18) unstable; urgency=medium

  * Unbreak llvm-toolchain-12 on buster.
    -fuse-ld=gold wasn't passed to compiler-rt. it was using bfd.
    And binutils shipping in buster has a bug preventing this to work:
    https://github.com/llvm/llvm-project/issues/42339
  * Rename ocaml-nox => ocaml-base (Closes: #1002608)
  * Remove Build-Conflicts: ocaml

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 16 Dec 2021 17:49:22 +0100

llvm-toolchain-12 (1:12.0.1-17) unstable; urgency=medium

  * Rebuild to workaround the coinstallability issue (Closes: #996858)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Nov 2021 19:32:51 +0100

llvm-toolchain-12 (1:12.0.1-16) unstable; urgency=medium

  [ Erik Maciejewski ]
  * use make variables populated by /usr/share/dpkg/buildflags.mk and remove
    _EXTRA suffix from STAGE_1_ and STAGE_2_ flag vars to improve clarity and
    readability for the multi-stage setup in debian/rules
  * remove some redundant cmake options (options with the same value as their
    default) from, and move PYTHON_EXECUTABLE cmake option to, the cmake
    configure command in debian/rules
  * re-disable fixfilepath in dpkg-buildflags in favor of using the more llvm
    aware implementation provided by the llvm-project by setting
    LLVM_USE_RELATIVE_PATHS_IN_FILES=ON in both stages of the toolchain
    build in debian/rules

  [ Sylvestre Ledru ]
  * autopkgtest/integration-test-suite-test: restrict to arm64/amd64 for now

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 28 Oct 2021 16:45:49 +0200

llvm-toolchain-12 (1:12.0.1-15) unstable; urgency=medium

  * Disable lldb on mipsel and mips64el as it isn't supported
    See https://reviews.llvm.org/D102872
    (Closes: #997011)

  [ Erik Maciejewski ]
  * disable compiler-rt builtins for unsupported arch s390x in debian/rules
  * set arm toolchain arch profiles explicitly to debian baselines in
    debian/rules as the target host triples alone are ambiguous and compiler
    defaults and debian baselines may not align
  * add arch specific config for powerpc to debian/rules and set host target
    triple and compiler-rt config to force correct arch profile for builtins
  * set LIBCXX_USE_COMPILER_RT to OFF in debian/rules to disable builtins when
    libunwind is not enabled since the unwind implementation with gnu builtins
    will then be required

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 23 Oct 2021 10:33:56 +0200

llvm-toolchain-12 (1:12.0.1-14) unstable; urgency=medium

  * fix build flag inconsistencies (potentially causing build failures) by
    utilizing dpkg-buildflags for defaults where appropriate and making sure all
    flags intended for a given stage are also applied to the stage's builtins
    and runtimes builds
  * re-enable fixfilepath for use with dpkg-buildflags in debian/rules as it has
    been supported since clang-10
  * establish a consistent STAGE_[stage]_ prefix naming scheme for stage
    variables and replace STAGE1_AND_STAGE2_ prefix with STAGE_ALL_ prefix for
    better future-proofing in debian/rules
  * modify stage dir var names to use new prefix scheme in debian/rules
  * add explicit s390x build options to debian/rules, set
    LLVM_HOST_TRIPLE=s390x-linux-gnu and COMPILER_RT_DEFAULT_TARGET_ONLY=ON
    so that builtins are only built for the explicit host arch (Closes: #996802)

 -- Erik Maciejewski <mr.emacski@gmail.com>  Fri, 22 Oct 2021 03:12:48 -0700

llvm-toolchain-12 (1:12.0.1-13) unstable; urgency=medium

  * update rules to incorporate relevant arch specific configs from snapshot
  * patch llvm runtimes cmake build to add a check and only set up and build
    compiler-rt builtins if they have not been disabled in a runtimes build
  * patch compiler-rt builtins cmake build to fix default arch detection for
    armhf by adding the same target triple handling used for compiler-rt libs
  * remove legacy var for use when libcxx was a standalone build

 -- Erik Maciejewski <mr.emacski@gmail.com>  Wed, 20 Oct 2021 09:04:42 -0700

llvm-toolchain-12 (1:12.0.1-12) unstable; urgency=medium

  * re-disable building builtins on armel as they still fail (Closes: #996828)
  * add patch to libcxxabi cmake build for adding builtins to lib flags fixing
    an issue where builtins were not being linked into libcxxabi when
    LIBCXXABI_USE_COMPILER_RT=ON (Closes: #996796)

 -- Erik Maciejewski <mr.emacski@gmail.com>  Tue, 19 Oct 2021 01:28:50 -0700

llvm-toolchain-12 (1:12.0.1-11) unstable; urgency=medium

  * add missing LIBUNWIND_USE_COMPILER_RT to CLANG_BOOTSTRAP_PASSTHROUGH to link
    correct compiler-rt lib in stage2
  * consolidate two conditionals for libatomic that were essentially the same,
    but the one removed could conflict with BOOTSTRAP_SHARED_LINK_FLAGS
    elsewhere in the rules file
  * attempt to fix arm builtins by adding COMPILER_RT_DEFAULT_TARGET_ONLY=ON to
    armel and armhf toolchain build options to prevent related arches that might
    not be supported on the build host from being included in the build (like
    armv6m soft-float on the armhf build host)
  * reorganize flags and cmake options around stages for the toolchain build
  * set baseline arch to armv5t, remove older 3.8 workaround for armel build
  * update to debian host triple for the armhf build

  [ Jordan Justen ]
  * d/rules: Add amdgcn-mesa-mesa3d to libclc build.
    Closes: #993904, #995069

  [ Sylvestre Ledru ]
  * Bring back the llvm manpages (Closes: #995684)
    Were generated at the wrong place

 -- Erik Maciejewski <mr.emacski@gmail.com>  Sat, 16 Oct 2021 09:07:25 -0700

llvm-toolchain-12 (1:12.0.1-10) unstable; urgency=medium

  * evolve llvm build configuration in rules to leverage the two stage build
    with runtimes support whereby the resulting stage2 (final) compiler is used
    to build the stage2 (final) runtimes as part of a single monolithic build
  * the stage2 runtimes build now includes compiler-rt, libcxx and libcxxabi as
    well as libunwind and openmp where supported. Additionally, legacy
    corresponding standalone build targets are removed from the rules file
  * patch openmp build to include required runtimes as dependencies to build
    targets so they are built first when included as part of a runtimes build
    since openmp can depend on them
  * patch libclc build to set rpath for prepare_builtins build utility to find
    correct stage2 libs at runtime when executed as part of a build
  * patch libcxx build so that if libatomic is found, only link it if libgcc is
    the rtlib
  * patch compiler-rt build to suppress xray and testing warns when not enabled
  * patch llvm linker detection to account for vendor being prepended to lld
    version string
  * remove several existing patches incorporating workarounds no longer required
    by the modified build configuration

  [ Sylvestre Ledru ]
  * If parallel is not set in DEB_BUILD_OPTIONS, use nproc
  * Add source-is-missing llvm/test/* / lldb/test/* / lld/test/*
    to the source override
  * Remove old override 'outdated-autotools-helper-file'

  [ John Paul Adrian Glaubitz ]
  * Disable libunwind on sparc, sparc64 and x32

 -- Erik Maciejewski <mr.emacski@gmail.com>  Wed, 06 Oct 2021 01:25:08 -0700

llvm-toolchain-12 (1:12.0.1-9) unstable; urgency=medium

  * Replace make by ninja for the build process
    It is now more tested than make by upstream
    And it is supposed to be faster
    Removed openmp/bootstrap-with-openmp-version-export-missing.diff
    as it seems that the ninja move fixed it

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 18 Sep 2021 11:03:29 +0200

llvm-toolchain-12 (1:12.0.1-8) unstable; urgency=medium

  * Add back CMAKE_EXTRA to build LLVM gold (Closes: #993664)

  [  Gianfranco Costamagna ]
  * Refresh symbols on riscv64

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 04 Sep 2021 16:38:24 +0200

llvm-toolchain-12 (1:12.0.1-7) unstable; urgency=medium

  * Add debian/source/options to ignore the diff (much much faster to repack)
  * cmake: use ON instead of YES for consistency
  * Don't generate the llvm-mcmarkup & lldb-mi manpages (don't exist anymore)
    (LP: #1940713)

  [  Gianfranco Costamagna ]
  * Add a patch to fix omp build on riscv64
  * Don't build lldb on riscv64, fails to build due to missing
    CreateHostNativeRegisterContextLinux implementation on this architecture.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 31 Aug 2021 20:56:40 +0200

llvm-toolchain-12 (1:12.0.1-6) unstable; urgency=medium

  * Fixup build process on riscv64, the architecture building was enabled
    in control file but not in rules file, neither required build-deps were
    installed. (note: this should fail, but at least we will have a build log
    stored.
  * Add ocaml support on riscv64.
  * Don't require hello package on i386 (helps Ubuntu alternate dependencies)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Aug 2021 15:33:24 +0200

llvm-toolchain-12 (1:12.0.1-5) unstable; urgency=medium

  [ Jordan Justen ]
  * Include SPIR-V (*.spv) outputs in libclc package

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 25 Aug 2021 10:18:14 +0200

llvm-toolchain-12 (1:12.0.1-4) unstable; urgency=medium

  * Make libunwind-dev depends on libunwind
  * Don't build libunwind on hurd, armel, powerpc & mipsel
  * Remove old svn reference in the usage dh_strip & dh_makeshlibs

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Aug 2021 22:04:17 +0200

llvm-toolchain-12 (1:12.0.1-3) unstable; urgency=medium

  * Build libunwind only on amd64 arm64 armhf i386
    mips64el ppc64el ppc64 riscv64 sparc sparc64
    Not supported on s390x for example
  * libc++ & libc++ abi: only pass -DLIBCXXABI_USE_LLVM_UNWINDER=YES
    if libunwind is available on the platform

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 01 Aug 2021 11:42:20 +0200

llvm-toolchain-12 (1:12.0.1-2) unstable; urgency=medium

  * Generate libunwind-12 & libunwind-12-dev packages
  * Add the following option to the libc++ build:
    -DLIBCXX_ENABLE_STATIC_ABI_LIBRARY=ON
    -DLIBCXX_STATICALLY_LINK_ABI_IN_STATIC_LIBRARY=ON
    -DLIBCXX_STATICALLY_LINK_ABI_IN_SHARED_LIBRARY=OFF
     to address upstream bug 46321
  * Make libc++abi use libunwind

  [ Kasper Kantz ]
  * Add riscv64 architecture in control
    enable liblldb, libomp and others which are
    currently unavailable in riscv64 repository.

  [ Krzysztof Aleksander Pyrkosz ]
  * Add libxml2 as a dependency as it is necessary
    for llvm manifest tool (llvm-mt)
    (Closes: #990537)

  [ Jordan Justen ]
  * d/rules: Adjust cmake defines to fix libclc.pc paths
  * Add the following option to the libc++ build:
    -DLIBCXX_ENABLE_STATIC_ABI_LIBRARY=ON
    -DLIBCXX_STATICALLY_LINK_ABI_IN_STATIC_LIBRARY=ON
    -DLIBCXX_STATICALLY_LINK_ABI_IN_SHARED_LIBRARY=OFF
     to address upstream bug 46321
  * Build libunwind

  [ Kasper Kantz ]
  * Add riscv64 architecture in control
    enable liblldb, libomp and others which are
    currently unavailable in riscv64 repository.

  [ Krzysztof Aleksander Pyrkosz ]
  * Add libxml2 as a dependency as it is necessary
    for llvm manifest tool (llvm-mt)
    (Closes: #990537)

  [ Jordan Justen ]
  * d/rules: Adjust cmake defines to fix libclc.pc paths

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 12 Jul 2021 08:19:59 +0200

llvm-toolchain-12 (1:12.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 09 Jul 2021 09:13:12 +0200

llvm-toolchain-12 (1:12.0.1~+rc4-1) unstable; urgency=medium

  * New testing upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 03 Jul 2021 00:17:36 +0200

llvm-toolchain-12 (1:12.0.1~+rc3-1) unstable; urgency=medium

  * New testing upstream release
  * Fix the path to analyze-{cc,c++} for scan-build-py with
    --intercept-first (scan-build-py-fix-analyze-path.diff)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 26 Jun 2021 10:00:56 +0200

llvm-toolchain-12 (1:12.0.1~+rc2-1) unstable; urgency=medium

  * New testing upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 21 Jun 2021 16:06:36 +0200

llvm-toolchain-12 (1:12.0.1~+rc1-1) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Add upstream patch D98574 to fix clang macro definitions on sparc64
  * Add upstream patch D98575 to fix 32-bit compiler-rt build on sparc64

  [ Sylvestre Ledru ]
  * backport D101773 to fix an llvm ir issue on mipsel
    in mips/mips-D101773-reloc.patch
    thanks to Ximin Luo
    (Closes: #988965)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 28 May 2021 23:27:27 +0200

llvm-toolchain-12 (1:12.0.1~+rc1-1~exp1) unstable; urgency=medium

  * New testing upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 26 May 2021 13:10:29 +0200

llvm-toolchain-12 (1:12.0.0-3) unstable; urgency=medium

  [ Timo Aaltonen ]
  * Build libclc. (Closes: #942709)

  [ Sylvestre Ledru ]
  * Upload to unstable
  * Also build lld on s390x

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 01 May 2021 19:33:27 +0200

llvm-toolchain-12 (1:12.0.0-2) experimental; urgency=medium

  [ Matthias Klose ]
  * Improve the clean rule
  * Disable again LTO
  * Create a new package llvm-12-linker-tools:
    Contains the LLVMgold and LLVMPolly linker plugins.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 15 Apr 2021 13:27:57 +0200

llvm-toolchain-12 (1:12.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 15 Apr 2021 07:57:57 +0200

llvm-toolchain-12 (1:12.0.0~++rc5-2) unstable; urgency=medium

  * Add -DCMAKE_SUPPRESS_REGENERATION=ON to limit the number of calls
    to cmake
    Try to workaround a bug on llvm-toolchain-stretch-12-binaries
    architecture=s390x,stretch

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Apr 2021 14:59:07 +0200

llvm-toolchain-12 (1:12.0.0~++rc5-1) unstable; urgency=medium

  * New testing upstream release
  * Verify that /proc is mounted. It makes some unexpected issues when
    building from a chroot without /proc

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 08 Apr 2021 18:04:07 +0200

llvm-toolchain-12 (1:12.0.0~++rc4-1) unstable; urgency=medium

  * New testing upstream release
  * Cherry-pick https://reviews.llvm.org/D99501 to allow -flto=auto

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 01 Apr 2021 08:56:19 +0200

llvm-toolchain-12 (1:12.0.0~++rc3-4) unstable; urgency=medium

  * Don't fail fsanitize=thread on i386, not supported
  * Don't hard fail on z3 failures with "set -e" at the begin, if z3 support is not available we do fail and exit testsuite without checking the log
  * Don't force gcc-11 anymore on riscv64, gcc-10 has the fixes now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 20 Mar 2021 17:16:26 +0100

llvm-toolchain-12 (1:12.0.0~++rc3-3) unstable; urgency=medium

  * Cherry-pick upstream commit e3cd3a3c91524c957e06bb0170343548f02b6842
    bring back Reporter.py needing to make scan-view work.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Mar 2021 13:11:46 +0100

llvm-toolchain-12 (1:12.0.0~++rc3-2) unstable; urgency=medium

  * Fixup omptarget regex error, missing escape

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Mar 2021 21:04:46 +0100

llvm-toolchain-12 (1:12.0.0~++rc3-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Upload to sid

  [ Sylvestre Ledru ]
  * Ignore source: invalid-arch-string-in-source-relation riscv64 [build-depends: g++-11 [riscv64]]

  [ Matthias Klose ]
  * Also disable CMake's package validation check for omptarget target files (Closes: #983838).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Mar 2021 11:18:42 +0100

llvm-toolchain-12 (1:12.0.0~++rc3-1~exp1) experimental; urgency=medium

  * New testing upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 10 Mar 2021 16:11:07 +0100

llvm-toolchain-12 (1:12.0.0~++rc2-1~exp2) experimental; urgency=medium

  * Refresh the openmp symbol list
    In libomp.so.5:
    - GOMP_taskwait_depend
    - GOMP_teams_reg
    - __kmpc_calloc
    - __kmpc_realloc
    - __kmpc_taskloop_5
    And all libomptarget.so.12
  * Only enable libomp-12-doc on supported archs

  [ Matthias Klose <doko@ubuntu.com> ]
  * Build using GCC 11 on riscv64 (Closes: #983837).

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Mar 2021 13:25:24 +0100

llvm-toolchain-12 (1:12.0.0~++rc2-1~exp1) experimental; urgency=medium

  * New rc release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Feb 2021 10:18:02 +0100

llvm-toolchain-12 (1:12.0.0~++20210127035054+8e464dd76bef-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * experimental New snapshot release now 12 as branched
  * Workaround a static_assert on https://bugs.llvm.org/show_bug.cgi?id=48259
    "static assertion failed: Recycler allocation size is less than object size!"
  * Also install usr/lib/llvm-12/bin/ld64.lld.darwinnew & usr/bin/ld64.lld.darwinnew-12
  * Also install usr/lib/llvm-12/lib/libomptarget.so.12 in libomp5-12

  [ Gianfranco Costamagna ]
  * Add upstream patch D92052 to fix a gcn offload compiler issue with gcc (Closes: #975692)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 27 Jan 2021 15:54:15 +0100

llvm-toolchain-snapshot (1:12~++20201105093023+cc2a2bb5ce5-1~exp1) experimental; urgency=medium

  * experimental New snapshot release
  * lld-use-link-atomic-i386.diff Try to workaround a linker error
    error: undefined reference to '__atomic_load'
    on sid i386
  * Bring back gold for ppc64el. Doko thinks it is fixed.

  [ John Paul Adrian Glaubitz ]
  * Limit maximum parallel link jobs to 4 on sparc and sparc64

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 05 Nov 2020 09:42:14 +0100

llvm-toolchain-snapshot (1:12~++20201019023155+5a8ac3cc63d-1~exp1) UNRELEASED; urgency=medium

  * experimental New snapshot release
  * experimental New snapshot release
  * experimental New snapshot release
  * experimental New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 19 Oct 2020 14:35:27 +0200

llvm-toolchain-snapshot (1:12~++20200929085817+962a247aebb-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * New snapshot release
  * Install omp.h in instead of /usr/lib/llvm-@LLVM_VERSION@/lib/clang/@LLVM_VERSION_FULL@/include/
    instead of /usr/lib/llvm-@LLVM_VERSION@/include/openmp/omp
  * Install split-file in llvm-X-tools (like lit)
  * Add new symbols to libclang1:
   - clang_CXRewriter_create
   - clang_CXRewriter_dispose
   - clang_CXRewriter_insertTextBefore
   - clang_CXRewriter_overwriteChangedFiles
   - clang_CXRewriter_removeText
   - clang_CXRewriter_replaceText
   - clang_CXRewriter_writeMainFileToStdOut
   - clang_Cursor_getVarDeclInitializer
   - clang_Cursor_hasVarDeclExternalStorage
   - clang_Cursor_hasVarDeclGlobalStorage

  [ John Paul Adrian Glaubitz ]
  * Link against libatomic on mipsel to fix FTBFS in stage2
  * Link against libatomic on powerpc to fix FTBFS in stage2
  * Use dh-exec to exclude lib/libPolly*.a on powerpc and
    powerpcspe from libclang-common-X.Y-dev.install.in
  * Drop powerpcspe patches merged upstream:
    - debian/patches/powerpcspe/D49754-powerpcspe-clang.diff
    - debian/patches/powerpcspe/D54583-powerpcspe-double-parameter.diff
    - debian/patches/powerpcspe/D56703-powerpcspe-register-spilling.diff

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 29 Sep 2020 21:01:53 +0200

llvm-toolchain-snapshot (1:12~++20200902060857+888049b97a7-1~exp1) UNRELEASED; urgency=medium

  [ Sylvestre Ledru ]
  * Install omp.h in instead of /usr/lib/llvm-@LLVM_VERSION@/lib/clang/@LLVM_VERSION_FULL@/include/
    instead of /usr/lib/llvm-@LLVM_VERSION@/include/openmp/omp
  * Install split-file in llvm-X-tools (like lit)

  [ John Paul Adrian Glaubitz ]
  * Link against libatomic on mipsel to fix FTBFS in stage2
  * Link against libatomic on powerpc to fix FTBFS in stage2
  * Use dh-exec to exclude lib/libPolly*.a on powerpc and
    powerpcspe from libclang-common-X.Y-dev.install.in

  [ Sylvestre Ledru ]
  * experimental New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 02 Sep 2020 18:12:46 +0200

llvm-toolchain-snapshot (1:12~++20200804122259+4be13b15d69-1~exp2) UNRELEASED; urgency=medium

  [ Sylvestre Ledru ]
  * New snapshot release
  * Install omp.h in instead of /usr/lib/llvm-@LLVM_VERSION@/lib/clang/@LLVM_VERSION_FULL@/include/
    instead of /usr/lib/llvm-@LLVM_VERSION@/include/openmp/omp
  * Install split-file in llvm-X-tools (like lit)
  * Add new symbols to libclang1:
   - clang_CXRewriter_create
   - clang_CXRewriter_dispose
   - clang_CXRewriter_insertTextBefore
   - clang_CXRewriter_overwriteChangedFiles
   - clang_CXRewriter_removeText
   - clang_CXRewriter_replaceText
   - clang_CXRewriter_writeMainFileToStdOut
   - clang_Cursor_getVarDeclInitializer
   - clang_Cursor_hasVarDeclExternalStorage
   - clang_Cursor_hasVarDeclGlobalStorage

  [ John Paul Adrian Glaubitz ]
  * Link against libatomic on mipsel to fix FTBFS in stage2
  * Link against libatomic on powerpc to fix FTBFS in stage2
  * Use dh-exec to exclude lib/libPolly*.a on powerpc and
    powerpcspe from libclang-common-X.Y-dev.install.in
  * Drop powerpcspe patches merged upstream:
    - debian/patches/powerpcspe/D49754-powerpcspe-clang.diff
    - debian/patches/powerpcspe/D54583-powerpcspe-double-parameter.diff
    - debian/patches/powerpcspe/D56703-powerpcspe-register-spilling.diff

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 29 Sep 2020 20:57:09 +0200

llvm-toolchain-snapshot (1:12~++20200715052739+d6e79e3dd6d-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * Snapshot is now -12

  [ Samuel Thibault ]
  * debian/patches/hurd/hurd-EIEIO-undef.diff: Remove, upstreamed.
  * debian/patches/hurd/hurd-cxx-paths.diff: Remove, upstreamed.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 08 Jul 2020 15:19:14 +0200

llvm-toolchain-11 (1:11.1.0-3) unstable; urgency=medium

  * Add two patches from ubuntu to fix lto and gcc-11 build failures
  * Use minimum version for cmake-test
  * Don't require libclang-11-dev on cmake-test
  * Add new llvm-11-linker-tools (from Ubuntu)
  * Merge new fixes from branch=9
  * clang-11: Drop Recommends: libomp-11-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Sep 2021 15:50:46 +0200

llvm-toolchain-11 (1:11.1.0-2) unstable; urgency=medium

  * Adjust the cmake test to unbreak autopkgtest

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 26 Sep 2021 22:02:43 +0200

llvm-toolchain-11 (1:11.1.0-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Upload to unstable
  * bump autopkgtest cmake version (Closes: #994501)
    Thanks to Timo Röhling for the patch

  [ Gianfranco Costamagna ]
  * Cherry-pick upstream commit to fix a libgl1-mesa-dri texture failure.
    (Closes: #989545)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 24 Sep 2021 12:54:55 +0200

llvm-toolchain-11 (1:11.1.0-1~exp2) experimental; urgency=medium

  * Fix the default binary path for scan-build-py to clang-11 (instead of
    clang) - see scan-build-py-fix-default-bin.diff
    tested by
    https://github.com/opencollab/llvm-toolchain-integration-test-suite/

  [ Krzysztof Aleksander Pyrkosz ]
  * Add libxml2 as a dependency as it is necessary
    for llvm manifest tool (llvm-mt)
    (Closes: #990537)
    - not really working for now

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 17 Jul 2021 20:13:57 +0200

llvm-toolchain-11 (1:11.1.0-1~exp1) experimental; urgency=medium

  * New upstream release
    Should be mostly minor fixes
    Was driven by https://bugs.llvm.org/show_bug.cgi?id=46526
    but as we are not impacted, I reverted the change in
    debian/patches/revert-abi-change-clang.diff
  * Also build lld on s390x
  * Fix the path to analyze-{cc,c++} for scan-build-py with
    --intercept-first (scan-build-py-fix-analyze-path.diff)
  * Backport bug #47591 to fix a miscompilation in bpftrace
    (Closes: #990220)
  * Only enable libomp-11-doc on supported archs

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 01 Mar 2021 10:50:19 +0100

llvm-toolchain-11 (1:11.0.1-2) unstable; urgency=medium

  * Fix the changelog

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 06 Jan 2021 20:16:26 +0100

llvm-toolchain-11 (1:11.0.1-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * New stable release

  [ Gianfranco Costamagna ]
  * Drop old patch, upstream now
  * Run dh_makeshlibs with -V parameter (Closes: #977814)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 06 Jan 2021 09:21:24 +0100

llvm-toolchain-11 (1:11.0.1~+rc2-1) unstable; urgency=medium

  * New snapshot release
  * Remove 'gnu-assembler-compat.diff' - merged upstream

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Dec 2020 09:38:48 +0100

llvm-toolchain-11 (1:11.0.1~+rc1-1) unstable; urgency=medium

  [ Alexander Volkov ]
  * Fix description of libclang-cpp11-dev package.

  [ Sylvestre Ledru ]
  * Upload to unstable to help doko with gcc
    11.0.1 will be released before the freeze

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 16 Dec 2020 22:41:48 +0100

llvm-toolchain-11 (1:11.0.1~+rc1-1~exp1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * gnu-assembler-compat.diff: Add upstream patch D92052 to fix a
    gcn offload compiler issue with gcc (Closes: #975692)

  [ Sylvestre Ledru ]
  * New snapshot release
  * Remove fix-clang-format-bug-47589.patch (applied upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 26 Nov 2020 10:14:43 +0100

llvm-toolchain-9 (1:9.0.1-19) unstable; urgency=medium

  * Add two patches from ubuntu to fix lto and gcc-11 build failures

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Sep 2021 15:39:19 +0200

llvm-toolchain-9 (1:9.0.1-18) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Cherry-pick nmu again. (version 16.1)
  * bump minimum cmake version on qualify-clang.sh too
  * simplify cmake test without minor version
  [ Andreas Beckmann <anbe@debian.org> ]
  * clang-9: Drop Recommends: libomp-9-dev which is not co-installable with
    libomp-11-dev (and libomp-dev) for smoother upgrades of libomp-dev from
    buster to bullseye.  (Closes: #990452)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Sep 2021 15:02:13 +0200

llvm-toolchain-9 (1:9.0.1-17) unstable; urgency=medium

  * Remove an old breaks/replaces for 9 which was causing
    some issues on Debian buster. Thanks to Julien Wajsberg
    for the bug report
  * bump autopkgtest cmake version (Closes: #994501)
    Thanks to Timo Röhling for the patch
  * cherry pick 68d5235cb58f988c71b403334cd9482d663841ab to build
    with newer version of the kernel

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 25 Sep 2021 16:00:36 +0200

llvm-toolchain-9 (1:9.0.1-16) unstable; urgency=medium

  * Only enable libomp-9-doc on supported archs

  [ Adrian Bunk ]
  * Fix the fuzzer build on i386.

  [ Sylvestre Ledru ]
  * Ignore some tests on i386 to get autopkgtest fixed (Closes: #972334)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 07 Nov 2020 15:53:51 +0100

llvm-toolchain-11 (1:11.0.0-4) unstable; urgency=medium

  * Cherry-pick some fixes from
    https://github.com/opencollab/llvm-toolchain-integration-test-suite/
  * Only install hwasan_symbolize when found
  * Don't use gold on ppc64el. It fails to build in that case
    (Closes: #972317)

  [ John Paul Adrian Glaubitz ]
  * Limit maximum parallel link jobs to 4 on sparc and sparc64

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 31 Oct 2020 21:49:01 +0100

llvm-toolchain-11 (1:11.0.0-3) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Rebuild to fix the coinstall issues (Closes: #972323)
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 19 Oct 2020 14:21:50 +0200

llvm-toolchain-11 (1:11.0.0-2) unstable; urgency=medium

  * Fix a clang-format issue. Fix bug #47589

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 12 Oct 2020 15:15:27 +0200

llvm-toolchain-11 (1:11.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 12 Oct 2020 11:14:19 +0200

llvm-toolchain-11 (1:11.0.0~+rc6-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * New rc release
  * remove all artifacts after tests

  [ Gianfranco Costamagna ]
  * qualify-clang.sh: exclude z3 tests when support is not available,
    not based on libz3-dev installation but on the error returned by
    clang invocation

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 07 Oct 2020 16:38:40 +0200

llvm-toolchain-11 (1:11.0.0~+rc5-1) unstable; urgency=medium

  * New rc release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 30 Sep 2020 20:15:40 +0200

llvm-toolchain-11 (1:11.0.0~+rc4-1) unstable; urgency=medium

  * New rc release
  * Fix one more test in autopkgtest

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 28 Sep 2020 22:21:47 +0200

llvm-toolchain-11 (1:11.0.0~+rc3-2) unstable; urgency=medium

  * Update of the symbol list of libomp5:
    - GOMP_loop_maybe_nonmonotonic_runtime_next
    - GOMP_loop_maybe_nonmonotonic_runtime_start
    - GOMP_loop_nonmonotonic_runtime_next
    - GOMP_loop_nonmonotonic_runtime_start
    - GOMP_loop_ull_maybe_nonmonotonic_runtime_next
    - GOMP_loop_ull_maybe_nonmonotonic_runtime_start
    - GOMP_loop_ull_nonmonotonic_runtime_next
    - GOMP_loop_ull_nonmonotonic_runtime_start
    - GOMP_parallel_loop_maybe_nonmonotonic_runtime
    - GOMP_parallel_loop_nonmonotonic_runtime
    - omp_display_env
  * Bring back LLVM_POLLY_LINK_INTO_TOOLS=ON to workaround the error
    clang (LLVM option parsing): Unknown command line argument '-polly'.
    Try: 'clang (LLVM option parsing) --help'
    Also found in autopkgtest
  * In the autopkgtest tests, update the opt arguments (-q removed and
    -basicaa renamed to -basic-aa)
  * Disable test executions on mipsel (timeout)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 27 Sep 2020 14:26:16 +0200

llvm-toolchain-11 (1:11.0.0~+rc3-1) unstable; urgency=medium

  * New rc release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 22 Sep 2020 17:19:40 +0200

llvm-toolchain-11 (1:11.0.0~+rc2-6) unstable; urgency=medium

  * Fix "libc++-11-dev includes libc++abi-11-dev headers"
    (Closes: #969274)
  * Install llvm examples in llvm-11-examples (Closes: #969339)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 07 Sep 2020 13:32:26 +0200

llvm-toolchain-11 (1:11.0.0~+rc2-5) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Link against libatomic on powerpc to fix FTBFS in stage2
  * Use dh-exec to exclude lib/libPolly*.a on powerpc and
    powerpcspe from libclang-common-X.Y-dev.install.in

  [ Gianfranco Costamagna ]
  * autopkgtests: ignore binfmts enable command return value.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 Aug 2020 12:26:58 +0200

llvm-toolchain-11 (1:11.0.0~+rc2-4) unstable; urgency=medium

  * integration-test-suite-test: change the configuration for 11

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 28 Aug 2020 23:08:33 +0200

llvm-toolchain-11 (1:11.0.0~+rc2-3) unstable; urgency=medium

  * Fix testsuite by ignoring binfmts test
    (can't be enabled on autopkgtests)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Aug 2020 21:56:49 +0200

llvm-toolchain-11 (1:11.0.0~+rc2-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Disable ocaml support on i386, not reasonable to support it there
    (specially for Ubuntu)
  * Enable binfmt support before using it in tests, to fix them

  [ Sylvestre Ledru ]
  * Also link against -latomic on mipsel to fix
   /usr/[...]/atomic_base.h:426: undefined reference to `__atomic_load_8'
   for lld to fix the FTBFS
  * Fix a FTBFS on armel with libcxx-armhf-ftbfs.diff
    atomic:2780:16: error: use of undeclared identifier '__libcpp_signed_lock_free'
    typedef atomic<__libcpp_signed_lock_free> atomic_signed_lock_free;
               ^
    atomic:2781:16: error: unknown type name '__libcpp_unsigned_lock_free'; did you mean 'atomic_signed_lock_free'?
    typedef atomic<__libcpp_unsigned_lock_free> atomic_unsigned_lock_free;

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 25 Aug 2020 10:44:00 +0200

llvm-toolchain-11 (1:11.0.0~+rc2-1) unstable; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 20 Aug 2020 22:17:47 +0200

llvm-toolchain-11 (1:11.0.0~+rc1-2) unstable; urgency=medium

  * Don't install ompt-multiplex.h on armhf, mipsel and mips64el
    (Closes: #967944)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 05 Aug 2020 15:23:25 +0200

llvm-toolchain-11 (1:11.0.0~+rc1-1) unstable; urgency=medium

  * Testing release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 29 Jul 2020 17:46:57 +0200

llvm-toolchain-11 (1:11~++20200715043845+0e377e253c1-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * branching of snapshot into 11

  [ Samuel Thibault ]
  * debian/patches/hurd/hurd-EIEIO-undef.diff: Remove, upstreamed.
  * debian/patches/hurd/hurd-cxx-paths.diff: Remove, upstreamed.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 15 Jul 2020 16:30:36 +0200

llvm-toolchain-snapshot (1:11~++20200701093119+ffee8040534-1~exp1) experimental; urgency=medium

  * New snapshot release
  * libc++ requires the LLVM_PATH, adding it
  * Remove no-z3.patch, seems to be merged upstream
  * No longer install clang-import-test (upstream change)
    See https://reviews.llvm.org/D82169

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 01 Jul 2020 09:34:28 +0200

llvm-toolchain-snapshot (1:11~++20200623122106+cd6848f6e1d-1~exp1) experimental; urgency=medium

  * experimental New snapshot release
  * Add -DLLVM_POLLY_LINK_INTO_TOOLS=OFF to workaround
    https://bugs.llvm.org/show_bug.cgi?id=45571
  * New symbol clang_Type_getValueType added
  * Install usr/lib/llvm-11/lib/cmake/lld/*.cmake
    in liblld-11-dev
  * Upstream change ad97ccf6b26a29262c9cbf5b3e7f6e84c6dcf55f
    broke clangd-atomic-cmake.patch causing some undef symbol on
    i386 and atomic
  * Also install ompt-multiplex.h in libomp-X-dev
  * revert-sphinx-deprecation.diff: revert the sphinx update as it breaks
    debian buster

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 23 Jun 2020 00:24:07 +0200

llvm-toolchain-snapshot (1:11~++20200621103028+10b0539772d-1~exp1) UNRELEASED; urgency=medium

  * experimental New snapshot release
  * Add -DLLVM_POLLY_LINK_INTO_TOOLS=OFF to workaround
    https://bugs.llvm.org/show_bug.cgi?id=45571
  * New symbol clang_Type_getValueType added
  * Install usr/lib/llvm-11/lib/cmake/lld/*.cmake
    in liblld-11-dev
  * Upstream change ad97ccf6b26a29262c9cbf5b3e7f6e84c6dcf55f
    broke clangd-atomic-cmake.patch causing some undef symbol on
    i386 and atomic
  * Also install ompt-multiplex.h in libomp-X-dev
  * revert-sphinx-deprecation.diff: revert the sphinx update as it breaks debian
    buster
  * experimental New snapshot release
  * Add -DLLVM_POLLY_LINK_INTO_TOOLS=OFF to workaround
    https://bugs.llvm.org/show_bug.cgi?id=45571
  * New symbol clang_Type_getValueType added
  * Install usr/lib/llvm-11/lib/cmake/lld/*.cmake
    in liblld-11-dev
  * Upstream change ad97ccf6b26a29262c9cbf5b3e7f6e84c6dcf55f
    broke clangd-atomic-cmake.patch causing some undef symbol on
    i386 and atomic

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 21 Jun 2020 10:33:23 +0200

llvm-toolchain-snapshot (1:11~++20200520051603+e8f6b0e583c-1~exp1) UNRELEASED; urgency=medium

  * experimental New snapshot release
  * Add -DLLVM_POLLY_LINK_INTO_TOOLS=OFF to workaround
    https://bugs.llvm.org/show_bug.cgi?id=45571
  * New symbol clang_Type_getValueType added
  * Install usr/lib/llvm-11/lib/cmake/lld/*.cmake
    in liblld-11-dev
  * Upstream change ad97ccf6b26a29262c9cbf5b3e7f6e84c6dcf55f
    broke clangd-atomic-cmake.patch causing some undef symbol on
    i386 and atomic
  * experimental New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 20 May 2020 17:19:34 +0200

llvm-toolchain-snapshot (1:11~++20200411120955+c65e6079fc9-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Bring back libc++-experimental
  * remove no-cgi.patch - applied upstream
  * Also install liblldMachO2.a in liblld
  * Reorder the cmake arg
  * Update the copyright file with recent changes (Closes: #956287)
    Thanks to Michael Lustfield for the detective work

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 11 Apr 2020 12:27:18 +0200

llvm-toolchain-snapshot (1:11~++20200409051253+d08105482e1-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Bring back libc++-experimental
  * remove no-cgi.patch - applied upstream
  * Also install liblldMachO2.a in liblld
  * Reorder the cmake arg
  * Update the copyright file with recent changes (Closes: #956287)
    Thanks to Michael Lustfield for the detective work

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 09 Apr 2020 17:21:05 +0200

llvm-toolchain-snapshot (1:11~++20200307074845+ec1d1f6ae70-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * experimental New snapshot release
  * Install clang-tidy headers in libclang-X.Y-dev
    Path: usr/lib/llvm-11/include/clang-tidy/
    Introduced upstream in https://reviews.llvm.org/D73236

  [ Samuel Thibault ]
  * hurd/hurd-cxx-paths.diff: Drop part of patch applied upstream, fix it so
    it can be applied.
  * clang-tools-X.Y.install.in: Do not try to install hwasan_symbolize on
    hurd-any.

  [ Gianfranco Costamagna ]
  * Add patch to port from old cgi to new html python3 method

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 07 Mar 2020 19:51:40 +0100

llvm-toolchain-snapshot (1:11~++20200123111717+04fd2041561-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * experimental New snapshot release - 11
  * Merge recent 9 changes (python 3 and testsuite mostly)

  [ Gianfranco Costamagna ]
  * fix lldb-10 -P path print (Closes: #945445)
  * Fix lldb python installation path and symlinks
  * Drop version constraint from libffi-dev library, satisfied since
    old-old-stable

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 23 Jan 2020 14:52:30 +0100

llvm-toolchain-10 (1:10.0.1-8) unstable; urgency=medium

  * Don't use gold on ppc64el. It fails to build in that case
    (Closes: #972317)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 31 Oct 2020 14:13:25 +0100

llvm-toolchain-10 (1:10.0.1-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd/hurd-cxx-paths.diff: Add missing GCC installation
    initialization.

  [ Sylvestre Ledru ]
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * Rebuild to address the incompat issues (Closes: #972282)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 22 Oct 2020 22:29:07 +0200

llvm-toolchain-10 (1:10.0.1-6) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Add debian/* to the copyright file. Uses the same license
    as LLVM

  [ Julien Cristau ]
  * Cherry-pick "[PowerPC] PPCBoolRetToInt: Don't translate Constant's
    operands".  Fixes rustc crash building firefox-esr.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 02 Sep 2020 13:55:46 +0200

llvm-toolchain-10 (1:10.0.1-5) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Use dh-exec to exclude lib/libPolly*.a on powerpc and
    powerpcspe from libclang-common-X.Y-dev.install.in

  [ Gianfranco Costamagna ]
  * autopkgtests: ignore binfmts enable command return value.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 Aug 2020 12:28:24 +0200

llvm-toolchain-10 (1:10.0.1-4) unstable; urgency=medium

  * Fix testsuite by ignoring binfmts test
    (can't be enabled on autopkgtests)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Aug 2020 21:54:05 +0200

llvm-toolchain-10 (1:10.0.1-3) unstable; urgency=medium

  * Fix testsuite by enabling binfmts support before using it
    (the default is disabled)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Aug 2020 12:42:20 +0200

llvm-toolchain-10 (1:10.0.1-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd/hurd-cxx-paths.diff: Refresh, some of the factorization was
    backported from 11 to 10.

  [ Gianfranco Costamagna ]
  * debian/patches/mips-force-nomadd4.patch: Apply and rebase patch to disable
    nomadd4 on mips* (Closes: #964989)
    - thanks Yunqiang Su <wzssyqa@gmail.com> for the patch

  [ Steve Langasek ]
  * Drop ocaml support on i386, which pulls in a series of packages which
    is not reasonable to support.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 23 Aug 2020 22:57:55 +0200

llvm-toolchain-10 (1:10.0.1-1) unstable; urgency=medium

  * New release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 21 Jul 2020 18:29:06 +0200

llvm-toolchain-10 (1:10.0.1~+rc4-1) unstable; urgency=medium

  * New RC release (of course, I was wrong)
  * Update the binfmt-support postinstall to match what is done elsewhere
    in Debian
  * Add binfmt-support to one of the autopkgtest tests
    And make sure that the test is only executed when installed correctly
    Otherwise, fails with
    "./foo.bc: cannot execute binary file: Exec format error"
  * patches/remove-trailing-space-version.diff: cherry-pick an upstream patch
    to address https://bugs.llvm.org/show_bug.cgi?id=38998#c15
    trailing whitespace of clang full version causing a display issue
    when building the linux kernel with clang

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 08 Jul 2020 10:49:26 +0200

llvm-toolchain-10 (1:10.0.1~+rc3-1) unstable; urgency=medium

  * New rc release. Should be the last (this is why I am
    uploading to unstable)
  * Ship with integration-test-suite-test and run it with autopkgtest
    integration-test-suite-test is a project started by Serge Guelton
    and myself.
    The goal is to provide a set of tests to verify that llvm/clang/etc
    are working as expected in a distro (Linux, BSD, etc).
    But also to bring a set of expectations of what a LLVM toolchain should
    looks like when shipping to users.
    Serge is taking care of that work for Fedora/Redhat.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 07 Jul 2020 09:44:59 +0200

llvm-toolchain-10 (1:10.0.1~+rc2-1~exp1) experimental; urgency=medium

  * New rc release
  * Pass CLANG_VENDOR to CLANG_BOOTSTRAP_PASSTHROUGH
    Fix https://bugs.llvm.org/show_bug.cgi?id=38998
    For our friends of https://github.com/ClangBuiltLinux/
  * remove try-to-fix-polly-link.patch and D74453-riscv-atomic_cmp_xchg.diff
    (applied upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 27 Jun 2020 11:28:28 +0200

llvm-toolchain-10 (1:10.0.1~+rc1-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * first rc of 10.0.1
  * Enable LLVM_ENABLE_DUMP (Closes: #956966)
  * Move binfmt-support as Recommends llvm-10-runtime
    instead of a strong dependencies (Closes: #958127)
  * build libc++ with -DLIBCXX_USE_COMPILER_RT=YES
    and -DLIBCXXABI_USE_COMPILER_RT=YES
  * Remove D76596.diff (merged upstream)

  [ Gianfranco Costamagna ]
  * Don't run tests on riscv64/Ubuntu for now, the virtual machines timeout
    during testsuite (probably lack of proper capable hardware to run it)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 19 May 2020 08:17:26 +0200

llvm-toolchain-10 (1:10.0.0-4) unstable; urgency=medium

  * Also ship polly libs in libclang-common-10-dev.
    Fixes bug #44870 (upstream)
  * move risc patches into their own directory

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 10 Apr 2020 10:27:41 +0200

llvm-toolchain-10 (1:10.0.0-3) unstable; urgency=medium

  * ppc64el/autopkgtest: Just like with arm64, ignore two tests
  * Update the copyright file with recent changes (Closes: #956287)
    Thanks to Michael Lustfield for the detective work

  [ Jessica Clarke ]
  * Cherry-pick upstream patch D74453 to fix atomic compare-and-swap on
    riscv64.

  [ William Grant ]
  * debian/patches/riscv64-multilib-empty.patch: Adjust riscv64 GCC detector
    to also check for existence of crtbegin.o in the default multilib dir,
    like most other ports. Fixes FTBFS on riscv64, since on Ubuntu
    /usr/lib/gcc/riscv64-linux-gnu/10 exists but is empty (gcc-10-base is
    installed, but libgcc-10-dev is not).

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 02 Apr 2020 21:48:13 +0200

llvm-toolchain-10 (1:10.0.0-2) unstable; urgency=medium

  [ Dimitri John Ledkov <xnox@ubuntu.com> ]
  * s390x: set default abi to z196 for debian, and z13 for ubuntu.
    LP: #1864226

  [ Matthias Klose <doko@ubuntu.com> ]
  * Apply D76596.diff, proposed backport from the trunk. LP: #1867173.
    This was causing postgresql to FTBFS with llvm 10

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Mar 2020 05:16:28 +0100

llvm-toolchain-10 (1:10.0.0-1) unstable; urgency=medium

  * New release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 24 Mar 2020 17:37:07 +0100

llvm-toolchain-10 (1:10.0.0~+rc6-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Sixth RC release
  * Really fix the arm64 autopkgtest

  [ Gianfranco Costamagna ]
  * debian/patches/d21664cce1db8debe2528f36b1fbd2b8af9c9401.patch:
    - cherry-pick upstream commit to hopefully unbreak mesa builds

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 23 Mar 2020 20:39:36 +0100

llvm-toolchain-10 (1:10.0.0~+rc5-1) unstable; urgency=medium

  * Fifth RC release
  * Make autopkgtest/qualify-clang.sh work on arm64

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 19 Mar 2020 15:59:43 +0100

llvm-toolchain-10 (1:10.0.0~+rc4-1) unstable; urgency=medium

  * Fourth RC release
  * Disable the emmintrin.h build test in qualify-clang.sh on arm64
  * Add some tests for clangd usage

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 13 Mar 2020 20:42:36 +0100

llvm-toolchain-10 (1:10.0.0~+rc3-1) unstable; urgency=medium

  * Third RC release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 04 Mar 2020 14:56:12 +0100

llvm-toolchain-10 (1:10.0.0~+rc2-3) unstable; urgency=medium

  * Disable libfuzzer on x86
    https://bugs.llvm.org/show_bug.cgi?id=43677
    FTBFS otherwise
  * Add a libclang-cpp10-dev package (needed to unbreak the cmake)
    https://bugs.llvm.org/show_bug.cgi?id=42432
    This makes libclang-cpp10 usable and polish the links and dups
  * Fix the *clang* desc as C++17 is supported

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 01 Mar 2020 20:59:25 +0100

llvm-toolchain-10 (1:10.0.0~+rc2-2) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Bring back libfuzzer, for some reasons I don't remember
    I disabled it:
    https://bugs.llvm.org/show_bug.cgi?id=41956
  * Silent the polly tests in debian/qualify-clang.sh
    clang (LLVM option parsing): Unknown command line argument
    '-polly'.  Try: 'clang (LLVM option parsing) --help'

  [ Aurelien Jarno ]
  * Also disable hwasan_symbolize on mipsel mips64el riscv64

  [ Gianfranco Costamagna ]
  * Patch to convert old python3 cgi method into the new html one

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 29 Feb 2020 14:04:22 +0100

llvm-toolchain-10 (1:10.0.0~+rc2-1) unstable; urgency=medium

  * Upload to unstable to get ci.debian.net testing
  * Also disable hwasan_symbolize on armel s390x powerpc ppc64

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 16 Feb 2020 14:50:53 +0100

llvm-toolchain-10 (1:10.0.0~+rc2-1~exp1) experimental; urgency=medium

  * Second RC release
    - Should fix the s390x issue (reported upstream)
    (Closes: #950900)
  * Do not try to install hwasan_symbolize on armhf ppc64el
    as it isn't built
    (Closes: #950899)

  [ Samuel Thibault ]
  * hurd/hurd-cxx-paths.diff: Fix patch so it can be applied.
  * clang-tools-X.Y.install.in: Do not try to install hwasan_symbolize on
    hurd-any.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 06 Feb 2020 10:37:39 +0100

llvm-toolchain-10 (1:10.0.0~+rc1-1~exp1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * fix lldb-10 -P path print (Closes: #945445)
  * Fix lldb python installation path and symlinks
  * Drop version constraint from libffi-dev library, satisfied since
    old-old-stable

  [ Sylvestre Ledru ]
  * First RC release
  * For now, disable ThinLTO usage because:
      - LLVM_ENABLE_LTO doesn't work with gcc >= 9 (option not accepted)
      - BOOTSTRAP_LLVM_ENABLE_LTO is producing some large binary
        (uses llvm ir instead of binary code)
        See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=943623
  * Thanks to this previous change, don't hardcode gcc 8

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 03 Feb 2020 10:30:50 +0100

llvm-toolchain-10 (1:10~++20200121023453+de4b2a7fad6-1~exp1) experimental; urgency=medium

  * Branch llvm-toolchain-10 into its own branch
  * Merge recent 9 changes (python 3 and testsuite mostly)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 21 Jan 2020 14:38:02 +0100

llvm-toolchain-snapshot (1:10~+20191229111838+6991d5728f1-1~exp1) experimental; urgency=medium

  * experimental New snapshot release
  * Add a '+' in the version (as the old upload is high than the one without)
    Will be removed in 11
  * Sync 9 into 10
  * Change of the version layout date+short git version
  * Install /usr/lib/llvm-@LLVM_VERSION@/lib/libarcher_static.a
    /usr/lib/llvm-@LLVM_VERSION@/lib/libarcher.so in libomp-X-dev
  * Install usr/lib/llvm-@LLVM_VERSION@/lib/clang/@LLVM_VERSION_FULL@/bin/hwasan_symbolize in clang-tools-X.Y
  * Introduce python3-clang-10 (closes: #942826)
  * Remove python-lldb-10
  * Remove Python 2 deps (Closes: #945695)
  * Disable the polly testsuite:
    - freezing in the current build
    - not a big deal if failing

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 29 Dec 2019 12:47:15 +0100

llvm-toolchain-snapshot (1:10~+201911120943210600592dd459242-1~exp1) experimental; urgency=medium

  * Repack to move to git
  * Change the versioning scheme to git:
    Infos of the last commit
    - ~+ (this syntax is to make sure that this version > ~svn)
    - date
    - hour/minute/second
    - short git hash
  * Move the checkout of the sources from svn to git
  * Use -DLLVM_ENABLE_PROJECTS instead of symlinks
  * Use -DBOOTSTRAP_LLVM_ENABLE_LTO instead of
    -DLLVM_ENABLE_LTO (not sure what it wasn't done)
  * clang: Force the installation of libclang-cpp with the exact same version
    and remove libclang as dep
  * Bunch of changes coming from the branch 9

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 12 Nov 2019 16:51:40 +0100

llvm-toolchain-snapshot (1:10~svn375339-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Last upload before the move to git
  * lldb-libname.diff: disable for now, seems it that it is now handled
    by cmake https://reviews.llvm.org/D68858. TODO: check it still work
  * Remove "revert-r373786-libclang-cpp.diff" (applied upstream)
  * Add dependency between libclang-cpp => libllvm with the exact version
    (Closes: #942526)
  * Build using -DCLANG_LINK_CLANG_DYLIB=ON to force the usage of dynamic
    library instead of static library when building clang tools.
    Decreases the total size from 510M to 278M (amd64)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Oct 2019 12:19:36 +0200

llvm-toolchain-snapshot (1:10~svn374655-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Install pp-trace, clang-move and clang-offload-wrapper in
    clang-tools-10
  * Revert
    "[clang-tools-extra] [cmake] Link against libclang-cpp whenever
    possible" as it introduces a dep from libclang to libclang-cpp
    Breaking the symbol list (and people should like to libclang-cpp
    if they want to use C++ api)
    https://bugs.llvm.org/show_bug.cgi?id=43589
  * Added a check in debian/rules to prevent that from happening again

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 12 Oct 2019 16:27:53 +0200

llvm-toolchain-snapshot (1:10~svn372920-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Add two new symbols to libclang1:
    - clang_install_aborting_llvm_fatal_error_handler
    - clang_uninstall_llvm_fatal_error_handler
  * site-packages renamed to dist-packages in python3-lldb-10

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 07 Sep 2019 09:07:01 +0200

llvm-toolchain-snapshot (1:10~svn370840-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Update of the license file. Upstream moved to Apache 2
    with LLVM exception (Closes: #935149)
  * Debian moved to gcc-9. This gcc version now refuses -flto="Thin"
    Move from LLVM_ENABLE_LTO="Thin" to BOOTSTRAP_LLVM_ENABLE_LTO="Thin"
    to mitigate the issue (the argument should be passed only at the
    second stage of the build process)
    See https://bugs.llvm.org/show_bug.cgi?id=43193
  * Rename libclang-cpp1-10 to libclang-cpp10 to match the soname and libllvm10
    naming (at some point, all libs should do that ...)
  * New symbols in libomp5:
   - GOMP_loop_nonmonotonic_dynamic_next
   - GOMP_loop_nonmonotonic_dynamic_start
   - GOMP_loop_nonmonotonic_guided_next
   - GOMP_loop_nonmonotonic_guided_start
   - GOMP_loop_ull_nonmonotonic_dynamic_next
   - GOMP_loop_ull_nonmonotonic_dynamic_start
   - GOMP_loop_ull_nonmonotonic_guided_next
   - GOMP_loop_ull_nonmonotonic_guided_start
   - GOMP_parallel_loop_nonmonotonic_dynamic
   - GOMP_parallel_loop_nonmonotonic_guided
  * Workaround bug https://bugs.llvm.org/show_bug.cgi?id=42994
    (fails to link on Debian buster)
  * for Ubuntu xenial: pass PYTHON_EXE to the stage2 build

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 04 Sep 2019 11:42:50 +0200

llvm-toolchain-snapshot (1:10~svn368740-1~exp1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Fixed wrong shlib generation of libomp5 library
  * clangd: fix missing epoch in breaks/replaces relationship
  * testsuite, add python, used in some test
  * Cherry-pick various fixes from branch 8 and 9, do not break anymore with libllvm3.9v4

  [ Aurelien Jarno ]
  * Add support for riscv64:
    - Always link with -latomic on riscv64.
    - patches/clang-riscv64-multiarch.diff: add multiarch paths for riscv64.
    - patches/clang-riscv64-rv64gc.diff: default to lp64d ABI and rv64gc ISA.
  * Document riscv64 debian specific changes in README.source.

  [ Sylvestre Ledru ]
  * New snapshot release
  * lldb-mi removed
  * Ship clangd-10 as a new package (Closes: #932432)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 13 Aug 2019 21:37:46 +0200

llvm-toolchain-snapshot (1:10~svn368706-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * lldb-mi removed

  [ Gianfranco Costamagna ]
  * clangd: fix missing epoch in breaks/replaces relationship
  * testsuite, add python, used in some test
  * Cherry-pick various fixes from branch 8 and 9, do not break anymore with libllvm3.9v4

  [ Sylvestre Ledru ]
  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 13 Aug 2019 17:55:41 +0200

llvm-toolchain-snapshot (1:10~svn366440-1~exp1) experimental; urgency=medium

  * New version in snapshot (10)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 18 Jul 2019 18:58:32 +0200

llvm-toolchain-9 (1:9.0.1-15) unstable; urgency=low

  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * Ensure fixfilepath feature is disabled.  The fixfilepath
    feature sets a -ffile-prefix-map flag, which is only
    supported in clang-10. (Closes: #972751).
    Thanks to Vagrant Cascadian for the patch
  * Don't use gold on ppc64el. It fails to build in that case
    (Closes: #972317)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 31 Oct 2020 14:09:15 +0100

llvm-toolchain-9 (1:9.0.1-14) unstable; urgency=medium

  * debian/patches/b288d90b39f4b905c02092a9bfcfd6d78f99b191.patch:
  * debian/patches/3185c30c54d0af5bffbff3bcfd721668d086ff10.patch:
    - cherry-pick upstream fixes for ppc64el build failure (Closes: #968174)
  * Previous version closed bug: 964988 (Closes: #964988)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Aug 2020 21:53:41 +0200

llvm-toolchain-9 (1:9.0.1-13) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Add mips-force-nomadd4.diff to default to +nomadd4 on MIPS. (Closes:
    #964988)

  [ Ximin Luo ]
  * Add 373184.patch to fix soundness issue affecting rustc. (Closes: #959877)
  * Add f8e146f3430de3a6cd904f3f3f7aa1bfaefee14c.patch to fix big-endian
    miscompilation affecting rustc.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 07 Jul 2020 18:18:00 +0200

llvm-toolchain-9 (1:9.0.1-12) unstable; urgency=medium

  [ Jessica Clarke ]
  * Cherry-pick upstream patch D74453 to fix atomic compare-and-swap on
    riscv64.

  [ William Grant ]
  * debian/patches/riscv64-multilib-empty.patch: Adjust riscv64 GCC detector
    to also check for existence of crtbegin.o in the default multilib dir,
    like most other ports. Fixes FTBFS on riscv64, since on Ubuntu
    /usr/lib/gcc/riscv64-linux-gnu/10 exists but is empty (gcc-10-base is
    installed, but libgcc-10-dev is not).

 -- Jessica Clarke <jrtc27@debian.org>  Wed, 01 Apr 2020 16:23:55 +0100

llvm-toolchain-9 (1:9.0.1-11) unstable; urgency=medium

  * Allow one to build g++ 9 & 10 to fix a gcc build dependency
    (closes: #955144)
    And disable thin lto on all archs
    It needs gcc-8 after after 8 will reject the -flto=thin arg
    And BOOTSTRAP_LLVM_ENABLE_LTO will generate .so with llvm IR instead
    of native code

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 31 Mar 2020 21:11:56 +0200

llvm-toolchain-9 (1:9.0.1-10) unstable; urgency=medium

  * debian/patches/947f9692440836dcb8d88b74b69dd379d85974ce.patch:
    - cherry-pick upstream fix for glibc 2.31

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Mar 2020 01:01:35 +0100

llvm-toolchain-9 (1:9.0.1-9) unstable; urgency=medium

  * Add patch to fix python3.8 test failures with deprecated cgi method, move
    to new html parser

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Feb 2020 15:28:58 +0100

llvm-toolchain-9 (1:9.0.1-8) unstable; urgency=medium

  * Add two new python autopkgtests to avoid regressions in the future
  * Fix m68k architecture
  * Add Myself to uploaders
  * Revert site-packages/dist-packages hacking mv, this is done upstream now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2020 14:30:57 +0100

llvm-toolchain-9 (1:9.0.1-7) unstable; urgency=medium

  * Add dependency on libclang-cpp-9 from llvm-9-dev (Closes: #946761)
  * fix lldb-9 -P path print (Closes: #945445)
  * Fix lldb python installation path and symlinks

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Jan 2020 13:05:06 +0100

llvm-toolchain-9 (1:9.0.1-6) unstable; urgency=medium

  * Team upload.
  * Add some more python3 shebangs (Closes: #948497)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Jan 2020 09:37:55 +0100

llvm-toolchain-9 (1:9.0.1-5) unstable; urgency=medium

  * Install clang in Python3 directory (Closes: #948409)
    - thanks Mike Gabriel for the helpful report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Jan 2020 12:15:06 +0100

llvm-toolchain-9 (1:9.0.1-4) unstable; urgency=medium

  * Source only upload to sid
  * Force a python3 shebang on python modules to fix testsuite
  * Do not run z3 tests if z3 support is not enabled

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Jan 2020 08:52:02 +0100

llvm-toolchain-9 (1:9.0.1-3) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Build polly docs and manpages only when polly is enabled (Closes: #947236)

  [ Sylvestre Ledru ]
  * Introduce python3-clang-9 (closes: #942826)
  * Remove python-lldb-9
  * Remove Python 2 deps (Closes: #945695)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 29 Dec 2019 12:37:34 +0100

llvm-toolchain-9 (1:9.0.1-2) unstable; urgency=medium

  [ James Clarke ]
  * Include upstream patch D71028 for rust mips tests (Closes: #946874)

  [ Aurelien Jarno ]
  * Include upstream patch D60657 for rust support on riscv64.

 -- James Clarke <jrtc27@debian.org>  Fri, 20 Dec 2019 18:30:29 +0000

llvm-toolchain-9 (1:9.0.1-1) unstable; urgency=medium

  * New stable release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 19 Dec 2019 13:48:21 +0100

llvm-toolchain-9 (1:9.0.1~+rc3-2) unstable; urgency=medium

  * Team upload.
  [ Gianfranco Costamagna ]
  * Commit Breaks/Replaces into git

  [ Julian Andres Klode ]
  * Fix llvm-9-tools Breaks/Replaces libclang-common-9-dev (<< 1:9.0.1~+rc2)
    (Closes: #946473)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Dec 2019 00:26:04 +0100

llvm-toolchain-9 (1:9.0.1~+rc3-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * New snapshot release + upload to unstable
  * Use secure URI in debian/watch.
  * Move source package lintian overrides to debian/source.
  * Remove patches force-gcc-header-obj.diff, hurd-pathmax.diff, impl-
    path-hurd.diff, libcxxabi-arm-ehabi-fix.patch, libcxxabi-test-don-t-
    fail-extended-long-double.patch, revert-change-soname.diff, try-to-
    unbreak-thinlto.diff that are missing from debian/patches/series.
  * Rely on pre-initialized dpkg-architecture variables.
  * Move transitional package libclang-cpp1-9 to oldlibs/optional per
    policy 4.0.1.

  [ Aurelien Jarno ]
  * llvm-riscv64-fix-cffi.diff: backport patch to fix CFI directives on
    riscv64 from master.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 14 Dec 2019 12:43:17 +0100

llvm-toolchain-9 (1:9.0.1~+rc2-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Fix some paths, upstream moved from site-packages
    to dist-packages for python packages
  * Move yaml-bench from libclang-common-X.Y-dev to llvm-X.Y-tools where
    it belongs
    See http://lists.llvm.org/pipermail/llvm-dev/2019-December/137337.html
  * Add a project in the cmake-test to silent a warning
    (Closes: #945489)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 03 Dec 2019 07:56:16 +0100

llvm-toolchain-9 (1:9.0.1~+rc1-1~exp1) experimental; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 24 Nov 2019 14:51:29 +0100

llvm-toolchain-9 (1:9.0.0-5) UNRELEASED; urgency=medium

  [ Gianfranco Costamagna ]
  * Patch cmake files to disable the z3 support in Ubuntu
  * Simplify rules file to put -g1 everywhere

  [ Sylvestre Ledru ]
  * Add a project in the cmake-test to silent a warning (Closes: #945489)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Nov 2019 09:24:38 +0100

llvm-toolchain-9 (1:9.0.0-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-cxx-paths.diff: Re-introduce patch to find C++ headers.
  * hurd-EIEIO-undef.diff: Drop patch, already fixed a different way upstream.
  * hurd-pathmax.diff: Drop now-useless parts.

  [ Sylvestre Ledru ]
  * Add libz3-dev as dependencies on llvm-X.Y-dev (Closes: #943996)
  * Update build-dep libpfm4-dev to linux-any.
    Thanks to Samuel Thibault for the patch

  [ Gianfranco Costamagna ]
  * Add also Ubuntu focal to the gcc-8 arch list

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Nov 2019 10:30:26 +0100

llvm-toolchain-9 (1:9.0.0-3) unstable; urgency=medium

  * Seems to be ok, uploading to unstable
    (Closes: #942864) fuzzer issues
    (Closes: #943623) libclangIndex.a are llvm ir bitcode

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 31 Oct 2019 20:36:09 +0100

llvm-toolchain-9 (1:9.0.0-3~exp2) experimental; urgency=medium

  [ Weston Ortiz ]
  * Remove incorrect Breaks/Conflicts for lldb-9 package
    https://bugs.llvm.org/show_bug.cgi?id=43451

  [ Sylvestre Ledru ]
  * disable-fuzzer-compiler-rt.diff: bring back this patch.
    Still breaks i386 compiler-rt/fuzzer
    Disable fuzzer only for i386
  * Use stage2 files to build the doc. For some reasons, clang-tools-extra
    html generation stopped working
  * Disable z3 when the version is too old

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 31 Oct 2019 00:29:09 +0100

llvm-toolchain-9 (1:9.0.0-3~exp1) experimental; urgency=medium

  * Revert the change -DBOOTSTRAP_LLVM_ENABLE_LTO to use
    -DLLVM_ENABLE_LTO to see if it fixes 943623
    and/or 942864
    Disable disable-fuzzer-compiler-rt.diff to evaluate the whole thing

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 29 Oct 2019 20:05:38 +0100

llvm-toolchain-9 (1:9.0.0-2) unstable; urgency=medium

  * polly, openmp & lldb aren't enabled for every platform
    So, add to PROJECTS only when enabled
  * clang: Force the installation of libclang-cpp with the exact same version
    and remove libclang as dep
  * With the github move, libfuzzer is now compiled as part of the build
    process. It fails to compile for some unexpected reasons.
    As I have been compiling libfuzzer by hand for a while, just still
    do this.
    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=942864
    https://bugs.llvm.org/show_bug.cgi?id=43677
    disable-fuzzer-compiler-rt.diff
  * Disable all kfreebsd patches:
    - Needs rebasing on snapshot often
    - Didn't build on Debian for a while
    - Not forwarded upstream
    - No support from the team

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 20 Oct 2019 17:27:50 +0200

llvm-toolchain-9 (1:9.0.0-1) unstable; urgency=medium

  * Repack to move to git
  * Move the checkout of the sources from svn to git
  * Use -DLLVM_ENABLE_PROJECTS instead of symlinks
  * Use -DBOOTSTRAP_LLVM_ENABLE_LTO instead of
    -DLLVM_ENABLE_LTO (not sure what it wasn't done)
  * Add dependency between libclang-cpp => libllvm with the exact version
    (Closes: #942526)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Oct 2019 10:30:41 +0200

llvm-toolchain-9 (1:9-3) unstable; urgency=medium

  * python-clang-9: missing dependency on libclang-9-dev
    (Closes: #941890)
  * Enable Z3 solver (llvm & clang) to improve the quality of the static
    analysis results
  * Do not fail the test suite on the -lclang-cpp failing
    I think I need to create a libclang-cpp-dev package to unblock it
    (but dunno why it works locally)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 17 Oct 2019 18:38:28 +0200

llvm-toolchain-9 (1:9-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Enable lldb on s390x too, it builds fine now
  * python*lldb, depend on liblldb-9 to avoid failure during import
  * Add a basic cmake test to see if the package is imported correctly

  [ Sylvestre Ledru ]
  * add a cpuid check
  * /disable-lit-cpuid-install.diff: Remove the lit-cpuid from the llvm
    install.
    It is provided by lldb and we don't want to add this as a new
    dep from llvm-dev (Closes: #941082 #941306)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 03 Oct 2019 18:14:21 +0200

llvm-toolchain-9 (1:9-1) unstable; urgency=medium

  * New release
  * Fix the FTBFS on all platform by adding -DCLANG_BUILD_EXAMPLES=OFF
    to cmake.
    So, the following libs aren't built anymore:
       - usr/lib/llvm-9/lib/SampleAnalyzerPlugin.so
       - usr/lib/llvm-9/lib/CheckerDependencyHandlingAnalyzerPlugin.so
       - usr/lib/llvm-9/lib/CheckerOptionHandlingAnalyzerPlugin.so

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 24 Sep 2019 21:09:57 +0200

llvm-toolchain-9 (1:9~+rc5-1~exp2) experimental; urgency=medium

  * debian/patches/D67877.patch: fix LLVMExports.cmake with upstream-proposed
    patch (Closes: #941082)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Sep 2019 18:57:31 +0200

llvm-toolchain-9 (1:9~+rc5-1~exp1) experimental; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 13 Sep 2019 14:45:01 +0200

llvm-toolchain-9 (1:9~+rc4-1~exp1) experimental; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 10 Sep 2019 15:25:46 +0200

llvm-toolchain-9 (1:9~+rc3-1~exp3) experimental; urgency=medium

  * Force gcc before 9 (gcc 8 on Debian unstable) because it causes
    huge increase of the size of the .deb (because of .a and .so) and
    issues in the libs
    (Closes: #939472)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 06 Sep 2019 23:27:28 +0200

llvm-toolchain-9 (1:9~+rc3-1~exp2) experimental; urgency=medium

  * Debian moved to gcc-9. This gcc version now refuses -flto="Thin"
    Move from LLVM_ENABLE_LTO="Thin" to BOOTSTRAP_LLVM_ENABLE_LTO="Thin"
    to mitigate the issue (the argument should be passed only at the
    second stage of the build process)
    See https://bugs.llvm.org/show_bug.cgi?id=43193
  * Fix a link issue (Closes: #939172)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 02 Sep 2019 10:46:45 +0200

llvm-toolchain-9 (1:9~+rc3-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Update of the license file. Upstream moved to Apache 2
    with LLVM exception (Closes: #935149)
  * remove 0050-Remove-explicit-python-version-list.patch
    bug-43011-mips.diff as they are merged upstream
  * llvm-9-dev depends on llvm-9-tools
    Since https://reviews.llvm.org/D56606, LLVMExports.cmake
    requires FileCheck when LLVM_INSTALL_UTILS=ON is enabled (which
    is the case here).
    See https://bugs.llvm.org/show_bug.cgi?id=43035
  * Also add PYTHON_EXECUTABLE to the CLANG_BOOTSTRAP_PASSTHROUGH option
    to fix an issue on xenial
  * Add clangd-X => libclang-common-X-dev dependency
    See https://bugs.llvm.org/show_bug.cgi?id=43152
  * Remove the -lc++experimental test from the qualify-clang.sh script
    as the lib has been removed in 9~svn366022-1~exp1
  * Also install libclang-cpp in /usr/lib/llvm-X/lib/libclang-cpp.so.X
  * Improve the fix-clang-path-and-build.diff patch
    If this package was built with libclang-common installed on the system,
    it could fail with 'use of undeclared identifier' because
    #include_next was failing as it was expecting the next header to be
    libstdc++
    Now, if the local build headers are found, don't include system's
  * Rename libclang-cpp1-9 to libclang-cpp9 to match the soname and libllvm9
    naming (at some point, all libs should do that ...)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 27 Aug 2019 23:38:11 +0200

llvm-toolchain-9 (1:9~+rc2-1~exp2) experimental; urgency=medium

  * Try to fix the mips* ftbfs
    See bug 43011

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 22 Aug 2019 18:17:32 +0200

llvm-toolchain-9 (1:9~+rc2-1~exp1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Add back python-* dependencies to fix tools not really ready for python3
  * Fix missing epoch in breaks/replaces

  [ Sylvestre Ledru ]
  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 14 Aug 2019 10:36:17 +0200

llvm-toolchain-9 (1:9~+rc1-1~exp2) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Fixed wrong shlib generation of libomp5 library
  * Add python to testsuite

  [ Sylvestre Ledru ]
  * Move lit-cpuid from llvm-tools to lldb (wrong package)
  * Ship clangd-9 as a new package (Closes: #932432)

  [ Aurelien Jarno ]
  * Add support for riscv64:
    - Always link with -latomic on riscv64.
    - patches/clang-riscv64-multiarch.diff: add multiarch paths for riscv64.
    - patches/clang-riscv64-rv64gc.diff: default to lp64d ABI and rv64gc ISA.
    - patches/libcxx/libcxx-riscv64-cycletimer.diff: backport riscv64
      cycletimer support from upstream.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 03 Aug 2019 11:41:07 +0200

llvm-toolchain-9 (1:9~+rc1-1~exp1) experimental; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 29 Jul 2019 22:16:33 +0200

llvm-toolchain-snapshot (1:9~svn366022-1~exp1) experimental; urgency=medium

  * New snapshot release
  * New symbols in libomp5 added in the symbol file
    - __kmpc_omp_target_task_alloc
    - __kmpc_task_allow_completion_event
    - __kmpc_task_reduction_modifier_fini
    - __kmpc_task_reduction_modifier_init
    - __kmpc_taskred_init
    - __kmpc_taskred_modifier_init
    - omp_fulfill_event
    - omp_fulfill_event_
  * Bring back bootstrap-fix-include-next.diff which has been removed from
    an unknown reason
  * Remove libc++experimental.a (seems to be not installed)
  * Install python3-setuptools as it seems that lldb moved to python 3
    Was failing with
    "ModuleNotFoundError: No module named 'distutils.sysconfig'"
  * liblldb.a has been removed upstream
  * Ship libclang-cpp1-9 as a new package
  * Ship python3-lldb-9 as a new package

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 18 Jul 2019 15:52:37 +0200

llvm-toolchain-snapshot (1:9~svn364913-1~exp1) experimental; urgency=medium

  [ Andreas Beckmann ]
  * For now, lld doesn't generate shared libs. Removing the files
    (Closes: #857653, LP: #1829677)

  [ Gianfranco Costamagna ]
  * Do not enable Thin on armhf for now, it FTBFS

  [ Sylvestre Ledru ]
  * Cherry-pick the recent changes from the 8 branch

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Jul 2019 14:36:52 +0200

llvm-toolchain-snapshot (1:9~svn362869-1~exp2) experimental; urgency=medium

  * New snapshot release
  * Install clang-scan-deps as part of clang-tools

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 15 Jun 2019 10:47:18 +0200

llvm-toolchain-snapshot (1:9~svn362869-1~exp1) experimental; urgency=medium

  * New snapshot release
  * remove debian/patches/reproducible-pch.diff
    done upstream
  * No longer install lldb-test (disable upstream in 358574)
  * Install lit-cpuid in llvm-9-tools
  * libclang-X.Y: add clang_Cursor_isAnonymousRecordDecl to the list of symbols
  * New snapshot release
  * remove debian/patches/reproducible-pch.diff
    done upstream
  * No longer install lldb-test (disable upstream in 358574)
  * Install lit-cpuid in llvm-9-tools
  * libclang-X.Y: add clang_Cursor_isAnonymousRecordDecl and
    clang_Cursor_isInlineNamespace to the list of symbols
  * lldb-static-assert.diff (revert a patch failing the build)
  * New snapshot release
  * remove debian/patches/reproducible-pch.diff
    done upstream
  * No longer install lldb-test (disable upstream in 358574)
  * Install lit-cpuid in llvm-9-tools
  * libclang-X.Y: add clang_Cursor_isAnonymousRecordDecl and
    clang_Cursor_isInlineNamespace to the list of symbols
  * Install usr/lib/llvm-9/lib/{SampleAnalyzerPlugin.so,
    CheckerDependencyHandlingAnalyzerPlugin.so,
    CheckerOptionHandlingAnalyzerPlugin.so}
    in libclang-9-dev
  * Build using thinlto on non stretch, xenial and trusty
    (fails with some undef symbols)
    Option -DLLVM_ENABLE_LTO="Thin" added
  * WebAssembly is now build by default, remove it from the
    experimental list
  * check-polly was executed twice
  * Move the default ARM arch from arm1176jzf-s (armv6) to cortex-a7
    (Closes: #930008)

  [ John Paul Adrian Glaubitz ]
  * Use dh-exec to exclude lib/LLVM*.so on powerpc and
    powerpcspe from llvm-X.Y-dev.install.in

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 08 Jun 2019 11:12:47 +0200

llvm-toolchain-snapshot (1:9~svn358327-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Remove libc++fs.a (done upstream)
  * add clang-doc in clang-tools
  * python2.7/site-packages/readline.so removed from liblldb
  * libOptRemarks.so has been renamed to libRemarks.so
  * new symbol: omp_get_supported_active_levels

  [ Gianfranco Costamagna ]
  * Commit Ubuntu delta to 8 and snapshot branches

  [ Matthias Klose ]
  * Remove the autopkg test for a genuine LLVM bug.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 13 Apr 2019 11:06:00 +0200

llvm-toolchain-snapshot (1:9~svn354105-1~exp1) experimental; urgency=medium

  * New snapshot release

  [ John Paul Adrian Glaubitz ]
  * Remove usr/lib/llvm-@LLVM_VERSION@/lib/LLVM*.so
    from debian/llvm-X.Y-dev.install.in and install
    the files conditionally in debian/rules

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 15 Feb 2019 09:32:35 +0100

llvm-toolchain-snapshot (1:9~svn353106-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Install lldb-instr-X in lldb-X

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 04 Feb 2019 23:44:27 +0100

llvm-toolchain-snapshot (1:9~svn351420-1~exp2) experimental; urgency=medium

  * Remove 'Multi-Arch: same' in libclang
    (Closes: #874248)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 04 Feb 2019 23:42:28 +0100

llvm-toolchain-snapshot (1:9~svn351420-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Fix a typo in the arch declaration
  * Remove patch D54677-hurd-path_max.diff (applied upstream)
  * Fix debian-changelog-line-too-long
  * Silent source-contains-prebuilt-windows-binary
  * Silent executable-not-elf-or-script
    usr/lib/llvm-8/share/clang/bash-autocomplete.sh
  * Remove unapplied patches:
    - D52340-rustc-debuginfo.diff
    - D54379-hurd-triple-clang.diff
    - hurd-cxx-paths.diff
    - openmp-jessie-missing-include.diff
    - rustc-aarch64-test-failure.diff
    - strip-ignore-deterministic-archives.diff
  * Update the list of openmp symbols (added):
    - omp_get_device_num
    - omp_get_initial_device
    - omp_get_num_devices
    - __kmpc_pause_resource (from v9)
    - omp_pause_resource (from v9)
    - omp_pause_resource_all (from v9)


 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 04 Feb 2019 23:42:20 +0100

llvm-toolchain-snapshot (1:9~svn351375-1~exp1) experimental; urgency=medium

  * New snapshot release and move to 9 as upstream branched
  * Silent a source lintian warning
    source: source-is-missing lldb/lit/Modules/ELF/Inputs/PT_LOAD-overlap-section.elf
  * Revert patch D55434 as it is breaking the build on old version of debian/ubuntu
  * Remove BugpointPasses.so & TestPlugin.so as they don't ship anymore

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 16 Jan 2019 21:59:29 +0100

llvm-toolchain-8 (1:8.0.1-4) unstable; urgency=medium

  * Add clangd-X => libclang-common-X-dev dependency
    See https://bugs.llvm.org/show_bug.cgi?id=43152

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 29 Aug 2019 09:42:41 +0200

llvm-toolchain-8 (1:8.0.1-3) unstable; urgency=medium

  * llvm-tools: depend on python2 packages too, the move to python3 was
    premature and broke opt-viewer.py

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Aug 2019 15:11:36 +0200

llvm-toolchain-8 (1:8.0.1-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * clangd: Fix breaks+replaces missing epoch (Closes: #934016)
  * Add python to testsuite, still required by some test

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Aug 2019 09:36:11 +0200

llvm-toolchain-8 (1:8.0.1-1) unstable; urgency=medium

  * New stable release
  * Ship python3-lldb-8 as a new package
  * Ship clangd-8 as a new package (Closes: #932432)

  [ Gianfranco Costamagna ]
  * Fixed wrong shlib generation of libomp5 library

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 03 Aug 2019 11:44:29 +0200

llvm-toolchain-8 (1:8.0.1~+rc4-2) unstable; urgency=medium

  * Compile against Python 3
    (Closes: #931029)

 -- Christian Biesinger <cbiesinger@google.com>  Thu, 18 Jul 2019 14:13:56 -0500

llvm-toolchain-8 (1:8.0.1~+rc4-1) unstable; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 11 Jul 2019 08:39:38 +0200

llvm-toolchain-8 (1:8.0.1~+rc3-1) unstable; urgency=medium

  * New testing release in unstable

  [ Gianfranco Costamagna ]
  * Enable thinlto everywhere except armhf
  * Drop wrong exit 1 from testsuite

  [ Andreas Beckmann ]
  * For now, lld doesn't generate shared libs. Removing the files
    (Closes: #857653, LP: #1829677)


 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 28 Jun 2019 20:15:23 +0200

llvm-toolchain-8 (1:8.0.1~+rc2-1~exp1) experimental; urgency=medium

  * New testing release
  * Only enable thinlto on archs with gold, should fix the ftbfs
  * Add libpfm4-dev as build dep + -DLLVM_ENABLE_LIBPFM=ON as it is
    needed for llvm-exegesis https://bugs.llvm.org/show_bug.cgi?id=42187
  * Improve the rendering of the qualify-clang.sh testsuite

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 08 Jun 2019 11:11:39 +0200

llvm-toolchain-8 (1:8.0.1~+rc1-1~exp2) experimental; urgency=medium

  * Build using thinlto on non stretch, xenial and trusty
    (fails with some undef symbols)
    Option -DLLVM_ENABLE_LTO="Thin" added
  * WebAssembly is now build by default, remove it from the
    experimental list
  * check-polly was executed twice
  * Move the default ARM arch from arm1176jzf-s (armv6) to cortex-a7
    (Closes: #930008)

  [ John Paul Adrian Glaubitz ]
  * Use dh-exec to exclude lib/LLVM*.so on powerpc and
    powerpcspe from llvm-X.Y-dev.install.in

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 19 May 2019 13:31:37 +0200

llvm-toolchain-8 (1:8.0.1~+rc1-1~exp1) experimental; urgency=medium

  * New testing release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 17 May 2019 08:33:53 +0200

llvm-toolchain-8 (1:8-5) unstable; urgency=medium

  * Try another way to address the mips64el issue

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 13 May 2019 11:36:47 +0200

llvm-toolchain-8 (1:8-4) unstable; urgency=medium

  * Try to disable mips64el-fix.diff (struct_kernel_stat_sz)
    to workaround a mips issue with some new C{XX}FLAGS
    see https://reviews.llvm.org/D59702

  [ Gianfranco Costamagna ]
  * Add Ubuntu eoan to supported ubuntu distro

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 29 Apr 2019 08:58:57 +0200

llvm-toolchain-8 (1:8-3) unstable; urgency=medium

  * Fix the FTBFS on mips (introduced by my previous change)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Apr 2019 11:57:08 +0200

llvm-toolchain-8 (1:8-2) unstable; urgency=medium

  * Fix the search path on mips64el (which is causing the stage2
    build of mips64el to fail
    See https://bugs.llvm.org/show_bug.cgi?id=41204

  [ Timo Aaltonen ]
  * import patches for intel-opencl-clang: they fix various issues
    with opengl and clang-8, and are taken from llvm master branch.
    - Fix pointer blocks on OpenCL functions, that never pointed to real
      functions
    - Fix assertion errors on some OpenCL functions
    - Refactor a little bit OpenCL calls, by emitting direct block calls.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Mar 2019 14:36:40 +0100

llvm-toolchain-8 (1:8-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 19 Mar 2019 21:57:02 +0100

llvm-toolchain-8 (1:8~+rc5-2) unstable; urgency=medium

  * Try to fix a mips64el FTBFS
    Cherry-pick of https://patches-gcc.linaro.org/patch/3032/

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 17 Mar 2019 20:18:19 +0100

llvm-toolchain-8 (1:8~+rc5-1) unstable; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 12 Mar 2019 12:27:41 +0100

llvm-toolchain-8 (1:8~+rc4-1) unstable; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 10 Mar 2019 11:06:14 +0100

llvm-toolchain-8 (1:8~+rc3-1~exp1) unstable; urgency=medium

  * New snapshot release
  * Activate -DLLVM_TEMPORARILY_ALLOW_OLD_TOOLCHAIN for all
    gcc

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 28 Feb 2019 12:33:57 +0100

llvm-toolchain-8 (1:8~+rc2-1~exp3) UNRELEASED; urgency=medium

  [ Gianfranco Costamagna ]
  * Commit Ubuntu delta to 8 and snapshot branches

  [ Matthias Klose ]
  * Remove the autopkg test for a genuine LLVM bug.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Mar 2019 10:16:17 +0100

llvm-toolchain-8 (1:8~+rc2-1~exp1) unstable; urgency=medium

  * New snapshot release
  * Add support for kfreebsd (Closes: #921246)
    Many thanks to Svante Signell for all patches

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 07 Feb 2019 17:09:15 +0100

llvm-toolchain-8 (1:8~+rc1-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Remove 'Multi-Arch: same' in libclang
    (Closes: #874248)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 24 Jan 2019 08:49:34 +0100

llvm-toolchain-8 (1:8~svn351401-1~exp1) experimental; urgency=medium

  * New snapshot release (branch 8 created)
  * Silent a source lintian warning
    source: source-is-missing
    lldb/lit/Modules/ELF/Inputs/PT_LOAD-overlap-section.elf
  * Revert patch D55434 as it is breaking the build on old version of
    debian/ubuntu
  * Remove BugpointPasses.so & TestPlugin.so as they don't ship anymore

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 17 Jan 2019 08:24:19 +0100

llvm-toolchain-8 (1:8~svn350834-1~exp2) UNRELEASED; urgency=medium

  * Remove patch D55434-revert.diff as the regression has been fixed upstream

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 17 Jan 2019 09:16:03 +0100

llvm-toolchain-snapshot (1:8~svn348749-1~exp2) experimental; urgency=medium

  * New symbols in openmp:
    - OMP_NULL_ALLOCATOR
    - __kmpc_alloc
    - __kmpc_free
    - __kmpc_get_default_allocator
    - __kmpc_omp_reg_task_with_affinity
    - __kmpc_set_default_allocator
    - omp_alloc
    - omp_capture_affinity
    - omp_cgroup_mem_alloc
    - omp_const_mem_alloc
    - omp_default_mem_alloc
    - omp_display_affinity
    - omp_free
    - omp_get_affinity_format
    - omp_get_default_allocator
    - omp_high_bw_mem_alloc
    - omp_large_cap_mem_alloc
    - omp_low_lat_mem_alloc
    - omp_pteam_mem_alloc
    - omp_set_affinity_format
    - omp_set_default_allocator
    - omp_thread_mem_alloc
    - ompc_capture_affinity
    - ompc_display_affinity
    - ompc_get_affinity_format
    - ompc_set_affinity_format

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 18 Dec 2018 18:09:48 +0100

llvm-toolchain-7 (1:7.0.1-4) unstable; urgency=medium

  * On old Debian/Ubuntu, run dh_strip using fakeroot to mitigate
    a permission issue
  * Remove dbgsym packages from debci because of bug #917528

  [ Gianfranco Costamagna ]
  * Ignore a test result on i386, due to upstream bug 26580#c18

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 02 Jan 2019 12:37:45 +0100

llvm-toolchain-7 (1:7.0.1-4) unstable; urgency=medium

  * New snapshot release
  * Merge changes from 7 into snapshot

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 10 Dec 2018 10:56:16 +0100

llvm-toolchain-snapshot (1:8~svn346586-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Also install libOptRemarks.so
  * Merge all the recent 7 changes into snapshot
    (Closes: #913058) the co install issue with libc++ & openmp

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Nov 2018 15:14:15 +0100

llvm-toolchain-snapshot (1:8~svn345569-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * Remove bat files https://bugs.llvm.org/show_bug.cgi?id=30755
  * Fix the autopkgtest script (no gcc in the test)
  * remove dep from lld to llvm-8-dev because lld
    doesn't use LLVM LTO
  * remove old Replaces/Breaks
  * Standards-Version: 4.2.1
  * Backport a fix to improve scan-build code error.
    Thanks to Roman Lebedev for the fix(Closes: #909662)
  * Remove bat files https://bugs.llvm.org/show_bug.cgi?id=30755
  * Install bash-completion for clang
  * Disable ocaml on armel

  [ Gianfranco Costamagna ]
  * Take option two in bug #877567 to fix FTBFS on mips and mipsel

  [ Sylvestre Ledru ]
  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Oct 2018 08:31:14 +0100

llvm-toolchain-7 (1:7.0.1-3) unstable; urgency=medium

  * Also install clang-7-dbgsym libclang1-7-dbgsym in autopkgtest
    to verify that debug symbols are present
  * Cherry-pick upstream fix D52340 to address a rustc debuginfo
    (Closes: #917209)
  * Change the jit debug path from $HOME/.debug/jit/ to
    $TMPDIR/.debug/jit/ (Closes: #916393)
  * Document in README.source some Debian/Ubuntu specific changes

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 26 Dec 2018 22:57:45 +0100

llvm-toolchain-7 (1:7.0.1-2) unstable; urgency=medium

  * Enable -DENABLE_LINKER_BUILD_ID:BOOL=ON as, unlike gcc, isn't enabled
    by default in clang. Thanks to Adrian Bunk for the patch.
    Once more, thanks to Rebecca Palmer (Closes: #916975)
  * Build with -g1 also on 64bit architectures (thanks to Adrian too)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 21 Dec 2018 17:07:44 +0100

llvm-toolchain-7 (1:7.0.1-1) unstable; urgency=medium

  * New release
  * Remove the dbg workaround. Hopefully, the new version of
    binutils will fix it (Closes: #913946)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 16 Dec 2018 13:07:54 +0100

llvm-toolchain-7 (1:7.0.1~+rc3-2) unstable; urgency=medium

  * Fix llvm-config by stripping unnecessary flags
    See also https://bugs.llvm.org/show_bug.cgi?id=8220
    (Closes: #697755, #914838)
  * Try to workaround the debug issues by adding -fno-addrsig to the *FLAGS
    One more time, thanks to Rebecca Palmer (Closes: #913946)
    The goal is to provide correct debug packages.
    Workaround https://sourceware.org/bugzilla/show_bug.cgi?id=23788
  * Force the chmod +x on llvm-X/bin/* because it was sometimes removed
    by the strip process
  * Force the link to atomic also for i386 as it fails on Debian jessie too
  * Improved the debian/patches/series presentation by creating categories
  * Improve the separation between *FLAGS for gcc and clang.
    This is done for -fno-addrsig as it doesn't exit for gcc
    This can be done with the BOOTSTRAP_CMAKE_CXX_FLAGS option

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 10 Dec 2018 03:49:59 -0500

llvm-toolchain-7 (1:7.0.1~+rc3-1) unstable; urgency=medium

  * New testing release
  * disable the llvm-strip as it created too big llvm lib

  [ John Paul Adrian Glaubitz ]
  * Add patch to add powerpcspe support to clang
  * Add patch to fix register spilling on powerpcspe
  * Add patch to optimize double parameter calling setup on powerpcspe

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 08 Dec 2018 07:29:59 +0100

llvm-toolchain-7 (1:7.0.1~+rc2-8) unstable; urgency=medium

  * Use llvm-strip instead of binutils strip.
    Two reasons:
      - with clang stage2, the dbg packages were not generated
      - strip fails on stretch and other ubuntu on some archives
    For this, I had to silent the --enable-deterministic-archives
    option (https://bugs.llvm.org/show_bug.cgi?id=39789).
    Thanks to Rebecca Palmer for the idea
    (Closes: #913946)
  * Change the i386 base line to avoid using sse2 extension
    This is more important now that llvm is built with clang
    instead of gcc.
    Thanks to Fanael Linithien for the patch
    (Closes: #914770, #894840)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 01 Dec 2018 11:18:39 +0100

llvm-toolchain-7 (1:7.0.1~+rc2-7) unstable; urgency=medium

  * Bring back mips-rdhwr.diff as it isn't in rc2

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 25 Nov 2018 17:00:31 +0100

llvm-toolchain-7 (1:7.0.1~+rc2-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * D53557-hurd-self-exe-realpath.diff: Fix paths returned by
    llvm-config (See Bug#911817).

  [ Sylvestre Ledru ]
  * Fix the FTBFS on armhf for real! Thanks to Adrian Bunk
    Force the activation of FeatureVFP3 & FeatureD16

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 24 Nov 2018 09:12:26 +0100

llvm-toolchain-7 (1:7.0.1~+rc2-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * D54079-hurd-openmp.diff, D54338-hurd-libcxx-threads-build.diff,
    D54339-hurd-libcxx-threads-detection.diff, D54378-hurd-triple.diff,
    D54379-hurd-triple-clang.diff, D54677-hurd-path_max.diff,
    hurd-cxx-paths.diff: New patches to fix hurd build.

  [ Sylvestre Ledru ]
  * Remove mips-rdhwr.diff as it has been applied upstream
  * Fix a baseline violation on armhf (Closes: #914268)
    clang-arm-default-vfp3-on-armv7a.patch has been updated to disable
    neon in another place

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 21 Nov 2018 09:45:00 +0100

llvm-toolchain-7 (1:7.0.1~+rc2-4) unstable; urgency=medium

  * Workaround the build issues on armhf
    Thanks to Adrian Bunk for the idea
  * Remove useless symlink /usr/include/c++ -> ../lib/llvm-7/include/c++
    (Closes: #913400)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 16 Nov 2018 22:46:29 +0100

llvm-toolchain-7 (1:7.0.1~+rc2-3) unstable; urgency=medium

  * Disable gold for sparc* (Closes: #913260)
  * Hide a symbol in openmp for mips64el
  * Try to integrate a patch to make pch reproducible
    Thanks to Rebecca Palmer for the patch
    (Closes: #877359)
  * Fix the misscompilation issue causing rustc to crash (Closes: #913271)
    Might cause some ABI issues but no real good solution.
    See https://bugs.llvm.org/show_bug.cgi?id=39427

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 08 Nov 2018 20:50:39 +0100

llvm-toolchain-7 (1:7.0.1~+rc2-2) unstable; urgency=medium

  * Fix a non-break space in a patch (Closes: #913213)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 08 Nov 2018 09:28:36 +0100

llvm-toolchain-7 (1:7.0.1~+rc2-1) unstable; urgency=medium

  * Upload of 7.0.1 rc2 into unstable
  * New testing release
  * Enable the stage2 bootstrap:
    - stage1 = build clang with gcc
    - stage2 = clang building itself
    (Closes: #909234)
  * Bring back the Disable NEON generation on armhf patch which was gone
    Should fix the FTBFS on armhf
    (Closes: #842142)
  * Update the clang manpage to remove osx specific options
    and to add -arch (Closes: #743133)
  * Bring back usr/lib/@DEB_HOST_MULTIARCH@/{libiomp5.so, libomp5.so}
    symlink for gcc (Closes: #912641)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 07 Nov 2018 15:17:41 +0100

llvm-toolchain-7 (1:7.0.1~+rc2-1~exp1) experimental; urgency=medium

  * New testing release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 05 Nov 2018 23:38:34 +0100

llvm-toolchain-7 (1:7-9) unstable; urgency=medium

  * Remove the dump of cmake error file (too confusing)
  * Try to fix the bootstrap FTBFS :
    - on armel by forcing the link to -latomic
    - mips-rdhwr.diff: backport D51773 to fix an
      assembly issue on mips.
      Thanks to jrtc27 for finding the issue.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 04 Nov 2018 18:07:23 +0100

llvm-toolchain-7 (1:7-8) unstable; urgency=medium

  * Update the watch file to display the right version
    (even if the download will fail)
  * clang-7 suggests libomp-7-dev instead of libomp-dev
  * Make sure that we don't conflict openmp & libc++ with llvm-defaults's
    (Closes: #912544)
  * Handle better the non coinstability of openmp & libc++ (like we are doing
    with python-clang-*)
  * Backport upstream fix D51749 to address a rust aarch64 issues
    (Closes: #909705)
  * Add tests from old bugs to make sure they don't come back
    (Closes: #889832, #827866)
  * The sanitizers use the versioned llvm-symbolizer provided by the
    llvm-X package (Closes: #753572)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 20 Oct 2018 16:00:58 +0200

llvm-toolchain-7 (1:7-7~exp2) experimental; urgency=medium

  * clangd-atomic-cmake.patch: Link against atomic for clangd in i386
  * When the cmake configure of the stage2 is failing, dump the cmake error log
  * Declare some variables (-Wno-*) for all platforms (was failing on mips)
  * Update the watch file to display the right version
    (even if the download will fail)
  * clang-7 suggests libomp-7-dev instead of libomp-dev
  * Make sure that we don't conflict openmp & libc++ with llvm-defaults's
    (Closes: #912544)
  * Handle better the non coinstability of openmp & libc++ (like we are doing
    with python-clang-*)
  * Backport upstream fix D51749 to address a rust aarch64 issues
    (Closes: #909705)
  * Add tests from old bugs to make sure they don't come back
    (Closes: #889832, #827866)
  * The sanitizers use the versioned llvm-symbolizer provided by the
    llvm-X package (Closes: #753572)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 21 Oct 2018 18:34:20 +0200

llvm-toolchain-7 (1:7-7~exp1) experimental; urgency=medium

  * Experiment the clang bootstrap
  * Try to bootstrap clang using clang

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 17 Oct 2018 20:15:57 +0200

llvm-toolchain-7 (1:7-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * Apply hurd fixes (Closes: #908847).
   - hurd-lib_Support_Unix_Path.inc.diff
   - hurd-pathmax.diff
   - hurd-tools_llvm-shlib_CMakeLists.txt.diff

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 18 Oct 2018 16:50:58 +0200

llvm-toolchain-7 (1:7-6) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Oct 2018 11:00:09 +0200

llvm-toolchain-7 (1:7-6~exp2) experimental; urgency=medium

  * Disable for now the bootstrapping clang patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Oct 2018 15:00:46 +0200

llvm-toolchain-7 (1:7-6~exp1) experimental; urgency=medium

  * Try to bootstrap (currently in a different branch)
  * Split the builds in different make target
  * Add python-pygments as dep of llvm-7-tools because
    opt-viewer.py needs it
  * Add back libomp5-X.Y.symbols.in (untested)
  * Fix the install of clang bash completion
  * Start the work on bootstrapping clang
    - bootstrap-with-openmp-version-export-missing.diff: fix a link issue
      https://bugs.llvm.org/show_bug.cgi?id=39200
    - bootstrap-fix-include-next.diff: Fix an include issue at bootstrap phase
      https://bugs.llvm.org/show_bug.cgi?id=39162

  [ Gianfranco Costamagna ]
  * Take option two in bug #877567 to fix FTBFS on mips and mipsel

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 06 Oct 2018 23:04:24 +0200

llvm-toolchain-7 (1:7-5) unstable; urgency=medium

  * In debci, run qualify-clang.sh in verbose mode
  * Only run the g++ test if g++ exist

  [ Reshabh Sharma ]
  * Run check-openmp to test OpenMP

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 06 Oct 2018 08:25:48 +0200

llvm-toolchain-7 (1:7-4) unstable; urgency=medium

  * Backport a fix to improve scan-build code error.
    Thanks to Roman Lebedev for the fix(Closes: #909662)
  * Remove bat files https://bugs.llvm.org/show_bug.cgi?id=30755
  * Install bash-completion for clang
  * Disable ocaml on armel

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 26 Sep 2018 14:32:41 +0100

llvm-toolchain-7 (1:7-3) unstable; urgency=medium

  * Fix a syntax issue in a scan-build patch
  * Fix the autopkgtest script (no gcc in the test)
  * remove dep from lld to llvm-7-dev because lld
    doesn't use LLVM LTO
  * remove old Replaces/Breaks
  * Standards-Version: 4.2.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 21 Sep 2018 22:48:47 +0200

llvm-toolchain-7 (1:7-2) unstable; urgency=medium

  * Fix the ftbfs under armel on libc++ and enable openmp on armel.
    Thanks to Adrian Bunk for the patch
  * Make libc++, libc++abi & openmp NOT co-installable
    Rational: the benefits are limited compared to the drawback.
    We should have issues like:
       - built with libc++-8-dev
       - run with libc++1-7
    (Closes: #903802)
  * Remove circular dependency by removing python-lldb-7: Depends: liblldb-7-dev
    (Closes: #888889)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 19 Sep 2018 14:12:34 +0200

llvm-toolchain-snapshot (1:8~svn342269-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * libc++-8-dev doesn't provide libstdc++-dev anymore (Closes: #908738)
  * Build llvm using -DLLVM_USE_PERF=yes (Closes: #908707)
  * Only rename libomp when openmp is built

  [ Gianfranco Costamagna ]
  * Force polly cmake removal on arch:all because of --fail-missing

  [ Reshabh Sharma ]
  * Make OpenMP packages coinstallable from version 7
  * Make libc++ packages coinstallable from version 7

  [ John Paul Adrian Glaubitz ]
  * Add patch to fix missing MultiArch include dir
    on powerpcspe (Closes: #908791)
  * Disable LLDB on riscv64
  * Fix inverted logic in ifeq statement for POLLY_ENABLE
    and OPENMP_ENABLE (Closes: #908646)
  * Disable OpenMP on unsupported architecture x32
  * Add patch to fix missing include and library paths on x32

  [ Gianfranco Costamagna ]
  * Install polly only on arch:all packages
  * Drop gnustep and gnustep-devel suggestions (Closes: #902847)
  * Enable polly on s390x
  * Disable omp on armel mips and mipsel for now

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Sep 2018 21:56:57 +0200

llvm-toolchain-snapshot (1:8~svn340819-1) unstable; urgency=medium

  * New snapshot release
  * Force sphinx to be >> 1.2.3
  * also ignore libc++experimental.a on dh_strip (fails on stretch)
  * Make libc++-8-dev & libc++abi-8-dev coinstallable
  * Remove libtool flex, bison, dejagnu, tcl, expect,
    and perl from the build deps (testing)
  * Disable force-gcc-header-obj.diff as it is introducing
    some regressions in the search headers
    (Closes: #903709)
  * branching to version 8
    - New symbols in libclang:
      clang_Cursor_getObjCPropertyGetterName
      clang_Cursor_getObjCPropertySetterName
      clang_Type_getModifiedType
      clang_Type_getNullability
      clang_Type_getNumObjCProtocolRefs
      clang_Type_getNumObjCTypeArgs
      clang_Type_getObjCObjectBaseType
      clang_Type_getObjCProtocolDecl
      clang_Type_getObjCTypeArg
  * python-recommonmark is a new build dep for the sphinx doc
  * dh_strip should be verbose
  * On Stretch (binutils 2.28), do not run strip on libFuzzer.a, libc++.a
    & libc++abi.a because it segfaults
  * Fixed "weak-library-dev-dependency libc++-7-dev on libc++-7-helpers"
  * Fixed "libomp5-7: shlibs-declares-dependency-on-other-package
           libomp5-7) (>= 1:7~svn298832-1~)"
  * Also use the local cmake binary if available (for trusty)
    and take in account the PRE_PROCESS_CONF option
  * Try to fix a FTBFS on jessie with openmp

  [ Gianfranco Costamagna ]
  * Add liblldb-8-dev to python-lldb runtime dependencies, needed to import it
  * Enable lld on arm64, mips64el
  * Enable lldb on mips64el
  * Enable lld on ppc64el

  [ John Paul Adrian Glaubitz ]
  * Don't build with ld.gold on powerpcspe
  * Disable polly on powerpcspe
  * Add upstream patch to make rustc build on powerpc

  [ Reshabh Sharma ]
  * Integrate opemp as part of the llvm-toolchain packages (Closes: #813672)
    As part of this work, the transition libiomp packages have been removed.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 28 Aug 2018 16:28:24 +0200

llvm-toolchain-7 (1:7.1.0~svn353565-1~exp1) UNRELEASED; urgency=medium

  * New stable release.
    To be clear, this is the same as release 7.0.1
    To be ABI compliant in Debian between 7 and 7.0.1,
    I took the pr39427-misscompile.diff.
    7.1.0 is an official release for downstream users to bring
    back the ABI compatibility.
    I am uploading this new version in the archive to:
    - avoid question like "why we don't have 7.1.0 in the archive?"
    - align with upstream
    - clearly show that we kept the ABI
    Upstream decided to rename the library from 7 to 7.1.0
    As I kept the ABI, I reverted the patches (debian/patches/7.1.0/*)
    More info on https://bugs.llvm.org/show_bug.cgi?id=39427
    and https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=913271

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 09 Feb 2019 16:34:12 +0100

llvm-toolchain-7 (1:7.0.1-7) unstable; urgency=medium

  * kfreebsd/kfreebsd-triple-clang.diff: update of the patch to fix
    the kfreebsd FTBFS  (Closes: #921246)
  * Enable ld gold for kfreebsd-amd64 and kfreebsd-i386
    Many thanks to Svante Signell for the two updates

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 07 Feb 2019 17:17:40 +0100

llvm-toolchain-7 (1:7.0.1-6) unstable; urgency=medium

  * Add support for kfreebsd (Closes: #921246)
    Many thanks to Svante Signell for all patches

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 03 Feb 2019 17:27:51 +0100

llvm-toolchain-7 (1:7.0.1-5) unstable; urgency=medium

  * Add 'Rules-Requires-Root: no' in debian/control
  * llvm-7-examples: Force the same version of llvm-7-dev to mitigate
    a debci issue
    https://ci.debian.net/data/autopkgtest/unstable/amd64/l/llvm-toolchain-7/1635547/log.gz
  * Add 'Rules-Requires-Root: no' in debian/control
  * Because more and more tools in clang-tools are in python, add
    the dependency

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 04 Jan 2019 16:00:41 +0100

llvm-toolchain-7 (1:7.0.1-4) unstable; urgency=medium

  * On old Debian/Ubuntu, run dh_strip using fakeroot to mitigate
    a permission issue

  [ Gianfranco Costamagna ]
  * Ignore a test result on i386, due to upstream bug 26580#c18

  * Stable release
  * Also manages clang-X as tool for scan-build
    see https://reviews.llvm.org/D52151

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 17 Sep 2018 13:51:03 +0200

llvm-toolchain-7 (1:7~+rc3-5) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Add patch to fix missing include and library paths on x32

  [ Sylvestre Ledru ]
  * Only rename libomp when openmp is built

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 14 Sep 2018 19:54:38 +0200

llvm-toolchain-7 (1:7~+rc3-4) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * libc++-7-dev doesn't provide libstdc++-dev anymore (Closes: #908738)

  [ Gianfranco Costamagna ]
  * Force polly cmake removal on arch:all because of --fail-missing

  [ Reshabh Sharma ]
  * Make OpenMP packages coinstallable from version 7
  * Make libc++ packages coinstallable from version 7

  [ John Paul Adrian Glaubitz ]
  * Add patch to fix missing MultiArch include dir
    on powerpcspe (Closes: #908791)
  * Disable LLDB on riscv64

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Sep 2018 11:27:28 +0200

llvm-toolchain-7 (1:7~+rc3-3) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Disable OpenMP on unsupported architecture x32

  [ Sylvestre Ledru ]
  * Build llvm using -DLLVM_USE_PERF=yes (Closes: #908707)

  [ Gianfranco Costamagna ]
  * Install polly only on arch:all packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Sep 2018 09:31:29 +0200

llvm-toolchain-7 (1:7~+rc3-2) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Fix inverted logic in ifeq statement for POLLY_ENABLE
    and OPENMP_ENABLE (Closes: #908646)

  [ Gianfranco Costamagna ]
  * Drop gnustep and gnustep-devel suggestions (Closes: #902847)
  * Enable polly on s390x
  * Disable omp on armel mips and mipsel for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Sep 2018 10:58:12 +0200

llvm-toolchain-7 (1:7~+rc3-1) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Disable OpenMP on unsupported architectures powerpc,
    powerpcspe, riscv64 and sparc64 (Closes: #907912)

  [ Sylvestre Ledru ]
  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 10 Sep 2018 17:01:25 +0200

llvm-toolchain-7 (1:7~+rc2-1~exp3) experimental; urgency=medium

  * Remove libtool flex, bison, dejagnu, tcl, expect,
    and perl from the build deps (testing)
  * Disable force-gcc-header-obj.diff as it is introducing
    some regressions in the search headers
    (Closes: #903709)

  [ Gianfranco Costamagna ]
  * Fix build on armhf, by removing some installed package
  * Fix build on s390x, by disabling OpenMP
  * Add liblldb-7-dev to python-lldb runtime dependencies, needed to import it
  * Enable lld on arm64, mips64el
  * Enable lldb on mips64el

  [ Reshabh Sharma ]
  * Add version for libc++ and OpenMP packages breaks/replaces
  * Remove libc++-helpers package
    - No real value
    - Just two scripts
    - Command line arguments aren't that complex
  * Fix autopkgtest support

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 03 Sep 2018 09:16:22 +0200

llvm-toolchain-7 (1:7~+rc2-1~exp2) experimental; urgency=medium

  * Force sphinx to be >> 1.2.3
  * Also ignore libc++experimental.a on dh_strip (fails on stretch)
  * Make libc++-7-dev & libc++abi-7-dev coinstallable

  [ John Paul Adrian Glaubitz ]
  * Don't build with ld.gold on powerpcspe
  * Disable polly on powerpcspe
  * Add upstream patch to make rustc build on powerpc

  [ Gianfranco Costamagna ]
  * Enable lld on ppc64el

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 27 Aug 2018 10:57:41 +0200

llvm-toolchain-7 (1:7~+rc2-1~exp1) experimental; urgency=medium

  * New snapshot release
  * dh_strip should be verbose
  * On Stretch (binutils 2.28), do not run strip on libFuzzer.a, libc++.a
    & libc++abi.a because it segfaults
  * Fixed "weak-library-dev-dependency libc++-7-dev on libc++-7-helpers"
  * Fixed "libomp5-7: shlibs-declares-dependency-on-other-package
           libomp5-7) (>= 1:7~svn298832-1~)"
  * Also use the local cmake binary if available (for trusty)
    and take in account the PRE_PROCESS_CONF option

  [ Reshabh Sharma ]
  * Fixed "Lintian warnings for libc++abi-7-dev package"
    - Warning: libc++abi-7-dev: breaks-without-version libc++-dev
    - Warning: libc++abi-7-dev: breaks-without-version libc++abi-dev
    - Warning: llvm-toolchain-7 source: binaries-have-file-conflict
      libc++abi-7-dev libc++abi1-7 usr/lib/llvm-7/lib/libc++abi.so

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 16 Aug 2018 17:49:31 +0200

llvm-toolchain-7 (1:7~+rc1-1~exp2) experimental; urgency=medium

  * Disable force-gcc-header-obj.diff as it is introducing
    some regressions in the search headers
    (Closes: #903709)
  * libc++-7-dev should depend on libc++-7-helpers (and not
    libc++-helpers)
  * Fix the links in the helper package

  [ Reshabh Sharma ]
  * Fix the path to libc++ header
  * libc++.so was in two packages

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 15 Aug 2018 15:27:57 +0200

llvm-toolchain-7 (1:7~+rc1-1~exp1) experimental; urgency=medium

  * First testing release of 7
    - Rename packages
    - Update the VCS-* URL
  * Standards-Version to 4.2.0

  [ Dimitri John Ledkov ]
  * Enable lldb on ppc64el LP: #1777136

  [ Reshabh Sharma ]
  * Integrate libcxx and libcxxabi as part of the llvm-toolchain packages
    Very similar to the previous packages
    except that libc++abi-7-test & libc++-7-test are no longer shipped
    Outcome of the LLVM GSoC 2018
    (Closes: #813673)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 07 Aug 2018 19:25:09 +0200

llvm-toolchain-snapshot (1:7~svn336894-1~exp1) experimental; urgency=medium

  [ Reshabh Sharma ]
  * Integrate opemp as part of the llvm-toolchain packages (Closes: #813672)
    As part of this work, the transition libiomp packages have been removed.

  [ Sylvestre Ledru ]
  Bravo to Reshabh Sharma for his work
  * Also ship diagtool in clang-tools-X
  * Also ship hmaptool in clang-tools-X
  * Enable WebAssembly & AVR as experimental archs (Closes: #899202)
  * d/p/force-gcc-header-obj.diff Fix the detection of the objc path
  * clang_getCompletionFixIt, clang_getCompletionNumFixIts & getTokenclang
    added as new symbols of libclang1
  * Fix the version with snapshot packages
    Fixes upstream issue https://bugs.llvm.org/show_bug.cgi?id=37729

  [ Gianfranco Costamagna ]
  * Bump std-version to 4.1.5, no changes required

  [ Reshabh Sharma ]
  * Updated debian/control with breaks, provides and conflicts for OpenMP
    packages (Closes: #903802)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 09 May 2018 14:23:49 +0200

llvm-toolchain-snapshot (1:7~svn330801-1~exp2) experimental; urgency=medium

  * d/p/force-gcc-header-obj.diff Fix the detection of the objc path
  * Add python-yaml as dep for clang-tidy (Closes: #890514)
  * d/p/impl-path-hurd.diff: Try to fix an issue with hurd

  [ Peter Wu ]
  * Make CMake find_package(Clang) work. Fixes upstream bug
    https://bugs.llvm.org/show_bug.cgi?id=37128
    - Move Clang*.cmake back to /usr/lib/llvm-X.Y/lib/cmake/clang and install a
      symlink in /usr/lib/cmake/clang-X.Y.
    - Ensure that the LLVM installation prefix is correctly discovered despire
      symlinks (replaces fix-cmake-config-prefix.diff).
    - Create /usr/lib/llvm-X.Y/bin/clang-X.Y symlink as required by
      ClangTargets-relwithdebinfo.cmake.
    - Remove useless LLVM_CMAKE_DIR sed command that did not match anything.
    - Ignore missing binaries in ClangTargets-relwithdebinfo.cmake.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 07 May 2018 23:27:26 +0200

llvm-toolchain-6.0 (1:6.0.1~+rc1-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Fix a typo in the debci

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 26 Apr 2018 08:02:09 +0200

llvm-toolchain-6.0 (1:6.0-3) unstable; urgency=medium

  * Remove sysconf_interceptor_bypass_test.cc because it makes
    Debian unstable and Ubuntu bionic freeze
  * Remove the info text from the manpages (Closes: #894734)
  * Remove a bunch of old unused patches
  * Fix debian-watch-uses-insecure-uri as upstream has now https
  * Standards-Version updated to 4.1.3
  * llvm-dsymutil has been renamed to dsymutil
  * Remove sysconf_interceptor_bypass_test.cc because it makes
    Debian unstable and Ubuntu bionic freeze
  * library-binary-filename.diff removed (applied upstream)
  * Add clang_File_tryGetRealPathName as new symbol in libclang

  [ Reshabh Sharma ]
  * Enable autopkgtest for amd64 & i386 on the llvm test suite
    (Closes: #774294)

  [ Nicholas D Steeves ]
  * Fix the lintian error 'privacy-breach-uses-embedded-file'
    (Closes: #829361)

  [ Athos Ribeiro ]
  * Create symlink to run-clang-tidy-X.Y.py to remove its .py extension
    (Closes: #892089)

  [ David Tenty ]
  * Migrate to automatic debug packages (Closes: #893267)

  [ Sylvestre Ledru ]
  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 25 Apr 2018 10:59:20 +0200

llvm-toolchain-snapshot (1:7~svn327768-1) unstable; urgency=medium

  * New snapshot release
  * create the directory for the mips stuff
  * Fail the build when new symbols are added
  * 5 new symbols:
    - clang_PrintingPolicy_dispose
    - clang_PrintingPolicy_getProperty
    - clang_PrintingPolicy_setProperty
    - clang_getCursorPrettyPrinted
    - clang_getCursorPrintingPolicy
  * Use upstream ld.lld manpage instead of help2man
  * Move the VCS to git.
    Many thanks to James Clarke for doing the conversion
  * Create the directory before having the manpages generated
  * clang-tidy-7 also depends on clang-tools-7 for, at least
    clang-apply-replacements
  * Automatically update the debian/README
  * clang-tidy-7: depends on libclang-common-7-dev
    (Closes: #891999)

  [ James Clarke ]
  * Disable LLDB on powerpcspe

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 17 Mar 2018 14:56:19 +0100

llvm-toolchain-snapshot (1:7~svn323616-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Fix llvm-config with the change of versioning (Closes: #888592)
  * Update the creation of the README to unbreak the mips* FTBFS
  * Update of the clang-tools-X.Y description
  * ignore source: source-is-missing lldb/unittests/

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 28 Jan 2018 13:43:37 +0100

llvm-toolchain-snapshot (1:7~svn322880-1) unstable; urgency=medium

  * Change the versioning from X.Y to X as upstream is using
    X.Y.Z and X
    I am keeping the epoch because it would be too complex to manage
    with the various updates scenario
  * Two new symbols in libclang
    - clang_getFileContents
    - clang_isInvalidDeclaration
  * Fix the VCS-* tags

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 18 Jan 2018 20:50:03 +0100

llvm-toolchain-6.0 (1:6.0.1-11) unstable; urgency=medium

  * Remove 'Multi-Arch: same' in libclang
    (Closes: #874248)
  * Cherry-pick various llvm fixes for Julia
    (Closes: #919628)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 09 Feb 2019 17:22:59 +0100

llvm-toolchain-6.0 (1:6.0.1-10) unstable; urgency=medium

  * Fix a baseline violation on armhf (Closes: #914268)
    Thanks to Adrian Bunk
    doing that for the Julia package.

  [ John Paul Adrian Glaubitz ]
  * Add patch to fix missing include and library paths on x32

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 23 Jan 2019 23:25:50 +0100

llvm-toolchain-6.0 (1:6.0.1-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/D53557-hurd-self-exe-realpath.diff: Fix paths returned by
    llvm-config (Closes: Bug#911817).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 24 Oct 2018 22:44:54 +0000

llvm-toolchain-6.0 (1:6.0.1-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply hurd fixes (Closes: #908847).
    - hurd-lib_Support_Unix_Path.inc.diff
    - hurd-pathmax.diff
    - hurd-tools_llvm-shlib_CMakeLists.txt.diff

 -- Samuel Thibault <sthibault@debian.org>  Tue, 16 Oct 2018 20:18:39 +0000

llvm-toolchain-6.0 (1:6.0.1-8) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Fix inverted logic in ifeq statement for POLLY_ENABLE (Closes: #908646)

  [ Gianfranco Costamagna ]
  * Fixup the polly installation failure where polly is not built
  * Add s390x to polly architectures
  * Fix typo in rules file

  [ Sylvestre Ledru ]
  * Disable sse2 on pentium4 arch (Closes: #632472)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 13 Sep 2018 10:04:42 +0200

llvm-toolchain-snapshot (1:6.0~svn321385-1) unstable; urgency=medium

  * Snapshot upload before rc1 (January)
  * Create clang-tools-6.0 and move the various clang tools into it
    clang-tools-6.0 depends on clang-6.0. This might affect some packages.
    (Closes: #836397)
  * Bring back the libedit support in lldb
    Fix upstream bug https://bugs.llvm.org/show_bug.cgi?id=35291
  * Also ship ld64.lld and wasm-ld in the lld-X.Y package
  * Update d/rules to reflect the move of libfuzzer into compiler-rt
  * Update of the copyright file (Closes: #878502)
    Thanks to Nicholas D Steeves for the work
  * Try to fix the mipsel FTBFS (Closes: #877567)
    I am trying the first option from the bug:
    - gsplit-dward on 32 bits archs
    - -g everywhere
    Many thanks to Adrian Bunk for that
  * Use ?= for some variables declarations
  * Remove the hardcoded declarations of llvm version in debian/rules
  * add /usr/lib/cuda to the CUDA toolkit search paths
    Thanks to Andreas Beckmann for the patch (Closes: #882505) (LP: #1706326)
  * Fix the fix-scan-view-path.diff path
  * Move libomp-dev from Suggests to Recommends (Closes: #882781)
  * Add a symlink to fix lldb-X.Y (Closes: #881993)
  * Remove update-cuda-search-path.patch (applied upstream)
  * Also install usr/bin/lldb-test-6.0
  * liblld-6.0-dev depends on liblld-6.0 (Closes: #856545)
  * Add new symbols for libclang1:
    - clang_CXIndex_setInvocationEmissionPathOption
    - clang_CXXRecord_isAbstract
    - clang_Cursor_getObjCManglings
    - clang_getCursorTLSKind
  * add test-keep-alive.diff to improve the keep alive for some
    archs like mips*
  * Standards-Version: 4.1.1
  * remove liblld-6.0-dbg for now

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Dec 2017 21:41:17 +0100

llvm-toolchain-snapshot (1:6.0~svn315736-1) unstable; urgency=medium

  * New snapshot
  * Ship liblldMinGW lld lib
  * Ship clang-refactor & clang-func-mapping in clang-X.Y
  * Remove the -Wl option to call gold instead of the normal linker
    (Closes: #876787)
  * Force the deactivation of ocaml until the transition is done
  * Standards Version 4.1.0

  [ Gianfranco Costamagna ]
  * Enable ocaml on release architectures.
  * Add NDEBUG flag, lost in the -g -> -g1 switch

  [ Matthias Klose ]
  * Link with --no-keep-files-mapped --no-map-whole-files when using gold.
  * build using gold on arm64 and s390x. For backports, arm64 might still
    need the BFD linker, and building with only one or two processes in
    parallel.
  * On amd64, s390x, arm64 and ppc64el, build with -g1 instead of -g.
  * Set CMAKE_CXX_FLAGS_RELWITHDEBINFO and pass opt_flags.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 11 Sep 2017 22:27:20 +0200

llvm-toolchain-snapshot (1:6.0~svn311834-2) unstable; urgency=medium

  * Fix the FTBFS because of -gsplit-dwarf:
    - Only enable it on archs which needs it
    - Only enable it when gcc supports it correctly
  * Fail the build if the arch + gcc has a broken gsplit-dwarf support

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 31 Aug 2017 19:14:53 +0200

llvm-toolchain-snapshot (1:6.0~svn311834-1) unstable; urgency=medium

  * Link LLDB with -latomic on powerpcspe (Closes: #872267)
  * Fix the C++ include path order (Closes: #859083)
  * Disable -gsplit-dwarf when using gcc 7 for causing a linking issue
    See https://bugs.llvm.org/show_bug.cgi?id=34140
    (Closes: #853525)
  * clang was producing unusable binaries on armv5tel (Closes: #873307)
    Thanks to Adrian Bunk for the patch
  * With Ubuntu Trusty (for apt.llvm.org), the build fails
    on internal compiler error: in output_index_string, at dwarf2out.c:218
    force the usage of gcc 4.9

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 26 Aug 2017 22:35:00 +0200

llvm-toolchain-snapshot (1:6.0~svn310776-1) unstable; urgency=medium

  * We moved from 5.0 to 6.0
  * Ship the opt-viewer new program as part of llvm-6.0 tools
  * ld.lld manpage wasn't installed
  * Disable the clang-fix-cmpxchg8-detection-on-i386.patch patch
    because breaks the build with
    'error: 'isCmpXChg8Supported' was not declared in this scope'
  * Remove usr/bin/liblldb-intel-mpxtable.so-6.0 as it seems to be removed
    from usptream
  * Force the usage of gcc 6 until the link issues with gcc 7 are fixed
    https://bugs.llvm.org/show_bug.cgi?id=34140

  [ Katsuhiko Nishimra ]
  * Ensure /usr/bin/g++-$(GCC_VERSION) exists (Closes: #871591)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 27 Jul 2017 23:16:06 +0200

llvm-toolchain-snapshot (1:5.0~svn305653-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Re-add clang-doc documentation

  [ Sylvestre Ledru ]
  * New snapshot release
  * Fix a hurd PATH_MAX issue
  * Transform the lldb swig check from a error to a warning
  * Add libomp-dev to the suggests of clang
  * Add Provides on python-lldb-x.y & python-clang-x.y & libllvm-x.y-ocaml-dev
    to avoid the recurring problem about conflicts
    (Closes: #835546, #863739, #863742)
  * Standards-Version => 4.0.0
  * Generate the llvm-tblgen, clang-change-namespace, clang-offload-bundler
    lld, clang++, clang-check, clang-cpp & clang-import-test manpages
  * Remove the --no-discard-stderr option from help2man calls
  * use -DPOLLY_BUNDLED_JSONCPP=OFF & add pkg-config as a dep (to help find
    the files)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 09 Jun 2017 12:04:56 +0200

llvm-toolchain-snapshot (1:5.0~svn302368-1~exp1) experimental; urgency=medium

  * Only enable libfuzzer for Linux kernel.
    Thanks to Pino Toscano for the patch
  * Add option -DPOLLY_BUNDLED_JSONCPP=ON
    to use the system lib instead of the patch d/p/use-deb-json.diff
  * New symbols added in libclang
     - clang_EvalResult_getAsLongLong
     - clang_EvalResult_getAsUnsigned
     - clang_EvalResult_isUnsignedInt
     - clang_TargetInfo_dispose
     - clang_TargetInfo_getPointerWidth
     - clang_TargetInfo_getTriple
     - clang_Type_isTransparentTagTypedef
     - clang_getAllSkippedRanges
     - clang_getTranslationUnitTargetInfo

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 May 2017 12:13:43 +0200

llvm-toolchain-snapshot (1:5.0~svn298899-1) unstable; urgency=medium

  * Limit the archs where the ocaml binding is built
    Should fix the FTBFS
    Currently amd64 arm64 armel armhf i386
  * d/p/add_symbols_versioning.patch removed (applied upstream)
  * Really fix "use versioned symbols" for llvm
    Thanks to Julien Cristau for the patch (Closes: #849098)
  * Explicit the dep of clang-tidy on same version of llvm to avoid
    undefined symbols
  * Add override_dh_makeshlibs for the libllvm or liblldb versions
    Thanks to Julien Cristau for the patch
  * change the min version of the libclang1 symbols to 1:4.0-3~
  * Fix the symlink on scan-build-py
  * add libncurses in the list of build deps (Closes: #861170)

  [ Rebecca N. Palmer ]
  * Use versioned symbols (Closes: #848368)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 09 Apr 2017 10:11:56 +0200

llvm-toolchain-snapshot (1:5.0~svn294583-1~exp1) experimental; urgency=medium

  * New snapshot release
  * New library liblldb-intel-mpxtable.so
  * Fix the incorrect symlink to scan-build-py (Closes: #856869)
  * Explicit the dep of clang-format on same version of llvm to avoid
    undefined symbols

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Jan 2017 09:03:48 +0100

llvm-toolchain-snapshot (1:5.0~svn292017-1~exp1) experimental; urgency=medium

  * New snapshot release
    snapshot is now 5.0
  * d/p/silent-amdgpu-test-failing.diff silent amdgpu tests failing
    (see upstream bug 31610)
  * d/p/lldb-server-link-issue.patch removed, merged upstream
  * Also install python-lldb-5.0 when installing lldb-5.0 (Closes: #851171)
  * Bring back the content of llvm-5.0-doc (Closes: #844616)
  * Bring back the content of llvm-4.0-doc (Closes: #844616)
  * d/p/pthread-link.diff Hardcode like to pthread which was missing for
    libclang

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 14 Jan 2017 16:36:51 +0100

llvm-toolchain-snapshot (1:4.0~svn291344-1) unstable; urgency=medium

  * New snapshot release
  * Disable libedit usage in lldb because of garbage (Closes: #846616, #850111)
  * Build lld
    - d/p/lld-arg-cmake-issue.diff fixes upstream bug #27685
  * ship clang-tblgen
  * Run clang extra test suite
  * Fix the detection of lldb-server
  * Fix the run of the check-lldb target

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 07 Jan 2017 12:24:32 +0100

llvm-toolchain-snapshot (1:4.0~svn290810-1) unstable; urgency=medium

  * New snapshot release
  * d/p/kfreebsd-support.diff removed (applied upstream)
  * debian/orig-tar.sh: less verbose
  * d/p/lldb-missing-install.diff: For the install
    of lldb-server and lldb-argdumper as they are not always installed
  * Ship new binary in clang-X.Y: clang-import-test
  * New symbols in libclang1:
    - clang_EvalResult_getAsLongLong
    - clang_EvalResult_getAsLongLong
    - clang_EvalResult_isUnsignedInt
  * Fix a regression in the test run for the code coverage
  * Silent ThinLTO/X86/autoupgrade.ll, fails with code coverage (and maybe others)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 02 Jan 2017 13:51:06 +0100

llvm-toolchain-snapshot (1:4.0~svn286225-1) unstable; urgency=medium

  * New snapshot release
  * Remove the info section from the generated manpages (Closes: #846269)

  [ Kai Wasserbäch ]
  * debian/patches/{0003-Debian-version-info-and-bugreport.patch,
    0044-soname.diff,23-strlcpy_strlcat_warning_removed.diff,
    26-set-correct-float-abi.diff,atomic_library_[12].diff,
    fix-clang-path-and-build.diff,fix-lldb-server-build,lldb-libname.diff,
    lldb-soname.diff,mips-fpxx-enable.diff,removeduplicatedeclaration.diff}:
    Refreshed.
  * debian/patches/{silent-gold-utils,kfreebsd-support}.diff: Updated.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 08 Nov 2016 12:19:55 +0100

llvm-toolchain-snapshot (1:4.0~svn282142-1~exp1) experimental; urgency=medium

  * The libstdc++-6-dev & libobjc-6-dev are only install with clang-X.Y
    and libclang-X.Y-dev and no longer with libclang1-X.Y
    (Closes: #841309)
  * Fix the VCS-* fields

  [ Kai Wasserbäch ]
  * debian/patches/{23-strlcpy_strlcat_warning_removed.diff,
    0003-Debian-version-info-and-bugreport.patch, atomic_library_[12].diff,
    python-clangpath.diff,removeduplicatedeclaration.diff,
    fix-clang-path-and-build.diff,mips-fpxx-enable.diff}: Refreshed.
  * debian/patches/{silent-more-tests.diff,silent-MCJIIT-tests.diff}: Updated.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 24 Oct 2016 10:45:07 +0200

llvm-toolchain-3.9 (1:3.9-6) unstable; urgency=medium

  * Fix segfaults in the memory sanitizers (Closes: #842642)
    Caused by the newer glibc. Many thanks for Nobert Lange for everything
  * Enable the sanitizers testsuite

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 11 Nov 2016 17:01:38 +0100

llvm-toolchain-3.9 (1:3.9-5) unstable; urgency=medium

  * d/p/0011-SimplifyCFG-Hoisting-invalidates-metadata.patch: Also apply bug 29163
    to fix some issues in rust (Closes: #842956)
    Many thanks to Ximin Luo for the investigation

  * libclang-common-4.0-dev: missing multilib binaries for the sanitizer
    libraries (Closes: #841923)
    Many thanks to Norbert Lange for the changes

  [ Pauli ]
  * d/p/clang-fix-cmpxchg8-detection-on-i386.patch:
    libcxx atomic tests for old i386 fail with wrong Atomic inline width.
    Needed for libc++
    (See https://llvm.org/bugs/show_bug.cgi?id=19355)
  * d/p lldb-addversion-suffix-to-llvm-server-exec.patch:
    Fix the lldb-server call in some cases

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 04 Nov 2016 17:18:07 +0100

llvm-toolchain-3.9 (1:3.9-4) unstable; urgency=medium

  * LLVMConfig.cmake was installed into wrong location
    Install a symlink from lib/cmake/llvm to share/llvm/cmake
    (Closes: #839234)
  * Fix a path issue in scan-view. Thanks Riccardo Magliocchetti
    (Closes: #838572)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 31 Oct 2016 10:47:52 +0100

llvm-toolchain-3.9 (1:3.9-3) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * The libstdc++-6-dev & libobjc-6-dev are only install with clang-X.Y
    and libclang-X.Y-dev and no longer with libclang1-X.Y
    (Closes: #841309)

  [ Gianfranco Costamagna ]
  * Team upload
  * d/p/drop-wrong-hack-arm64.patch:
    - drop hack that was preventing the package from building on
      non-amd64 64bit architectures:

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Oct 2016 11:45:28 +0200

llvm-toolchain-snapshot (1:4.0~svn280796-1~exp1) experimental; urgency=medium

  * Merge clang-include-fixer-4.0 into clang-4.0. Don't think
    it deserves it own package
  * python-lldb-4.0 archs "any" to a list like others pkg
  * Fix a version issue with run-clang-tidy-4.0.py
  * Also install clang-change-namespace-4.0

  [ Kai Wasserbäch ]
  * debian/clang-X.Y.install.in: Added clang-cpp.
  * debian/patches: Refreshed.

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 02 Sep 2016 13:11:56 +0200

llvm-toolchain-3.9 (1:3.9-1) unstable; urgency=medium

  * New stable release
  * Port to kfreebsd. Many thanks to Pino Toscano
    (Closes: #835665)
  * clang_getAllSkippedRanges in the list of libclang1 symbols
  * Try to disable the execution of the testsuite for scan-build & coverity
    for real
  * Also ship clang-reorder-fields as part of the clang-4.0 package
  * Build lldb on arm64. Hopefully, works.
  * New snapshot release
  * Tentative fix for lldb-server build

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 07 Sep 2016 12:02:12 +0200

llvm-toolchain-snapshot (1:4.0~svn279916-1) unstable; urgency=medium

  * Snapshot is now 4.0
  * Introduce clang-include-fixer-4.0
  * Fix the usage of jsoncpp in polly. Thanks to James Clarke for the patch
    (Closes: #835607)
  * Fix the renaming of the manpages (Closes: #834077)
  * Use the manpage from clang.rst instead of help2man
  * Disable the build of lldb on mips64el, ppc64 and s390x for real
  * Add symlink from ./build to ../share and ../lib etc
    Thanks to Ximin Luo for the patch (Closes: #834144)
  * Sync the 3.9 changes into 4.0
  * Fix the cmake paths in llvm-4.0-dev deb package. Thanks to Brad King
    for the patch (Closes: #819072)
  * Bring back the lto (gone with the cmake migration)
    (Closes: #819333) (upstream: #27223)
  * LLVMConfig.cmake is now installed to <prefix>/lib/cmake/llvm instead of
    <prefix>/share/llvm/cmake
    Thanks to Brad King of the fix
  * Disable lldb on sparc64 (Closes: #832371)
  * Also install clang-rename.el & clang-rename.py in clang-4.0
  * scan-build llvm results are built using --show-description
  * Generate manpages for lli, lldb-mi & git-clang-format
  * Fix some lintian overrides
  * Generate more manpages
  * Remove some garbage from the manpages (Closes: #815991, #804347)
  * Disable -gsplit-dwarf on Ubuntu precise
  * Update the coverity configuration (Debian has moved to gcc 6)
  * remove compiler-rt-path.diff (file removed upstream, probably because
    we moved to cmake)
  * Ship clang-offload-bundler in clang 4.0
  * Set the correct Conflicts for python-clang-4.0, python-lldb-4.0
    (Closes: #832410)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 27 Aug 2016 14:19:41 +0200

llvm-toolchain-snapshot (1:4.0~svn275970-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Bring back llvm-4.0-tools to life
  * ship clang-tblgen & yaml-bench as part of the libclang-common-X.Y-dev
    package

  * amd64 llvm testsuite is green, bring back the failure in case of error
  * Fix the cmake paths in llvm-3.9-dev deb package. Thanks to Brad King
    for the patch (Closes: #819072)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 25 Jul 2016 12:18:52 +0200

llvm-toolchain-3.9 (1:3.9~svn275918-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Silent test CodeGen/SPARC/LeonInsertNOPsDoublePrecision.ll
  * ship lli-child-target as part of the llvm-X.Y-runtime package
  * Bring back llvm-3.9-tools to life
  * ship clang-tblgen & yaml-bench as part of the libclang-common-X.Y-dev
    package
  * ship lli-child-target as part of the llvm-X.Y-runtime package

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 19 Jul 2016 15:34:08 +0200

llvm-toolchain-snapshot (1:3.9~svn274438-1) unstable; urgency=medium

  * Remove the autoconf section
  * Bring back the removal of the build dir
  * Fix the coverage builds (didn't allow several cflags)
  * Set the correct conflicts on python-lldb-3.8 (Closes: #817873)
  * Set the correct conflicts on python-clang-3.8 (Closes: #817872)
  * remove llvm26003-sanitizer-check-env.diff (merged upstream)
  * Do not fail the build if the manpages cannot be built (failing on
    Ubuntu precise)
  * Install libfindAllSymbols.a as part of libclang-X.Y-dev
  * Ship scan-build-py
  * Use the libjsoncpp library embedded (fails to link otherwise)
  * Standards-Version 3.9.8
  * cmake files moved from usr/lib/llvm-3.9/share/llvm/cmake/
    to usr/lib/llvm-3.9/lib/cmake/llvm/
    (upstream change)
  * Add a symlink from usr/lib/llvm-3.9/share/llvm/cmake
    pointing to usr/share/llvm-3.9/cmake
  * Disable the run of lldb testsuite because of LLVM_LINK_LLVM_DYLIB=ON:
    https://llvm.org/bugs/show_bug.cgi?id=28127
  * Add -gsplit-dwarf to CXXFLAGS to workaround the memory allocation
    issue on i386
  * Ignore the lintian override about embedded-library for json.
    Doesn't link otherwise
  * Fix the soname of libclang and libLLVM. Might cause some breakage with
    existing app but no choice...

  [ Pablo Oliveira ]
  * Add python-six as a dependency of python-lldb (Closes: #825371)
    (thanks to Askar Safin)
  * Fix lldb symlinks
  * Fix missing _lldb.so import during lldb testsuite

  [ Ed Schouten ]
  * Preparation of the support of lld (not ready yet)

  [ Kai Wasserbäch ]
    * debian/rules:
      - Ensure ld-gold is used. CMake invokes the linker through g++ most of the
        time, therefore we need to set -Wl,-fuse-ld=gold.
      - Remove unused variable "confargs".

  [ Brad King ]
  * Install cmake files in usr/share/llvm-@LLVM_VERSION@/cmake/ instead of
    usr/share/llvm-@LLVM_VERSION@/cmake/
  * Also install libLLVM-3.8.so.1 as a symlink
  * debian/patches/fix-cmake-config-prefix.diff:
    cover the CMake build system too
  (Closes: #819072)

  [ Alexis La Goutte ]
  * Fix an issue with scan-view (Closes: #825101)

  [ YunQiang Su ]
  * Enable FPXX by default on mips/mipsel (Closes: #826749)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 02 Jul 2016 20:46:05 +0200

llvm-toolchain-snapshot (1:3.9~svn260851-1) unstable; urgency=medium

  * New snapshot
  * Switch to 3.9 (remove lldb-3.9-dev as it was a transitional pkg)
  * Update the clang description for something more accurate (C++-11, 14, etc)
  * Cmake migration. Done by Andrew Wilkins. Many thanks to him
    - Update patches to set SONAME in CMake build
    - Create symlinks with ".links", don't install from build tree
    - Remove LLVM-internal tools (lit, FileCheck, not, tblgen, etc.)
    - Remove llvm-X.Y-tools package, because it contained only
      internal tools that are not intended for distribution.
    - Remove autotools-specific artifacts from packages.
    - Remove "dummy" documentation artifacts from llvm-X.Y-docs
      package. Not built/installed by CMake, not useful.
    - Update control/rules to support CMake
    - Patch LLDB SWIG interfaces to workaround a bug in SWIG
      See https://llvm.org/bugs/show_bug.cgi?id=25468
    - add missing files to clang-format
    - Add patch to fix sanitizer lit invocation
    - removed LLVM-internal tools (lit, FileCheck, not, *-tblgen, etc.);
      not installed by CMake, not intended for distribution
    - removed llvm-X.Y-tools (contained only internal tools)
    - removed autotools-specific artifacts (configure, Makefile, etc.)
    - removed dummy documentation files
  * Sync against 3.8
  * Disable "Sphinx warnings treated as errors"

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 08 Mar 2016 09:50:29 +0100

llvm-toolchain-3.8 (1:3.8-1) unstable; urgency=medium

  * New upstream release
  * Install a missing library to unbreak lldb (Closes: #815809)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 03 Mar 2016 21:16:21 +0100

llvm-toolchain-3.8 (1:3.8~+rc3-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Update the clang description for something more accurate (C++-11, 14, etc)
  * Update debian/orig-tar.sh to remove autoconf/config.sub autoconf/config.guess
    in polly

  [ Matthias Klose ]
  * clang-tidy-3.8: Remove Breaks/Replaces on clang-modernize-3.8.
  * Disable lldb on s390x.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 25 Feb 2016 14:26:14 +0100

llvm-toolchain-3.8 (1:3.8~+rc2-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Remove build-llvm/ after the install step to save space.
    Most of the rc1 builds failed because of hd space.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 03 Feb 2016 08:59:32 +0100

llvm-toolchain-3.8 (1:3.8~+rc1-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Cmake migration. Done by Andrew Wilkins. Many thanks to him
    - Update patches to set SONAME in CMake build
    - Create symlinks with ".links", don't install from build tree
    - Remove LLVM-internal tools (lit, FileCheck, not, tblgen, etc.)
    - Remove llvm-X.Y-tools package, because it contained only
      internal tools that are not intended for distribution.
    - Remove autotools-specific artifacts from packages.
    - Remove "dummy" documentation artifacts from llvm-X.Y-docs
      package. Not built/installed by CMake, not useful.
    - Update control/rules to support CMake
    - Patch LLDB SWIG interfaces to workaround a bug in SWIG
      See https://llvm.org/bugs/show_bug.cgi?id=25468
    - add missing files to clang-format
    - Add patch to fix sanitizer lit invocation
    - removed LLVM-internal tools (lit, FileCheck, not, *-tblgen, etc.);
      not installed by CMake, not intended for distribution
    - removed llvm-X.Y-tools (contained only internal tools)
    - removed autotools-specific artifacts (configure, Makefile, etc.)
    - removed dummy documentation files

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 20 Jan 2016 16:09:01 +0100

llvm-toolchain-3.8 (1:3.8.1-8) unstable; urgency=medium

  * Disable the usage of ld gold on powerpc (Closes: #833583)
  * Revert drop-avx512-from-skylake.diff, it is causing some regressions in the
    testsuite
  * Disable lldb on ppc64
  * libfuzzer depends on the same version of clang (Closes: #833564)
  * Use filter into of findstring in the gold usage. Thanks Doko for the
    suggestion

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Aug 2016 14:10:09 +0200

llvm-toolchain-3.8 (1:3.8.1-7) unstable; urgency=medium

  * Fix the detection of gcc. This broke the build on the latest unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 05 Aug 2016 09:55:15 +0200

llvm-toolchain-3.8 (1:3.8.1-6) unstable; urgency=medium

  * Ship libFuzzer in its own package (libfuzzer-X.Y-dev) (Closes: #820159)
  * Sync from Ubuntu. Many thanks to Matthias Klose
    - drop-avx512-from-skylake.diff: Don't enable AVX512 on Skylake, as it's
      a server cpu feature and breaks llvmpipe on workstations.
    - Remove the build tree before calling dh_strip; at least the amd64 buildd
      runs out of diskspace at this step.
    - Add support for gcc's attribute abi_tag (needed for compatibility with
      GCC 5's libstdc++); taken from the trunk (Closes: #797038)
      (LP: #1510042, #1488254)
      D17567-PR23529-Sema-part-of-attrbute-abi_tag-support.diff
      D18035-PR23529-Mangler-part-of-attrbute-abi_tag-support.diff

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 28 Jul 2016 11:15:04 +0200

llvm-toolchain-3.8 (1:3.8.1-5) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Try to fix mips64el build, by enabling the same
    packages as the mips and mipsel versions
  * Link mips* with latomic.

  [ Sylvestre Ledru ]
  * Disable lldb on sparc64 (Closes: #832371)
  * Hopefully fix the FTBFS on armel

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 27 Jul 2016 22:49:09 +0200

llvm-toolchain-3.8 (1:3.8.1-4) unstable; urgency=medium

  * Fix the FTBFS under mips/mipsel? (enable the link against atomic)
    (Closes: #820537)
  * Bring back llvm-3.8-tools to life
  * ship clang-tblgen & yaml-bench as part of the libclang-common-X.Y-dev
    package

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 20 Jul 2016 10:20:46 +0200

llvm-toolchain-3.8 (1:3.8.1-3) unstable; urgency=medium

  * Add -gsplit-dwarf to CXXFLAGS to workaround the memory allocation
    issue on i386 (hopefully)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 02 Jul 2016 20:59:08 +0200

llvm-toolchain-3.8 (1:3.8.1-2) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Add a symlink from usr/lib/llvm-3.8/share/llvm/cmake
    pointing to usr/share/llvm-3.8/cmake

  [ Gianfranco Costamagna ]
  * Remove python-lldb-3.8 where liblldb-3.8-dev is not built

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 28 Jun 2016 14:44:48 +0200

llvm-toolchain-3.8 (1:3.8.1-1) unstable; urgency=medium

  * New maintenance release

  [ Kai Wasserbäch ]
  * debian/rules: Ensure ld-gold is used. CMake invokes the linker through
    g++ most of the time, therefore we need to set -Wl,-fuse-ld=gold.

  [ Brad King ]
  * Followup to fix the cmake install (Closes: #819072)

  [ YunQiang Su ]
  * Enable FPXX by default on mips/mipsel (Closes: #826749)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 23 Jun 2016 08:49:29 +0200

llvm-toolchain-3.8 (1:3.8.1~+rc1-1~exp1) experimental; urgency=medium

  * New RC release
  * Improve the cmake detection (used for llvm.org/apt)
  * Standards-Version updated to 3.9.8
  * Ignore outdated-autotools-helper-file

  [ Brad King ]
  * Install cmake files in usr/share/llvm-@LLVM_VERSION@/cmake/ instead of
    usr/share/llvm-@LLVM_VERSION@/cmake/
  * Also install libLLVM-3.8.so.1 as a symlink
  * debian/patches/fix-cmake-config-prefix.diff:
    cover the CMake build system too
  (Closes: #819072)

  [ Pablo Oliveira ]
  * Fix python-lldb dependencies and make proper symlinks to libLLVM
    and liblldb as suggested by Graham Inggs (Closes: #821022)
  * Fix liblldb suffix in lldb/scripts/Python/finishSwigPythonLLDB.py
    (Closes: #813798)
  * Fix LLVM bug 26158 - clang packages don't provide man pages
  * Add python-six as a dependency of python-lldb (thanks to Askar Safin).

  [ Gianfranco Costamagna ]
  * Make python-lldb-3.8 depend on lldb-3.8-dev, to pick all
    the required dependencies
  * Unbreak circular dependency by Suggesting the python binding from
    liblldb-3.8-dev

  [ Alexis La Goutte ]
  * Fix an issue with scan-view (Closes: #825101)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 26 May 2016 17:30:00 +0200

llvm-toolchain-3.8 (1:3.8-2) unstable; urgency=medium

  * Team upload.
  * Disable polly on s390x and fix polly check.
  * Fix VCS fields.

  [ Sylvestre Ledru ]
  * Fix txt file installation issue, by putting a README.txt file
    with some explanation.

  [ Graham Inggs ]
  * Tighten llvm dev dependency (Closes: #814142).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Mar 2016 10:56:05 +0100

llvm-toolchain-3.8 (1:3.8-1) unstable; urgency=medium

  * New upstream release
  * Install a missing library to unbreak lldb (Closes: #815809)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 03 Mar 2016 21:16:21 +0100

llvm-toolchain-3.8 (1:3.8~+rc3-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Update the clang description for something more accurate (C++-11, 14, etc)
  * Update debian/orig-tar.sh to remove autoconf/config.sub autoconf/config.guess
    in polly

  [ Matthias Klose ]
  * clang-tidy-3.8: Remove Breaks/Replaces on clang-modernize-3.8.
  * Disable lldb on s390x.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 25 Feb 2016 14:26:14 +0100

llvm-toolchain-3.8 (1:3.8~+rc2-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Remove build-llvm/ after the install step to save space.
    Most of the rc1 builds failed because of hd space.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 03 Feb 2016 08:59:32 +0100

llvm-toolchain-3.8 (1:3.8~+rc1-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Cmake migration. Done by Andrew Wilkins. Many thanks to him
    - Update patches to set SONAME in CMake build
    - Create symlinks with ".links", don't install from build tree
    - Remove LLVM-internal tools (lit, FileCheck, not, tblgen, etc.)
    - Remove llvm-X.Y-tools package, because it contained only
      internal tools that are not intended for distribution.
    - Remove autotools-specific artifacts from packages.
    - Remove "dummy" documentation artifacts from llvm-X.Y-docs
      package. Not built/installed by CMake, not useful.
    - Update control/rules to support CMake
    - Patch LLDB SWIG interfaces to workaround a bug in SWIG
      See https://llvm.org/bugs/show_bug.cgi?id=25468
    - add missing files to clang-format
    - Add patch to fix sanitizer lit invocation
    - removed LLVM-internal tools (lit, FileCheck, not, *-tblgen, etc.);
      not installed by CMake, not intended for distribution
    - removed llvm-X.Y-tools (contained only internal tools)
    - removed autotools-specific artifacts (configure, Makefile, etc.)
    - removed dummy documentation files

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 20 Jan 2016 16:09:01 +0100

llvm-toolchain-snapshot (1:3.8~svn255217-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Fix an install issue with clang-tidy
  * clang-modernize has been removed. Long live to clang-tidy, its
    replacement

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 10 Dec 2015 05:18:29 +0100

llvm-toolchain-snapshot (1:3.8~svn254193-2) UNRELEASED; urgency=medium

  * disable lldb and polly on powerpc, currently ftbfs.
    setting the lldb archs in debian/control in just one
    place would be appreciated.
  * quoting fixes in debian/rules, when make macros
    are empty
    Thanks to Doko for the two previous changes (Closes: #806729)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 30 Nov 2015 15:34:12 +0100

llvm-toolchain-snapshot (1:3.8~svn254193-1) unstable; urgency=medium

  * New snapshot release
  * Remove some warnings in the manpages generation (Closes: #795310)
  * Also ship sancov in clang-3.8
  * Fix the links to scan-build-3.8 & scan-view-3.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 20 Oct 2015 14:07:06 +0200

llvm-toolchain-snapshot (1:3.8~svn250696-1) unstable; urgency=medium

  * Remove macho-dump from LLVM (removed by upstream r248302)
  * Introduce clang-tidy-3.8 as a separate package. Replaces clang-modernize
  * Ship run-clang-tidy.py & clang-tidy-diff.py in clang-tidy-3.8
  * Remove cpp11-migrate-3.8 package. Has been replaced by clang-modernize
    for a while (which will be replaced by clang-tidy)
  * Add three new symbols in libclang1
    - clang_CompileCommand_getFilename@Base
    - clang_CompileCommand_getMappedSourceContent@Base 3.8
    - clang_CompileCommand_getMappedSourcePath@Base 3.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 21 Sep 2015 13:16:35 +0200

llvm-toolchain-snapshot (1:3.8~svn247576-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * New snapshot release
  * Remove CVE-2015-2305.patch. Already fixed upstream in a different
    way
  * remove patches merge upstream
    - lit-lang.diff
    - locale-issue-ld.diff
  * Also generate liblldb-3.8-dbg
  * Select LLVM OpenMP as the default backend

  [ Gianfranco Costamagna ]
  * d/control: Add more conflicting packages (python-clang and python-lldb)
    (Closes: #796811, #796843)
  * Remove an obsolete declaration about dragonegg
    (cherry-pick from 3.7 branch)

  [ James Price ]
  * d/p/fix-cmake-config-prefix.diff: fix cmake path,
    needs a change after upstream revision r241080
    (Addresses: #794905)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 14 Sep 2015 18:29:09 +0200

llvm-toolchain-snapshot (1:3.8~svn245286-1) unstable; urgency=medium

  * New snapshot release (3.7 => 3.8)
    No need to rename libllvm as 3.8 was not part of the debian archive

  [ Gianfranco Costamagna ]
  * Fix VCS fields.
  * d/p/CVE-2015-2305.patch, fix security issue on regcomp.c
  * Fix many lintian warning/errors
    - copyright fixes
    - control files
    - disabled ocaml documentation

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 18 Aug 2015 14:28:36 +0200

llvm-toolchain-snapshot (1:3.7~svn231060-1~exp2) UNRELEASED; urgency=medium

  * Reflect upstream changes wrt vim package. Split the files into different
    directories
  * Disable the patch force-gcc-header-obj.diff. Seems to cause bug #23556
  * Fix the CMake build. thanks to Paweł Bylica for the fix.
    Fix upstream bug #23352
  * No longer building some clang help page, removing them

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 21 Apr 2015 09:41:41 +0200

llvm-toolchain-snapshot (1:3.7~svn231060-1~exp1) experimental; urgency=medium

  * New snapshot release
  * Force the version of clang in the analyzer scripts
    clang-analyzer-force-version.diff

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 03 Mar 2015 09:19:38 +0100

llvm-toolchain-snapshot (1:3.7~svn230857-1) unstable; urgency=medium

  * New snapshot release
  * Support of gcc 5.0 (Closes: #777988)
  * compiler-rt-i586.diff: fix a build issue of compiler-rt under i386
  * lldb-gdbserver & lldb-platform have been merged into lldb-server
  * Bring back polly and remove libcloog-isl-dev & libisl-dev as build deps
    (shipped in the polly source tree)
  * Set the correct conflicts (Closes: #777580, #777581, #777582)
  * lit-lang.diff: Force the call to ld to be in english
    (was failing with a french locale)
  * silent-MCJIIT-tests.diff: enable some tests and silents some other

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 28 Feb 2015 18:44:59 +0100

llvm-toolchain-snapshot (1:3.7~svn227076-1) unstable; urgency=medium

  * New snapshot release
  * Switch to version 3.7
  * Standards-Version updated to 3.9.6

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 26 Jan 2015 09:23:41 +0100

llvm-toolchain-snapshot (1:3.6~svn224810-1) unstable; urgency=medium

  * New snapshot release
  * Update library filename declaration 3.5 => 3.6 (Closes: #772006)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 05 Dec 2014 17:46:56 -0800

llvm-toolchain-snapshot (1:3.6~svn221998-1~exp1) experimental; urgency=medium

  * Disable ocaml binding. Needs libctypes-ocaml 0.3.3 which is not available
  * libllvm*.a is not longer built
  * Update of the libclang symbols
  * Improve the copyright file. Thanks to Dann Frazier (Closes: #766778)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 04 Nov 2014 14:43:28 +0100

llvm-toolchain-snapshot (1:3.6~svn218612-1) unstable; urgency=medium

  * Fix my screw up. Add .1 to the libclang soname to make
    dpkg-shlibdeps happy
  * Remove useless dependency on doxygen
  * scan-build could not find clang binary (Closes: #758998)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 26 Sep 2014 17:05:26 +0200

llvm-toolchain-snapshot (1:3.6~svn218446-1) unstable; urgency=medium

  * New snapshot release
  * Upload in unstable
  * Disable the co-instability of lldb & python-lldb
    (Python stuff conflicts)
  * Fix bad dependencies on lldb 3.6
  * Refresh of the list of symbol in libclang
  * Try to workaround the FTBFS under ppc64el (create an empty directory)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Sep 2014 14:20:49 +0200

llvm-toolchain-snapshot (1:3.6~svn216933-1~exp1) experimental; urgency=medium

  * New snapshot release
  * sync from 1:3.5~+rc4-2~exp1
  * libclang-3.6.so should be used instead libclang.so. Update the soname
    to match the new lib name (Closes: #759538)
  * Rename liblldb.so to liblldb-3.6.so + update of the soname.
  * python-clang-3.6 description updated
  * liblldb-3.6 and python-lldb-3.6 added
  * lldb-3.6-dev renamed to liblldb-3.6-dev to match the previous changes
  * Manpages for llvm-ranlib, clang-apply-replacements, pp-trace and clang-tidy
    added
  * clang-3.6 should depends on binutils (for ld, at least)
    (Closes: #751030)
  * clang/www/analyzer/scripts/dbtree.js removed

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 30 Aug 2014 18:09:20 +0200

llvm-toolchain-snapshot (1:3.6~svn215195-3) unstable; urgency=medium

  * Just like in 3.4 & 3.5, bring back lldb & lldb-dev under mips & mipsel
  * Ship clang-rename/clang-rename-3.6
  * Disable libstdc++-header-i386.diff & include-target.diff (merged upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 18 Aug 2014 09:02:30 +0200

llvm-toolchain-snapshot (1:3.6~svn215195-2) unstable; urgency=medium

  * try to build lldb-mi under kfreebsd (kfreebsd-lldb-mi.diff)
  * kfreebsd-lldb-gdbserver.diff removed (applied upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 11 Aug 2014 08:44:13 +0200

llvm-toolchain-snapshot (1:3.6~svn215195-1) unstable; urgency=medium

  * Upload in unstable
  * Enable compressed debug sections (Closes: #757002)
  * Force scan-build to use the same version of clang
  * Old JIT has been removed. 0050-powerpcspe-fp.diff is useless
  * try to build lldb-gdbserver under kfreebsd (kfreebsd-lldb-gdbserver.diff)
  * Second try to fix build under HURD (hurd-EIEIO-undef.diff)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 04 Aug 2014 13:36:15 +0200

llvm-toolchain-3.4 (1:3.4.2-8) unstable; urgency=medium

  * Try to bring back lldb-3.4-dev on mips & mipsel (Closes: #758314)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 16 Aug 2014 22:39:13 +0200

llvm-toolchain-3.4 (1:3.4.2-7) unstable; urgency=medium

  * Upload in unstable
  * Try to bring back lldb on mips & mipsel
  * Force scan-build to use the same version of clang
  * Try to fix hurd (hurd-EIEIO-undef.diff)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Aug 2014 14:40:05 +0200

llvm-toolchain-3.5 (1:3.5~+rc4-1) unstable; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 27 Aug 2014 23:09:59 +0200

llvm-toolchain-3.5 (1:3.5~+rc3-1) unstable; urgency=medium

  * New snapshot release
  * Cherry-pick to commit from upstream (revisions 214906 214907)
    to improve the gcc compat
  * Remove scan-build-clang-path.diff (applied upstream)
  * Just like in 3.4, bring back lldb & lldb-dev under mips & mipsel

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 20 Aug 2014 23:43:06 +0200

llvm-toolchain-3.5 (1:3.5~+rc2-1) unstable; urgency=medium

  * Fix the version
  * try to build lldb-gdbserver under kfreebsd (kfreebsd-lldb-gdbserver.diff)
  * Second try to fix build under HURD (hurd-EIEIO-undef.diff)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 08 Aug 2014 10:42:13 +0200

llvm-toolchain-3.5 (1:3.5~+rc2-1~exp1) unstable; urgency=medium

  * New snapshot release
  * Enable compressed debug sections (Closes: #757002)
  * Force scan-build to use the same version of clang
  * Bring back scan-build-search-path.diff (Closes: #757219)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 04 Aug 2014 13:35:35 +0200

llvm-toolchain-snapshot (1:3.6~svn214630-1~exp1) experimental; urgency=medium

  * New snapshot release (3.5 => 3.6)
  * Co installation of clang (Closes: #736057)
    - scan-build => scan-build-3.6
    - scan-view => scan-view-3.6
    - asan_symbolize => asan_symbolize-3.6
  * Refresh of the patches
  * Install yaml2obj, obj2yaml & verify-uselistorder in llvm-3.6
  * Remove of pollycc
  * clang alternatives are managed by llvm-defaults

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 31 Jul 2014 18:12:59 +0200

llvm-toolchain-3.5 (1:3.5~+rc1-2) unstable; urgency=medium

  * Sync with 3.4 svn to retrieve some changes:
  * Replace $(CURDIR)/debian/tmp by a variable
  * Move the polly installation in the dh_auto_install rules instead
    of using *.install files. In llvm.org/apt/, I have to sometime disable
    polly
  * hurd-EIEIO-undef.diff: try to undef an errno.h to fix the ftbfs
  * clang-X suggests clang-X-doc (Closes: #755922)
  * Manage all files using .in mechanism. It will simplify the upgrade of
    version
  * Disable lldb for ppc64el. Thanks to Dimitri John Ledkov (Closes: #756380)
  * Fix the FTBFS under PowerPC. Thanks to Dimitri John Ledkov for the patch

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 24 Jul 2014 11:42:56 +0200

llvm-toolchain-3.5 (1:3.5~+rc1-1) unstable; urgency=medium

  * First RC release of the 3.5 llvm toolchain
  * Apply lldb-kfreebsd.diff patch to fix FTBFS under KFreeBSD
    Thanks to Ed Maste

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 23 Jul 2014 08:57:59 +0200

llvm-toolchain-snapshot (1:3.5~svn213451-1) unstable; urgency=medium

  * New snapshot release
  * If the version of gcc is too old, force the usage of gcc 4.8
  * Clang will now show the full version. Example: 3.5.0-svn213052-1~exp1

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Jul 2014 15:27:11 +0200

llvm-toolchain-snapshot (1:3.5~svn211669-2) unstable; urgency=medium

  * Remove useless dependency on g++
  * Use the option stable '-analyzer-config stable-report-filename=true'
    to the llvm scan-build reports

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 29 Jun 2014 19:13:05 +0200

llvm-toolchain-snapshot (1:3.5~svn211669-1) unstable; urgency=medium

  * New snapshot release
  * Fix CVE-2014-2893 (Closes: #744817)
  * Merge with 3.4/debian
  * Ship lldb-mi in lldb
  * Remove scan-build-fix-clang-detection.diff (applied upstream)
  * Ship the compiler-rt static libraries
  * Running tests respect DEB_BUILD_OPTIONS=parallel=X
   (Closes: #751943)
  * Fix FTBFS on powerpc and powerpcspe (Closes: #733890)
  * Broken library symlink fixed in lldb-3.5 (Closes: #715130)
  * Fix --use-cc when no absolute path is provided (Closes: #748777)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 25 Jun 2014 07:58:03 +0200

llvm-toolchain-snapshot (1:3.5~svn209039-2) unstable; urgency=medium

  * Provide a link as compatibility with previous lib name (Closes: #748569)
  * Be less permissive when installing lldb. Remove duplication of the install
    of liblldb.so.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 18 May 2014 20:01:40 +0200

llvm-toolchain-snapshot (1:3.5~svn209039-1) unstable; urgency=medium

  * New snapshot release
  * Fix the cmake install patch
  * Disable profile_rt.diff for now
  * Refresh of libclang1-3.5.symbols
  * Fix path to /usr/lib/clang/3.5.0/ (Closes upstream #19088)
  * Fix the wrong dependency declaration on llvm-3.5-tools
  * Add gnustep & gnustep-devel as suggests of clang-3.5
  * Add libc6-dev as an explicit dependency of clang-3.5
  * Build with dh_install --fail-missing
  * Start to use /usr/bin/foo-X.Y. First step to have several clang versions
    installed together
  * Add some missing files:
    - lli-child-target         - llvm-3.5-runtime
    - count                    - llvm-3.5-tools
    - html.tar.gz              - llvm-3.5-doc
